<?php
require("../../includes/functions.php");
require("../../includes/common.php");
require '../head_table.php'; 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php require '../top.php'; ?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require '../menu.php';    
}
if(user_info($username,'user_level') == 3){
require '../menu_dealers.php';    
}
if(user_info($username,'user_level') == 4){
require '../menu_companies.php';    
}
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                GIDYSON RECEIVING LIST
                            </h2>
                           
                        </div>
                        <div class="body">                                
                            <form name="form1" id="form1" action="receivings_filter.php" method="GET">
                                    <input type="hidden" value="6" name="a">
                                    <div class="row clearfix">
                                
                                        <div class="col-sm-6">
                                   
                                            <select class="form-control show-tick" required name="email_address" id="email_address">
                                       
                                                <option value="" selected="">-- Please Select Company --</option>
                                       
                                        
                                                    <?php
                                        
                                                    $users_list = users_list(4);
                                        
                                                    foreach ($users_list as $lst) {
                                            
                                                        echo '<option value="'.$lst['username'].'">'.company_info($lst['username'],'company_name').'</option>';
                                        
                                                        
                                                    }
                                        
                                                    ?>
                                    
                                            </select>
                                
                                        </div>
                                    
                                        <div class="col-sm-2">
                                
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                                <hr/>
                            <div class="table-responsive">  
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr>
                                            <th class="th">Date Received</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Qtty</th>
                                            <th class="th">Product Price</th>
                                            <th>Amount(N)</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Branch Name</th>
                                            <th class="th">Driver Name</th>
                                            <th class="th">Driver Phone</th>
                                            <th class="th">Vehicle Number</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th class="th">Date Received</th>
                                            <th>Company Name</th>
                                            <th>Product Name</th>
                                            <th>Qtty</th>
                                            <th>Product Price</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Branch Name</th>
                                            <th class="th">Driver Name</th>
                                            <th class="th">Driver Phone</th>
                                            <th class="th">Vehicle Number</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php                          
                                        $branch = user_info($username,'branch_id');
                                        if(user_info($username,'user_level') == 1){
                                          $receiving = receiving();  
                                        } else {
                                            $receiving = receiving_branch($branch);   
                                        }
                                        
                                        foreach ($receiving as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['date_received'].'</td>
                                            <td>'.company_info($lst['company_email'],'company_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>N'.number_format($lst['product_price']).'</td>
                                            <td>N'.number_format($lst['amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'.branch_info($lst['branch_id'],'branch_name').'</td>
                                            <td>'.$lst['driver_name'].'</td>
                                            <td>'.$lst['driver_phone'].'</td>
                                            <td>'.$lst['vehicle_number'].'</td>';
                                            if(user_info($username,'user_level') == 1){ echo '<td><button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Receiving"><i class="material-icons">delete</i> Delete</button></td>';}
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px;
        }
    </style>
<script>
function deleteP(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "receivings_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='receivings_list.php?a=6';
                }
            });
}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require '../footer_table.php'; 
