<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
<style>   
.sub {
    position:fixed;
    bottom:40px;
    background-color: orange;
    color: black;
    padding:10px;
    border-radius:15px;
}
</style>    
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->

    
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PASSWORD UPDATE
                                <small>change your password</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="password_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Old Password <i style="color:red" title="Required">*</i></label>
                                            <input required type="password" name="old_password" id="old_password" class="form-control" placeholder="Old Password" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>New Password <i style="color:red" title="Required">*</i></label>
                                            <input required type="password" name="new_password" id="new_password" class="form-control" placeholder="New Password" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Confirm New Password <i style="color:red" title="Required">*</i></label>
                                            <input required type="password" name="cnew_password" id="cnew_password" class="form-control" placeholder="Confirm New Password" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                              
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var old_password = $("#old_password").val();
    if(old_password === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
        document.getElementById('loader').style.display = 'inline';
        $.ajax({
        type: "POST",
        url: "password_proc.php",
        data: dataString,
        cache: false,
        success: function(result){
        document.getElementById("form1").reset();
        document.getElementById('loader').style.display = 'none';
        document.getElementById('alert').innerHTML=result;
        $('#alert2').delay(3000).fadeOut(500);
        document.getElementById("submit").disabled = false;
        }
        });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>
<?php 
require("../includes/footer.php");
