<?php
require("../includes/functions.php");
require("../includes/common.php");
//declear variables
$old_password = filter_input(INPUT_POST, 'old_password', FILTER_SANITIZE_STRING);
$new_password = filter_input(INPUT_POST, 'new_password', FILTER_SANITIZE_STRING);
$cnew_password = filter_input(INPUT_POST, 'cnew_password', FILTER_SANITIZE_STRING);
$password =  password_hash($new_password, PASSWORD_DEFAULT);
if($new_password != $cnew_password){
    echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> New Password Mis-Matched!. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();     
}
$hash = pickPassword2($username);
if (password_verify($old_password, $hash)){//correct old pass, update
    $sql = "UPDATE users SET password='$password' WHERE username='$username'";
    if(!$result = $mysqli->query($sql)){   
        echo '<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Operation Failed!. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';      
        exit();        
    } else {     
        echo '<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;"><strong>Success!</strong> Password Update Successful. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';       
        exit();            
    }      
        
} else {
    echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Old Password is wrong!. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();       
}
