<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PLATFORM SETTINGS UPDATE
                                <small>update platform settings</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="settings_update_proc.php" method="post" enctype="multipart/form-data">
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Business Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="business_name" id="business_name" value="<?php echo config_info('business_name'); ?>" class="form-control" placeholder="Business Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Motto</label>
                                            <input type="text" name="motto" id="motto" value="<?php echo config_info('motto'); ?>" class="form-control" placeholder="Motto or Slogan"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Phone Number <i style="color:red" title="Required">*</i></label>
                                            <input type="tel" name="phone_number" id="phone_number" value="<?php echo config_info('phone_number'); ?>" class="form-control" placeholder="Main Phone Number"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Email Address</label>
                                            <input type="email" name="email_address" id="email_address" value="<?php echo config_info('email_address'); ?>" class="form-control" placeholder="Email Address"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Second Phone Number</label>
                                            <input type="tel" name="phone_number2" id="phone_number2" value="<?php echo config_info('phone_number2'); ?>" class="form-control" placeholder="Optional Phone Number"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Receipt Note</label>
                                            <input type="text" name="receipt_note" id="receipt_note" value="<?php echo config_info('receipt_note'); ?>" class="form-control" placeholder="Note on receipt"/>
                                        </div>
                                    </div>
                                </div>
                            </div> 

                            <div class="row clearfix">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <div class="form-line"><label>Contact Address <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="contact_address" id="contact_address" value="<?php echo config_info('contact_address'); ?>" class="form-control" placeholder="Contact Address"  required/>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <div class="form-line"><label>Currency Symbol <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="currency" id="currency" value="<?php echo config_info('currency'); ?>" class="form-control" placeholder="Currency Symbol"  required/>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Logo (70px height image)</label>
                                            <input type="file" name="company_logo" id="company_logo" value="<?php echo config_info('company_logo'); ?>" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                            </div> 
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                                
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;
    event.preventDefault();
    var dataString = new FormData(this);
    var business_name = $("#business_name").val();
    if(business_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
        document.getElementById('loader').style.display = 'inline';
        $.ajax({
        type: "POST",
        url: "settings_update_proc.php",
        data: dataString,
        cache:false,
        contentType: false,
        processData: false,
        success: function(result){
        document.getElementById('loader').style.display = 'none';
        document.getElementById('alert').innerHTML=result;
        $('#alert2').delay(3000).fadeOut(500);
        document.getElementById("submit").disabled = false;
        }
        });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>        
<?php 
require("../includes/footer.php"); 
