<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     
$dealer_id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Dealer Details Update
                                <small>update dealer details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="dealer_details_edit_proc.php" method="post">
                                <input name="dealer_id" id="dealer_id" type="hidden" value="<?php echo $dealer_id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>First Name</label>
                                            <input type="text" name="first_name" id="first_name" value="<?php echo dealer_info($dealer_id,'first_name'); ?>" class="form-control" placeholder="First Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Last Name</label>
                                            <input type="text" name="last_name" id="last_name" value="<?php echo dealer_info($dealer_id,'last_name'); ?>" class="form-control" placeholder="Last Name"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Phone Number</label>
                                            <input type="tel" name="phone_number" id="phone_number" value="<?php echo dealer_info($dealer_id,'phone_number'); ?>" class="form-control" placeholder="Phone Number"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Email Address</label>
                                            <input type="email" name="email_address" id="email_address" value="<?php echo dealer_info($dealer_id,'email_address'); ?>" class="form-control" placeholder="Email Address"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4"><label>Gender</label>
                                    <select class="form-control show-tick" required name="gender" id="gender">
                                       <option value="<?php echo dealer_info($dealer_id,'gender'); ?>" selected><?php echo dealer_info($dealer_id,'gender'); ?></option>
                                        <option value="Male">Male</option>
                                        <option value="Female">Female</option>
                                    </select>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Business Name</label>
                                            <input type="text" name="business_name" id="business_name" value="<?php echo dealer_info($dealer_id,'business_name'); ?>" class="form-control" placeholder="Business Name"/>
                                        </div>
                                    </div>
                                </div>
                            </div> 

                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line"><label>Contact Address</label>
                                            <input type="text" name="contact_address" id="contact_address" value="<?php echo dealer_info($dealer_id,'contact_address'); ?>" class="form-control" placeholder="Contact Address"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>                                 
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="button-demo">
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div>                                    
                                </div>
                            </div>
                                                                
                                <div class="row">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                </div>
                            </form>
                            <hr/>
                            <p style="text-align:center" id="alert"></p><br/>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var first_name = $("#first_name").val();
    if(first_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "dealer_details_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>        
<?php 
require("../includes/footer.php");
