<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$id = $_GET['id']; 
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card" id="receipt">
                          <div class="header">
                            <div style="text-align:center; border-bottom:solid">
                             <strong>   <?php echo strtoupper(config_info('business_name')); ?> </strong><br/>
                                 <small>
                                     <?php echo config_info('motto'); ?> <br/>
                                      <?php echo config_info('contact_address'); ?> <br/>
                                      <?php echo config_info('phone_number').', '.config_info('email_address'); ?>
                                 </small>
                            </div>
                                                        
                            <div>
                                <small>PAYMENT RECEIPT </small>
                            </div>

                        </div>
                        <div class="body">
                            
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    
                                    <p style="border-bottom:solid; text-align: center">
                                       <strong>Name:</strong>
                                      <?php echo dealer_info(payments_info($id,'dealer_id'),'first_name').' '.dealer_info(payments_info($id,'dealer_id'),'last_name'); ?>  
                                
                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                    <strong>Phone:</strong>
                                        <?php echo dealer_info(payments_info($id,'dealer_id'),'phone_number'); ?>  
                                    </p>
                                    
                                    <p style="border-bottom:solid">
                                        <strong>Payment Date</strong>  <span style="float: right"> <?php echo payments_info($id,'payment_date'); ?>  </span>
                                    </p>
                                    
                                    <p style="border-bottom:solid">
                                        <strong>Payment Method</strong>  <span style="float: right">  <?php echo payments_info($id,'payment_method'); ?>  </span>
                                    </p>
                                    <?php
                                    if(payments_info($id,'payment_method') != 'Cash'){
                                        echo '<p style="border-bottom:solid">
                                            <strong>Bank Name</strong>  <span style="float: right"> '. payments_info($id,'bank_name').' </span> 
                                            </p>'; 
                                         
                                        echo '<p style="border-bottom:solid">
                                            <strong>Bank Account</strong>  <span style="float: right">'.payments_info($id,'bank_account').' </span> 
                                            </p>'; 
                                          
                                        echo '<p style="border-bottom:solid">
                                            <strong>Depositor Name</strong>   <span style="float: right">'.payments_info($id,'depositor_name').' </span> 
                                            </p>'; 
                                          
                                    }
                                    ?>
                                    
                                    
                                    
                                    
                                     
                                    <p style="border-bottom:solid">
                                
                                        <strong>Amount</strong>  <span style="float: right"> <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(payments_info($id,'amount')); ?>
                            </span>
                                    </p>
                                 
                                    <p style="border-bottom:solid">
                            
                                        <strong>Cashier:</strong>  <span style="float: right"> <?php echo user_info(payments_info($id,'created_by'),'first_name').' '.user_info(payments_info($id,'created_by'),'last_name'); ?>
                                        </span>
                            
                                    </p>
                             
                            
                                    <p  style="text-align:center;">
                                
                                        <?php echo config_info('receipt_note'); ?>  
                            
                                    </p>
                                    
                                </div>
                            </div>
                            
                                    
                           
                                
                            <hr/>
                            
                        </div>
                    </div>
                    
                              
                                 <p style="float: right">
                                     <button name="submit" id="submit" class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                 </p>
                                 <br/>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>     
<?php 
require("../includes/footer.php");
