<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                DEALER RETURNED PRODUCT
                                <small>enter dealers returned product details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="dealer_product_return_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-4"><label>Select Dealer</label>
                                        
                                                    <select class="js-example-basic-single" required name="dealer_id" id="dealer_id" style="min-width:100%">
                                       
                                                        <option value="" selected="">-- Please Select Dealer --</option>
                                       
                                                            <?php    
                                                            $dealers = dealers();
                                                            foreach ($dealers as $lst) {
                                                                 echo '<option value="'.$lst['id'].'">'.$lst['first_name'].' '.$lst['last_name'].', ID:'.$lst['id'].'</option>';
                                                            }
                                                            ?>
                                    
                                                    </select>
                                </div>
                                <div class="col-sm-4"><label>Product Returned</label>
                                    <select class="js-example-basic-single" required name="product_id" id="product_id" onchange="productPrice()" style="width:300px">
                                       <option value="" selected="">-- Please Select Product --</option>
                                        <?php          
                                          $products = products();
                                        
                                          foreach ($products as $lst) {
                                             echo '<option value="'.$lst['id'].'">'.product_info($lst['id'],'product_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>)</label>
                                            <input type="number" min="5" name="product_price" id="product_price" required class="form-control" placeholder="Product Price" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                               <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Quantity</label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_qtty" id="product_qtty" required class="form-control" placeholder="Product Quantity" onblur="totalAmt()" />
                                        </div>
                                    </div>
                                </div>
                                   
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Returned Date</label>
                                            <input type="date" max="<?php echo date('Y-m-d'); ?>" value="<?php echo date('Y-m-d'); ?>" required name="date_returned" id="date_returned" class="form-control" placeholder="Date Returned" />
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Total Amount (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>)</label>
                                            <input type="text" name="total_amount" id="total_amount" readonly class="form-control" placeholder="Total Amount" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row clearfix">
                                 
                                
                                <div class="col-sm-4">
                                    <div class="button-demo">
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div>                                    
                                </div>
                            </div>
                                
                                                                
                                <div class="row">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                </div>
                            </form>
                            <hr/>
                            <p style="text-align:center" id="alert"></p><br/>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});
</script>    
<script>
function productPrice(){
        var id =  $("#product_id").val();
        var dataString = 'ID='+ id;
        $.ajax({
            type: "POST",
            url: "product_price.php",
            data: dataString,
            cache: false,
            success: function(result){
        document.getElementById('product_price').value = result;
                
    }    
        });
}

function totalAmt(){
        var price =  $("#product_price").val();
        var qtty =  $("#product_qtty").val();
        var totalAmt = price * qtty;
        document.getElementById('total_amount').value = totalAmt;
}

$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var dealer_id = $("#dealer_id").val();
    if(dealer_id === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "dealer_product_return_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("form1").reset();
    }
    });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
