<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card" id="receipt">
                         <div class="header">
                            <h2 style=" text-align: center; border-bottom: solid">
                                <?php echo strtoupper(config_info('business_name')); ?><br/>
                                 <small>
                                     <?php echo config_info('motto'); ?> <br/>
                                      <?php echo config_info('contact_address'); ?> <br/>
                                      <?php echo config_info('phone_number').', '.config_info('email_address'); ?>
                                 </small>
                            </h2>
                                                        
                            <h3>
                                <small>DEALER SUPPLIES INVOICE 
                                <span style="float:right">
                                    <?php
                                    $inv = $_GET['inv']; 
                                    echo '<strong>'.$inv.'</strong>'; 
                                    ?>
                                </span>
                                </small>
                            </h3>

                        </div>
                        
                        
                        <div class="body">
                            
                            <div class="row clearfix">
                                <div class="col-sm-12" style="text-align: center">
                                    <strong>Name:</strong>
                                      <?php echo dealer_info(dsupplies_info2($inv,'dealer_id'),'first_name').' '.dealer_info(dsupplies_info2($inv,'dealer_id'),'last_name'); ?>  
                                    ,&nbsp;&nbsp;
                                    <strong>Date:</strong>
                                        <?php echo dsupplies_info2($inv,'sales_date'); ?>
                                ,&nbsp;&nbsp;
                                    <strong>Phone:</strong>
                                        <?php echo dealer_info(dsupplies_info2($inv,'dealer_id'),'phone_number'); ?>
                                </div>
                                    
                            </div>
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <table style="width:100%; border:solid; padding:5px; min-height:50px;">
                                        <tr style="font-weight:bold; border-bottom:solid">
                                            <td style="border-right:solid; padding:5px">Item Description</td>
                                            <td style="border-right:solid; padding:5px">Qtty</td>
                                            <td style="border-right:solid; padding:5px">Amount</td>
                                        </tr>
                                 
                                            <?php          
                                          $sales = dsupplies_inv($inv);
                                        
                                          foreach ($sales as $lst) {
                                              echo '<tr style="border:solid;">
                                            <td style="border-right:solid; padding:5px">'.product_info($lst['product_id'],'product_name').'</td>
                                            <td style="width:50px;border-right:solid; padding:5px">'.$lst['product_qtty'].'</td>
                                            <td style="width:100px;border-right:solid; padding:5px">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            </tr>';
                                        }
                                        ?>
                                    </table>
                                </div>
                            </div>
                            
                                    
                            <p style="border-bottom:solid; text-align: right">
                                <strong>Total Amount</strong> <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dsupplies_total($inv)); ?>
                           </p>
                           <p style=" border-bottom: solid">
                            <strong>Sales Attendant:</strong> <?php echo user_info(dsupplies_info2($inv,'created_by'),'first_name').' '.user_info(dsupplies_info2($inv,'created_by'),'last_name'); ?>
                                
                            </p>
                                 <hr/>
                            
                        </div>
                    </div>
                    
                              
                                 <p style="float: right">
                                     <button name="submit" id="submit" class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                 </p>
                                 <br/>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>     
<?php 
require("../includes/footer.php");
