<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EXPENSES CATEGORY
                                <small>edit expenses category details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <?php $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); ?>
                            <form name="form1" id="form1" action="expenses_category_edit_proc.php" method="post">
                                <input type="hidden" name="category_id" id="category_id" value="<?php echo $id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>Category Name</label>
                                            <input type="text"  name="category_name" id="category_name" value="<?php echo exp_category_info($id,'category_name'); ?>" class="form-control" placeholder="Expenses Category Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-7">
                                    <div class="form-group">
                                        <div class="form-line"><label>Category Description</label>
                                            <input type="text" name="category_description" id="category_description" value="<?php echo exp_category_info($id,'category_description'); ?>" class="form-control" placeholder="Expenses Category Description" />
                                        </div>
                                    </div>
                                </div>
                            </div>
             
                            
                            <div class="button-demo">
                                <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                            </div>
                                
                                                                
                                <div class="row">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                </div>
                            </form>
                            <hr/>
                            <p style="text-align:center" id="alert"></p><br/>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var category_name = $("#category_name").val();
    if(category_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "expenses_category_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>       
<?php 
require("../includes/footer.php");
