<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">

<!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EXPENSES CATEGORIES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>Category Name</th>
                                            <th>Description</th>
                                            <th>Date Created</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>Category Name</th>
                                            <th>Description</th>
                                            <th>Date Created</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $categories = exp_categories(); 
                                        foreach ($categories as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['category_name'].'</td>
                                            <td>'.$lst['category_description'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td><a title="Edit Category Details" href="expenses_category_edit.php?id='.$lst['id'].'&a=10" class="btn btn-success"/><i class="fa fa-edit"></i>edit</a></td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section> 
<?php
require("../includes/footer_table.php");
