<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EXPENSES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                                <form name="form1" id="form1" action="expenses_filter.php" method="GET">
                                    <input type="hidden" value="10" name="a">
                                    <div class="row clearfix">
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="expenses_date1" id="expenses_date1" class="form-control" placeholder="Expenses Date" />
                                         </div>
                                    </div>
                                </div>
                                        
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="expenses_date2" id="expenses_date2" class="form-control" placeholder="Expenses Date" />
                                         </div>
                                    </div>
                                </div>
                                        <div class="col-sm-4">
                                <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                            
                          <hr/>
                                               
                              <?php
                                $expenses_date1 =  filter_input(INPUT_GET, 'expenses_date1', FILTER_SANITIZE_STRING);
                                $expenses_date2 =  filter_input(INPUT_GET, 'expenses_date2', FILTER_SANITIZE_STRING);
                              ?> 
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Expenses Date</th>
                                            <th>Category Name</th>
                                            <th>Expenses Description</th>
                                            <th>Amount</th>
                                            <th>Date Created</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Expenses Date</th>
                                            <th>Category Name</th>
                                            <th>Expenses Description</th>
                                            <th>Amount</th>
                                            <th>Date Created</th>
                                            <th>Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php    
                                        $num = 0;
                                          $expenses = expenses_d($expenses_date1, $expenses_date2); 
                                        foreach ($expenses as $lst) {
                                            $num ++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.$lst['expenses_date'].'</td>
                                            <td>'.exp_category_info($lst['category_id'],'category_name').'</td>
                                            <td>'.$lst['expenses_description'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'; if($lst['approved'] == 1){echo 'Approved';}else{echo 'Pending';} echo'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section> 
<?php
require("../includes/footer_table.php"); 
