<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red" onload="calCulaTion()">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$from = filter_input(INPUT_GET, 'date_from', FILTER_SANITIZE_STRING);
$to  = filter_input(INPUT_GET, 'date_to', FILTER_SANITIZE_STRING);
if(empty($from) AND empty($to)){
$from = date('Y-m-d');
$to = date('Y-m-d');
}
        
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                CASH FLOW REPORT
                                <small>generate cash flow report</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="cash_flow.php" method="get">
                                <input type="hidden" name="a" id="a" value="13"/>
                            <div class="row clearfix">
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>Date From</label>
                                            <input type="date" name="date_from" id="date_from" class="form-control" max="<?php echo date('Y-m-d'); ?>" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>Date To</label>
                                            <input type="date" name="date_to" id="date_to" class="form-control" max="<?php echo date('Y-m-d'); ?>" required/>
                                        </div>
                                    </div>
                                </div>
                             <div class="col-sm-2">
                                    <div class="form-group">
                                        <div class="button-demo"><br/>
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div> 
                                    </div>
                                </div>
                            </div>
                             
                            </form>                       
 
                            <div class="table-responsive">
                            <div class="row clearfix">
                                <div class="col-sm-3" title="All Payments from Sales, Services and Dealers" style="cursor:pointer; border:groove; height:70px; padding-top:5px; color: purple">
                                    <strong>Income: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(dated_sales($from, $to) + dated_sales2($from, $to) + dpayments_sum3($from, $to)); ?>
                                </div>
                                
                                <div class="col-sm-3" title="All Recorded Expenses" style="cursor:pointer; border:groove; height:70px; padding:5px; color:red">
                                    <strong>Expenses: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(dated_expenses($from, $to)); ?>
                                </div>
                                
                                <div class="col-sm-3" title="All Incomes - All Expenses" style="cursor:pointer; border:groove; height:70px; padding:5px; color:green">
                                   <strong>Balance: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format( (dated_sales($from, $to) + dated_sales2($from, $to) + dpayments_sum3($from, $to)) - dated_expenses($from, $to)); ?>
                                </div>
                                
                                
                                <div class="col-sm-3" title="All Profits from Sales and Services" style="cursor:pointer; border:groove; height:70px; padding:5px; color:purple">
                                   <strong>Profit: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format( dated_sprofit($from, $to) + dated_sprofit2($from, $to)); ?>
                                </div>                                 
                            </div> 
                                <hr/>
                                <h2>Products Sales</h2>
                                <hr/>          
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>Sales Date</th>
                                            <th>Customer</th>
                                            <th>Phone</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount (<span id="amnt1a"></span>)</th>
                                            <th>Profit (<span id="prft1a"></span>)</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>Sales Date</th>
                                            <th>Customer</th>
                                            <th>Phone</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount (<span id="amnt1b"></span>)</th>
                                            <th>Profit (<span id="prft1b"></span>)</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $sales = sales_range($from, $to);
                                        $amnt1 = 0;
                                        $prft1 = 0; 
                                        foreach ($sales as $lst) {
                                            $amnt1 = $amnt1 + $lst['total_amount'];
                                            $prft1 = $prft1 + $lst['profit'];
                                            echo '<tr>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['profit']).'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>                                
                                <hr/>
                                 
                                <h2>Services Billings</h2>
                                <hr/>
                                                                                                                   
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>Service Date</th>
                                            <th>Customer</th>
                                            <th>Phone</th>
                                            <th class="th">Service Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount (<span id="amnt2a"></span>)</th>
                                            <th>Profit (<span id="prft2a"></span>)</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>Service Date</th>
                                            <th>Customer</th>
                                            <th>Phone</th>
                                            <th class="th">Service Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount (<span id="amnt2b"></span>)</th>
                                            <th>Profit (<span id="prft2b"></span>)</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $service = services_billing_range($from, $to);
                                        $amnt2 = 0;
                                        $prft2 = 0;
                                        foreach ($service as $lst) {
                                            $amnt2 = $amnt2 + $lst['total_amount'];
                                            $prft2 = $prft2 + $lst['profit'];
                                            echo '<tr>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.service_info($lst['service_id'],'service_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['service_price']).'</td>
                                            <td>'.$lst['service_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['profit']).'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>                                
                                <hr/>
                                 
                                <h2>Expenses Records</h2>
                                <hr/>
                                   
                                                
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Expenses Date</th>
                                            <th class="th">Category Name</th>
                                            <th class="th">Description</th>
                                            <th>Amount (<span id="amnt3a"></span>)</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Expenses Date</th>
                                            <th class="th">Category Name</th>
                                            <th class="th">Description</th>
                                            <th>Amount (<span id="amnt3b"></span>)</th>
                                            <th>Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php    
                                        $num = 0;
                                        $amnt3 = 0;
                                          
                                        $expenses = expenses_d($from, $to); 
                                        foreach ($expenses as $lst) {
                                            $amnt3 = $amnt3 + $lst['amount'];
                                            $num ++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.$lst['expenses_date'].'</td>
                                            <td>'.exp_category_info($lst['category_id'],'category_name').'</td>
                                            <td>'.$lst['expenses_description'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'; if($lst['approved'] == 1){echo 'Approved';}else{echo 'Pending';} echo'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>                                

                                <hr/>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<style>     
.th{

    min-width:120px; 

}   
</style> 
<script>
function calCulaTion(){
    document.getElementById('amnt1a').innerHTML='<?php echo number_format($amnt1); ?>';
    document.getElementById('amnt1b').innerHTML='<?php echo number_format($amnt1); ?>';
    document.getElementById('amnt2a').innerHTML='<?php echo number_format($amnt2); ?>';
    document.getElementById('amnt2b').innerHTML='<?php echo number_format($amnt2); ?>';
    document.getElementById('amnt3a').innerHTML='<?php echo number_format($amnt3); ?>';
    document.getElementById('amnt3b').innerHTML='<?php echo number_format($amnt3); ?>';
    
    
    document.getElementById('prft1a').innerHTML='<?php echo number_format($prft1); ?>';
    document.getElementById('prft1b').innerHTML='<?php echo number_format($prft1); ?>';
    document.getElementById('prft2a').innerHTML='<?php echo number_format($prft2); ?>';
    document.getElementById('prft2b').innerHTML='<?php echo number_format($prft2); ?>';
}
</script>
<?php 
require("../includes/footer_table.php"); 
