-- phpMyAdmin SQL Dump
-- version 5.0.2
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 30, 2024 at 03:29 PM
-- Server version: 10.1.37-MariaDB
-- PHP Version: 7.4.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `busiboxoffline`
--

-- --------------------------------------------------------

--
-- Table structure for table `added_info`
--

CREATE TABLE `added_info` (
  `id` int(12) NOT NULL,
  `invoice_number` varchar(20) NOT NULL,
  `comment` text,
  `payment_type` varchar(20) DEFAULT NULL,
  `amount_tendered` varchar(20) DEFAULT NULL,
  `balance` varchar(20) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `config`
--

CREATE TABLE `config` (
  `id` int(12) NOT NULL,
  `business_name` varchar(150) DEFAULT NULL,
  `phone_number` varchar(15) DEFAULT NULL,
  `phone_number2` varchar(15) DEFAULT NULL,
  `receipt_note` varchar(150) DEFAULT NULL,
  `email_address` varchar(70) DEFAULT NULL,
  `contact_address` varchar(200) DEFAULT NULL,
  `motto` varchar(150) DEFAULT NULL,
  `updated_by` varchar(70) DEFAULT NULL,
  `date_updated` varchar(70) DEFAULT NULL,
  `subscription_key` varchar(20) NOT NULL DEFAULT 'XVY2837JKH8327YHA',
  `start_date` date NOT NULL DEFAULT '2023-01-01',
  `end_date` date NOT NULL DEFAULT '2023-01-01',
  `currency` varchar(10) NOT NULL DEFAULT 'N',
  `company_logo` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `config`
--

INSERT INTO `config` (`id`, `business_name`, `phone_number`, `phone_number2`, `receipt_note`, `email_address`, `contact_address`, `motto`, `updated_by`, `date_updated`, `subscription_key`, `start_date`, `end_date`, `currency`, `company_logo`) VALUES
(1, 'EIBS STORES LIMITED', '08037434227', '08037434227', 'No Refund of Money After Payment', 'info@busibox.com.ng', 'Shope 10, Area1 Shopping Complex, Abuja', '...digitizing retails.', 'jvnnamani@yahoo.com', '21-Mar-2024 02:12:59 pm', '202302803604002', '2024-03-28', '2025-03-28', 'N', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `customers`
--

CREATE TABLE `customers` (
  `id` int(12) NOT NULL,
  `customer_name` varchar(150) DEFAULT NULL,
  `phone_number` varchar(20) DEFAULT NULL,
  `customer_email` varchar(50) DEFAULT NULL,
  `customer_address` text,
  `gender` varchar(15) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `_id` varchar(20) NOT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No',
  `deleted_by` varchar(50) DEFAULT NULL,
  `date_deleted` varchar(60) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `customers_returned_products`
--

CREATE TABLE `customers_returned_products` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) NOT NULL,
  `date_returned` date NOT NULL,
  `date_created` varchar(70) NOT NULL,
  `created_by` varchar(70) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(10) NOT NULL,
  `total_amount` varchar(15) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `synched` varchar(3) NOT NULL DEFAULT 'No',
  `date_deleted` varchar(60) DEFAULT NULL,
  `deleted_by` varchar(60) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dealers`
--

CREATE TABLE `dealers` (
  `id` int(12) NOT NULL,
  `email_address` varchar(50) DEFAULT NULL,
  `contact_address` text NOT NULL,
  `gender` varchar(15) NOT NULL,
  `business_name` text,
  `first_name` varchar(30) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `phone_number` varchar(20) NOT NULL,
  `date_created` varchar(70) DEFAULT NULL,
  `created_by` varchar(70) NOT NULL,
  `updated_by` varchar(70) DEFAULT NULL,
  `date_updated` varchar(70) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dealers_payment`
--

CREATE TABLE `dealers_payment` (
  `id` int(12) NOT NULL,
  `dealer_id` int(12) NOT NULL,
  `amount` varchar(15) NOT NULL,
  `payment_date` date NOT NULL,
  `created_by` varchar(50) NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `bank_name` varchar(100) DEFAULT NULL,
  `bank_account` varchar(10) DEFAULT NULL,
  `depositor_name` varchar(100) DEFAULT NULL,
  `payment_method` varchar(30) DEFAULT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `deleted_by` varchar(70) DEFAULT NULL,
  `date_deleted` varchar(70) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dealers_returned_products`
--

CREATE TABLE `dealers_returned_products` (
  `id` int(12) NOT NULL,
  `dealer_id` int(12) NOT NULL,
  `date_returned` date NOT NULL,
  `date_created` varchar(70) NOT NULL,
  `created_by` varchar(70) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `total_amount` varchar(15) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `deleted_by` varchar(70) DEFAULT NULL,
  `date_deleted` varchar(70) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dealers_service_billing`
--

CREATE TABLE `dealers_service_billing` (
  `id` int(12) NOT NULL,
  `dealer_id` int(12) DEFAULT NULL,
  `service_id` int(12) NOT NULL,
  `service_price` varchar(20) NOT NULL,
  `service_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `sales_invoice` varchar(14) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dealers_supplies`
--

CREATE TABLE `dealers_supplies` (
  `id` int(12) NOT NULL,
  `dealer_id` int(12) DEFAULT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `sales_invoice` varchar(14) NOT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `expenses`
--

CREATE TABLE `expenses` (
  `id` int(12) NOT NULL,
  `category_id` int(12) NOT NULL,
  `expenses_description` text NOT NULL,
  `amount` varchar(20) NOT NULL,
  `expenses_date` date NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `approved` int(1) NOT NULL DEFAULT '0',
  `approved_by` varchar(50) DEFAULT NULL,
  `approved_date` varchar(50) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `expenses_categories`
--

CREATE TABLE `expenses_categories` (
  `id` int(12) NOT NULL,
  `category_name` varchar(100) NOT NULL,
  `category_description` text NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `edited_by` varchar(50) DEFAULT NULL,
  `edited_date` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(60) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `date_deleted` varchar(40) DEFAULT NULL,
  `deleted_by` varchar(60) DEFAULT NULL,
  `sales_invoice` varchar(20) NOT NULL,
  `status` int(3) NOT NULL DEFAULT '1' COMMENT '1= pending, 2 = processing, 3 = processed, 4 = cancelled',
  `paid` varchar(5) NOT NULL DEFAULT 'No',
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `orders_cart`
--

CREATE TABLE `orders_cart` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `sales_invoice` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE `products` (
  `id` int(12) NOT NULL,
  `barcode` varchar(30) DEFAULT NULL,
  `product_name` varchar(200) NOT NULL,
  `product_category` varchar(100) DEFAULT NULL,
  `product_description` text,
  `product_qtty` varchar(12) NOT NULL DEFAULT '0',
  `cost_price` varchar(15) NOT NULL DEFAULT '0',
  `selling_price` varchar(15) NOT NULL DEFAULT '0',
  `created_by` varchar(40) NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0' COMMENT '0 = active, 1 = deleted',
  `manufacture_date` date DEFAULT NULL,
  `expiring_date` date DEFAULT NULL,
  `edited_by` varchar(60) DEFAULT NULL,
  `edited_date` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `receivings`
--

CREATE TABLE `receivings` (
  `id` int(12) NOT NULL,
  `supplier_id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `product_price` varchar(15) NOT NULL COMMENT 'Cost Price',
  `selling_price` varchar(12) NOT NULL DEFAULT '0',
  `amount` varchar(15) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `vehicle_number` varchar(30) DEFAULT NULL,
  `driver_name` varchar(60) DEFAULT NULL,
  `driver_phone` varchar(20) DEFAULT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `receivings_cart`
--

CREATE TABLE `receivings_cart` (
  `id` int(12) NOT NULL,
  `supplier_id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL COMMENT 'Cost Price',
  `product_price` varchar(15) NOT NULL,
  `selling_price` varchar(12) NOT NULL DEFAULT '0',
  `amount` varchar(15) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `vehicle_number` varchar(30) DEFAULT NULL,
  `driver_name` varchar(60) DEFAULT NULL,
  `driver_phone` varchar(20) DEFAULT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `receivings_number` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `sales`
--

CREATE TABLE `sales` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) DEFAULT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `sales_invoice` varchar(14) NOT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `sales_cart`
--

CREATE TABLE `sales_cart` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) DEFAULT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(50) NOT NULL,
  `date_created` varchar(70) DEFAULT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `sales_invoice` varchar(20) NOT NULL,
  `suspended` int(1) NOT NULL DEFAULT '0' COMMENT '0 = Not Suspended, 1 = Suspended'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `services`
--

CREATE TABLE `services` (
  `id` int(12) NOT NULL,
  `service_name` varchar(200) NOT NULL,
  `service_category` varchar(100) DEFAULT NULL,
  `service_description` text NOT NULL,
  `cost_price` varchar(15) NOT NULL,
  `selling_price` varchar(15) NOT NULL,
  `created_by` varchar(40) NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0' COMMENT '0 = active, 1 = deleted',
  `edited_by` int(12) DEFAULT NULL,
  `edited_date` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `services_billing`
--

CREATE TABLE `services_billing` (
  `id` int(12) NOT NULL,
  `customer_id` varchar(20) DEFAULT NULL,
  `service_id` int(12) NOT NULL,
  `service_price` varchar(20) NOT NULL,
  `service_qtty` int(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `sales_invoice` varchar(14) NOT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `subscription`
--

CREATE TABLE `subscription` (
  `id` int(11) NOT NULL,
  `subscription_key` varchar(50) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `first_installation` varchar(3) NOT NULL DEFAULT 'Yes',
  `account_url` varchar(100) NOT NULL,
  `first_login` varchar(3) NOT NULL DEFAULT 'Yes'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `subscription`
--

INSERT INTO `subscription` (`id`, `subscription_key`, `start_date`, `end_date`, `first_installation`, `account_url`, `first_login`) VALUES
(1, 'E2D11E654F8E1BF', '2023-05-14', '2024-05-14', 'Yes', 'https://busibox.com.ng/eibs', 'Yes');

-- --------------------------------------------------------

--
-- Table structure for table `suppliers`
--

CREATE TABLE `suppliers` (
  `id` int(12) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `supplier_address` text NOT NULL,
  `supplier_email` varchar(50) DEFAULT NULL,
  `supplier_phone` varchar(20) DEFAULT NULL,
  `company_name` text NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `created_by` varchar(60) DEFAULT NULL,
  `date_created` varchar(60) DEFAULT NULL,
  `updated_by` varchar(60) DEFAULT NULL,
  `date_updated` varchar(60) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `suppliers_payments`
--

CREATE TABLE `suppliers_payments` (
  `id` int(12) NOT NULL,
  `supplier_id` int(12) NOT NULL,
  `amount` varchar(15) NOT NULL,
  `payment_date` date NOT NULL,
  `created_by` varchar(40) NOT NULL,
  `date_created` varchar(40) NOT NULL,
  `bank_name` varchar(100) NOT NULL,
  `bank_account` varchar(12) NOT NULL,
  `depositor_name` varchar(100) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `edited_by` varchar(50) DEFAULT NULL,
  `edited_date` varchar(50) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No',
  `date_deleted` varchar(50) NOT NULL,
  `deleted_by` varchar(60) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `supply_cart`
--

CREATE TABLE `supply_cart` (
  `id` int(12) NOT NULL,
  `dealer_id` int(12) DEFAULT NULL,
  `product_id` int(12) NOT NULL,
  `product_price` varchar(20) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `sales_date` date NOT NULL,
  `total_amount` varchar(20) NOT NULL,
  `created_by` varchar(50) NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `profit` varchar(20) NOT NULL,
  `sales_invoice` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(12) NOT NULL,
  `username` varchar(50) NOT NULL COMMENT 'username = email',
  `password` text NOT NULL,
  `status` int(1) NOT NULL DEFAULT '1',
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `phone_number` varchar(20) NOT NULL,
  `user_level` int(5) NOT NULL COMMENT '1 = admin, 2 = sales rep, 3 = dealers, 4 = company',
  `last_seen` varchar(50) DEFAULT NULL,
  `date_created` varchar(40) NOT NULL,
  `created_by` varchar(50) NOT NULL,
  `ip_address` varchar(40) DEFAULT NULL,
  `privileges` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `status`, `first_name`, `last_name`, `phone_number`, `user_level`, `last_seen`, `date_created`, `created_by`, `ip_address`, `privileges`) VALUES
(1, 'jvnnamani@yahoo.com', '$2y$10$qBLKCMbkPKgqT7iYlC2FdOTs480tVoebI6eKkmJ45YfzI.dvyAGGm', 1, 'John', 'Ugonna', '08064731776', 1, '30-May-2024 04:20:44 pm', '14-Jan-2021 01:33:10 am', 'jvnnamani@yahoo.com', '127.0.0.1', '');

-- --------------------------------------------------------

--
-- Table structure for table `users_viewed_pages`
--

CREATE TABLE `users_viewed_pages` (
  `id` int(12) NOT NULL,
  `username` varchar(50) DEFAULT NULL,
  `page_url` varchar(100) DEFAULT NULL,
  `date_time` varchar(30) DEFAULT NULL,
  `ip_address` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `warehouse`
--

CREATE TABLE `warehouse` (
  `id` int(12) NOT NULL,
  `supplier_id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `product_price` varchar(15) NOT NULL COMMENT 'Cost Price',
  `selling_price` varchar(12) NOT NULL DEFAULT '0',
  `amount` varchar(15) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `comment` text,
  `delivery_person_name` varchar(60) DEFAULT NULL,
  `delivery_person_phone` varchar(20) DEFAULT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `receivings_number` varchar(20) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `warehouse_cart`
--

CREATE TABLE `warehouse_cart` (
  `id` int(12) NOT NULL,
  `supplier_id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL COMMENT 'Cost Price',
  `product_price` varchar(15) NOT NULL,
  `selling_price` varchar(12) NOT NULL DEFAULT '0',
  `amount` varchar(15) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `comment` text,
  `delivery_person_name` varchar(60) DEFAULT NULL,
  `delivery_person_phone` varchar(20) DEFAULT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `receivings_number` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `warehouse_requisition`
--

CREATE TABLE `warehouse_requisition` (
  `id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `comment` text,
  `receiver_name` varchar(60) DEFAULT NULL,
  `receiver_phone` varchar(20) DEFAULT NULL,
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `receivings_number` varchar(20) DEFAULT NULL,
  `synched` varchar(3) NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `warehouse_requisition_cart`
--

CREATE TABLE `warehouse_requisition_cart` (
  `id` int(12) NOT NULL,
  `product_id` int(12) NOT NULL,
  `product_qtty` varchar(12) NOT NULL COMMENT 'Cost Price',
  `date_created` varchar(50) NOT NULL,
  `created_by` varchar(60) NOT NULL,
  `date_received` date NOT NULL,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `date_deleted` varchar(30) DEFAULT NULL,
  `deleted_by` varchar(50) DEFAULT NULL,
  `batch_number` varchar(20) DEFAULT NULL,
  `receivings_number` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `added_info`
--
ALTER TABLE `added_info`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `config`
--
ALTER TABLE `config`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `customers`
--
ALTER TABLE `customers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `customers_returned_products`
--
ALTER TABLE `customers_returned_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `dealer_id` (`customer_id`),
  ADD KEY `deleted` (`deleted`);

--
-- Indexes for table `dealers`
--
ALTER TABLE `dealers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `phone_number` (`phone_number`);

--
-- Indexes for table `dealers_payment`
--
ALTER TABLE `dealers_payment`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `dealer_id` (`dealer_id`);

--
-- Indexes for table `dealers_returned_products`
--
ALTER TABLE `dealers_returned_products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `dealer_id` (`dealer_id`),
  ADD KEY `deleted` (`deleted`);

--
-- Indexes for table `dealers_service_billing`
--
ALTER TABLE `dealers_service_billing`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `dealers_supplies`
--
ALTER TABLE `dealers_supplies`
  ADD PRIMARY KEY (`id`),
  ADD KEY `dealer_id` (`dealer_id`);

--
-- Indexes for table `expenses`
--
ALTER TABLE `expenses`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `expenses_categories`
--
ALTER TABLE `expenses_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `orders`
--
ALTER TABLE `orders`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `orders_cart`
--
ALTER TABLE `orders_cart`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `products`
--
ALTER TABLE `products`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `receivings`
--
ALTER TABLE `receivings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `receivings_cart`
--
ALTER TABLE `receivings_cart`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sales`
--
ALTER TABLE `sales`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sales_invoice` (`sales_invoice`);

--
-- Indexes for table `sales_cart`
--
ALTER TABLE `sales_cart`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `sales_invoice` (`sales_invoice`);

--
-- Indexes for table `services`
--
ALTER TABLE `services`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `services_billing`
--
ALTER TABLE `services_billing`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `subscription`
--
ALTER TABLE `subscription`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `suppliers`
--
ALTER TABLE `suppliers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `suppliers_payments`
--
ALTER TABLE `suppliers_payments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `supply_cart`
--
ALTER TABLE `supply_cart`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users_viewed_pages`
--
ALTER TABLE `users_viewed_pages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `warehouse`
--
ALTER TABLE `warehouse`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `warehouse_cart`
--
ALTER TABLE `warehouse_cart`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `warehouse_requisition`
--
ALTER TABLE `warehouse_requisition`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `warehouse_requisition_cart`
--
ALTER TABLE `warehouse_requisition_cart`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `added_info`
--
ALTER TABLE `added_info`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `config`
--
ALTER TABLE `config`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `customers`
--
ALTER TABLE `customers`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `customers_returned_products`
--
ALTER TABLE `customers_returned_products`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dealers`
--
ALTER TABLE `dealers`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dealers_payment`
--
ALTER TABLE `dealers_payment`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dealers_returned_products`
--
ALTER TABLE `dealers_returned_products`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dealers_service_billing`
--
ALTER TABLE `dealers_service_billing`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dealers_supplies`
--
ALTER TABLE `dealers_supplies`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `expenses`
--
ALTER TABLE `expenses`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `expenses_categories`
--
ALTER TABLE `expenses_categories`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `orders`
--
ALTER TABLE `orders`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `orders_cart`
--
ALTER TABLE `orders_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `products`
--
ALTER TABLE `products`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `receivings`
--
ALTER TABLE `receivings`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `receivings_cart`
--
ALTER TABLE `receivings_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sales`
--
ALTER TABLE `sales`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sales_cart`
--
ALTER TABLE `sales_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `services`
--
ALTER TABLE `services`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `services_billing`
--
ALTER TABLE `services_billing`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `subscription`
--
ALTER TABLE `subscription`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `suppliers`
--
ALTER TABLE `suppliers`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `suppliers_payments`
--
ALTER TABLE `suppliers_payments`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `supply_cart`
--
ALTER TABLE `supply_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `users_viewed_pages`
--
ALTER TABLE `users_viewed_pages`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `warehouse`
--
ALTER TABLE `warehouse`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `warehouse_cart`
--
ALTER TABLE `warehouse_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `warehouse_requisition`
--
ALTER TABLE `warehouse_requisition`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `warehouse_requisition_cart`
--
ALTER TABLE `warehouse_requisition_cart`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
