<?php
include 'includes/functions.php';
$mysqli = db(); 
$sql = "SELECT * FROM subscription";
$result = $mysqli->query($sql);
$row = $result->fetch_array();
$start_date = $row['start_date'];
$subscription_key = $row['subscription_key'];
$end_date = $row['end_date'];
$first_installation = $row['first_installation'];
$first_login = $row['first_login'];
$today = date('Y-m-d');
if($today > $end_date){
   header('location:subscription.php');
   exit();
}


if($first_installation === 'Yes'){
   header('location:firstsetup.php');
   exit();
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>BusiBox : digitizing enterprises | Sign In </title>
    <meta name="keywords" content="BusiBox - Business Management Software" />
    <meta name="description" content="BusiBox - Business Management Software" />
    <!-- Favicon-->
    <link rel="icon" href="images/busibox.ico" type="image/x-icon">
    <link href="fontawesome/css/all.css" rel="stylesheet">
    <!-- Bootstrap Core Css -->
    <link href="bower_components/font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Custom Css -->
    <link href="css/style.css" rel="stylesheet">
    <script src="plugins/jquery/jquery.min.js"></script>
    <link href="dashboard/select2/css/select2.min.css" rel="stylesheet" />
    <script src="dashboard/select2/js/select2.min.js"></script>
</head>

<body class="login-page" style="background-color:green">

    <div class="login-box">
        <div class="logo">
            <small><img src="images/BusiBoxLogo.png" alt="" style=" height:100px" /></small>
            <a href="javascript:void(0);">Busi<b>Box</b></a>
        </div>
        <div class="card">
            <div class="body">
                <form id="sign_in" method="POST" action="authentication.php">
                    <div class="msg">Sign in to start your session</div>
                          <?php
                          if(!empty($_GET['err'])){
                              echo '<div class="msg" style="color:red; font-weight:bold;">'.$_GET['err'].'</div>';
                          }
                          if(!empty($_GET['alert'])){
                              echo '<div class="msg"  style="color:green; font-weight:bold;">'.$_GET['alert'].'</div>';
                          }
                          ?>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-user"></i>
                        </span>
                        <div class="form-line">
                            <input type="email" class="form-control" name="username" placeholder="Username (email)" required />
                        </div>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-lock"></i>
                        </span>
                        <div class="form-line">
                            <input type="password" class="form-control" name="password" placeholder="Password" required />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            <?php
                            if($first_login === 'Yes'){
                                echo '<button class="btn btn-block bg-red" name="synch" onclick="usersUpdate()"><i class="fa fa-download"></i> SYNCH USERS</button>';
                                
                            }
                            ?>
                            
                        </div>
                        <div class="col-xs-6" style="float: right">
                            <button class="btn btn-block bg-green waves-effect" name="submit" type="submit" onclick="notifyStatus()">LOGIN</button>
                        </div>
                    </div>
                      <hr/>                  
                    <div class="row">
                        <p style="text-align:center" id="alert"></p>
                    </div>
                    <div class="row">
                        <p style="display:none; font-weight: bold;" id="loader"> <img src="images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Jquery Core Js -->

    <!-- Bootstrap Core Js -->
    <script src="plugins/bootstrap/js/bootstrap.js"></script>

    <!-- Waves Effect Plugin Js -->
    <script src="plugins/node-waves/waves.js"></script>

    <!-- Validation Plugin Js -->
    <script src="plugins/jquery-validation/jquery.validate.js"></script>

    <!-- Custom Js -->
    <script src="js/admin.js"></script>
    <script src="js/pages/examples/sign-in.js"></script>
<script>
function notifyStatus(){
            document.getElementById('loader').style.display = 'inline';
    }
</script>

<script>
function usersUpdate(){
document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "synch_users_proc.php",
    cache: false,
    success: function(result){
        document.getElementById('alert').innerHTML = result;
        document.getElementById('loader').style.display = 'none';    
    }       
    });
}

function subresp(response) {
    var response = response;
    $.ajax({
    type: "POST",
    url: "subchecks_proc.php",
    data : {response : response},  
    cache: false,
    success: function(result){
        if(result === 'deactivated'){
            window.location.href='subscription.php'; 
        }
        }
    }); 
}

function subchecks() {
var subkey = '<?php echo $subscription_key; ?>';
var substart = '<?php echo $start_date; ?>';
var subend = '<?php echo $end_date; ?>';

$.ajax({
type: "POST",
url: "https://busibox.com.ng/subscription/subchecks.php",
data : {subkey : subkey,subend : subend,substart : substart },  
cache: false,
success: function(result){
    if(result === 'Subscription Valid'){
        //do nothing 
    }else{
        subresp(result);    
    }
    }
}); 
}            


window.setInterval(function(){
        if(navigator.onLine){
            subchecks();  
        }else{
            //Offline
        }
    }, 1000);
    

</script>
<?php  
$one_month = date('Y-m-d', strtotime('+1 month'));
if($one_month > $end_date){
echo '<script> alert("Your current subscription will expire on '.$end_date.' \n\nPlease contact info@busibox.com.ng, 08037434227 for renewal \n\nThanks");</script>';    
}

?>
</body>
</html>