<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PRODUCTS ORDER DETAILS
                                <small>order details <span style="float:right">
                                    <?php
                                    $inv = $_GET['inv']; 
                                    echo '<strong>'.$inv.'</strong>'; 
                                    ?>
                                </span>
                                </small>
                                
                            </h2>
                        </div>
                        <div class="body" id="rfresh">
                            
                            <div class="row" style="border-bottom: solid">
                                <div class="col-sm-4">
                                    <strong>Name:</strong>
                                      <?php echo customer_info(order_info2($inv,'customer_id'),'customer_name'); ?>  
                                </div>
                                <div class="col-sm-4">
                                    <strong>Gender:</strong> 
                                       <?php echo customer_info(order_info2($inv,'customer_id'),'gender'); ?> 
                                </div>
                                <div class="col-sm-4">
                                    <strong>Phone:</strong>
                                        <?php echo customer_info(order_info2($inv,'customer_id'),'phone_number'); ?>
                                </div> 
                            </div>
                            
                            <div class="row" style="border-bottom: solid; padding-top: 5px">
                                <div class="col-sm-4">
                                    <strong>Email:</strong>
                                       <?php echo customer_info(order_info2($inv,'customer_id'),'customer_email'); ?> 
                                </div>
                                <div class="col-sm-4">
                                    <strong>Address:</strong>
                                        <?php echo customer_info(order_info2($inv,'customer_id'),'customer_address'); ?>
                                </div>
                                <div class="col-sm-4">
                                    <strong>Date:</strong>
                                        <?php echo order_info2($inv,'sales_date'); ?>
                                </div>
                            </div>
                            <br/>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <table style="width:100%; border:solid; padding: 5px">
                                        <tr style="font-weight:bold; border-bottom:solid">
                                            <td style="border-right:solid; padding:5px">S/N</td>
                                            <td style="border-right:solid; padding:5px">Item Description</td>
                                            <td style="border-right:solid; padding:5px">Qtty</td>
                                            <td style="border-right:solid; padding:5px">Amount</td>
                                            <td style="border-right:solid; padding:5px">Status</td>
                                            <td style="border-right:solid; padding:5px;min-width:210px">Action</td>
                                        </tr>
                                 
                                            <?php          
                                            $orders = order_inv2($inv);
                                            $sn = 0;
                                          foreach ($orders as $lst) {
                                              $sn++;
                                              echo '<tr style="border-bottom:solid">
                                                  <td style="width:50px;border-right:solid; padding:5px">'.$sn.'</td>
                                                  <td style="border-right:solid; padding:5px">'.product_info($lst['product_id'],'product_name').'</td>
                                                  <td style="width:50px;border-right:solid; padding:5px">'.$lst['product_qtty'].'</td>
                                                  <td style="width:100px;border-right:solid; padding:5px">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                                  
                                                  <td style="width:50px;border-right:solid; padding:5px">';
                                                  if($lst['status'] == 1){ echo 'Pending';}
                                                  
                                                  if($lst['status'] == 2){ echo 'Processing';}
                                                  
                                                  if($lst['status'] == 3){ echo 'Processed';}
                                                  echo'</td>
                                                  <td style="width:70px;border-right:solid; padding:5px">';
                                                          if($lst['status'] == 1){ 
                                                              echo ' <button class="btn-sm btn btn-danger" onclick="cancelOrder('.$lst['id'].')" title="Cancel Order"><i class="fa fa-trash"></i></button> &nbsp;';
                                                          }
                                                          if($lst['status'] == 1){ 
                                                              echo ' <button class="btn-sm btn btn-success" onclick="processOrder('.$lst['id'].')" title="Process Order"><i class="fa fa-check"></i></button> &nbsp;';
                                                          }
                                                          if($lst['status'] == 2){ 
                                                              echo '<button class="btn-sm btn btn-warning" onclick="markProcessed('.$lst['id'].')" title="Mark Processed"><i class="fa fa-thumbs-up"></i></button> &nbsp;';
                                                          }
                                                          if($lst['paid'] == 'No'){ 
                                                              echo '<button class="btn-sm btn btn-purple" onclick="markPaid('.$lst['id'].')" title="Mark Paid"><i class="fa fa-money"></i></button>';
                                                          }
                                                          if($lst['paid'] == 'Yes'){ 
                                                              echo '<button class="btn-sm btn btn-sucess" title="Order has been Paid"><i class="fa fa-money"></i> Paid</button>';
                                                          }
                                                          echo'</td>
                                              </tr>';
                                        }
                                        ?>
                                    </table>
                                </div>
                            </div>
                            
                                 
                                    <p><strong>Total Amount: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(order_total($inv)); ?></p>
                                    <hr/>
                            <?php
                           

                            if($sn > 1){
                                echo '<table style="width: 100%">
                                <tr>
                                    <td>';
                                if(orders_rows($inv,1) > 1){
                                    echo '<form name="form1" id="form1" method="post">
                                     <input type="hidden" name="sales_invoice" id="sales_invoice" required value="'.$inv.'" />
                                     <button type="submit" class="btn btn-danger waves-effect"><i class="fa fa-trash"></i> Cancell All Pending Order</button>
                                 </form>';
                                } else {
                                    echo '&nbsp;'; 
                                }

                                    echo'</td>
                                    <td>';
                                      if(orders_rows($inv,1) > 1){
                                    echo '<form name="form2" id="form2" method="post">
                                     <input type="hidden" name="sales_invoice" id="sales_invoice" required value="'.$inv.'" />
                                      <button type="submit" class="btn btn-success waves-effect"><i class="fa fa-check"></i> Process All Order</button>
                                   </form>';
                                } else {
                                    echo '&nbsp;'; 
                                }
                       
                                   echo '</td>
                                    <td>';
                                                                      
                                   if(orders_rows($inv,2) > 1){
                                    echo '<form name="form3" id="form3" method="post">
                                     <input type="hidden" name="sales_invoice" id="sales_invoice" required value="'.$inv.'" />
                                    <button type="submit"  class="btn btn-warning waves-effect"><i class="fa fa-thumbs-up"></i> Mark All Processed</button>
                                   </form>';
                                } else {
                                    echo '&nbsp;'; 
                                }
                                    echo '</td>
                                    <td>';
                                                                    
                                    if(orders_rows2($inv,'Yes') == 0){
                                    echo '<form name="form4" id="form4" method="post">
                                     <input type="hidden" name="sales_invoice" id="sales_invoice" required value="'.$inv.'" />
                                     <button type="submit" class="btn btn-purple waves-effect"><i class="fa fa-money"></i> Mark All Paid</button>   
                                     </form>';
                                } else {
                                    echo '&nbsp;'; 
                                }
                                      echo '</td>
                                </tr>
                            </table>';
                               
                            }
                            ?>
                                                
                              
                              
                            <div class="row">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                </div>
                        </div>
                        <hr/>
                            <p style="text-align:center" id="alert"></p>
                            <br/>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
function cancelOrder(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "order_place_cancel_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                    if(result !== 'Failed'){
                    $( "#rfresh" ).load(window.location.href + " #rfresh" ); 
                     document.getElementById('alert').innerHTML = result; 
                    }else{
                     document.getElementById('alert').innerHTML = result;   
                    }
                    
                }
            });
}
$("#form1" ).on( "submit", function( event ) {
event.preventDefault();
var dataString = $("#form1").serialize();
document.getElementById('loader').style.display = 'inline';
$.ajax({
type: "POST",
url: "order_place_cancel_all_proc.php",
data: dataString,
cache: false,
success: function(result){
document.getElementById('loader').style.display = 'none';
if(result !== 'Failed'){
document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;">Order Cancellation Successful. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';   
window.location.href='orders_pending.php?a=14';
}else{
 document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;">Order Cancellation Failed, Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';  
}
}
});
return false;
});


function processOrder(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "order_place_process_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                    if(result !== 'Failed'){
                    $( "#rfresh" ).load(window.location.href + " #rfresh" );  
                    }else{
                     document.getElementById('alert').innerHTML = result;   
                    }
                    
                }
            });
}
$("#form2" ).on( "submit", function( event ) {
event.preventDefault();
var dataString = $("#form2").serialize();
document.getElementById('loader').style.display = 'inline';
$.ajax({
type: "POST",
url: "order_place_process_all_proc.php",
data: dataString,
cache: false,
success: function(result){
document.getElementById('loader').style.display = 'none';
if(result !== 'Failed'){
document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;">Order Accepted For Processing. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';   
window.location.href='orders_processing.php?a=14';
}else{
 document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;">Failed To Accept Order For Processing, Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';  
}
}
});
return false;
});


function markProcessed(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "order_place_processed_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                    if(result !== 'Failed'){
                    $( "#rfresh" ).load(window.location.href + " #rfresh" );  
                    }else{
                     document.getElementById('alert').innerHTML = result;   
                    }
                    
                }
            });
}

$("#form3" ).on( "submit", function( event ) {
event.preventDefault();
var dataString = $("#form3").serialize();
document.getElementById('loader').style.display = 'inline';
$.ajax({
type: "POST",
url: "order_place_processed_all_proc.php",
data: dataString,
cache: false,
success: function(result){
document.getElementById('loader').style.display = 'none';
if(result !== 'Failed'){
document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;">Order Marked Processed Successfully. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';   
window.location.href='orders_processed.php?a=14';
}else{
 document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;">Failed To Mark Order As Processed, Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';  
}
}
});
return false;
});

function markPaid(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "order_place_paid_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                    if(result !== 'Failed'){
                    $( "#rfresh" ).load(window.location.href + " #rfresh" );  
                    }else{
                     document.getElementById('alert').innerHTML = result;   
                    }
                    
                }
            });
}
$("#form4" ).on( "submit", function( event ) {
event.preventDefault();
var dataString = $("#form4").serialize();
document.getElementById('loader').style.display = 'inline';
$.ajax({
type: "POST",
url: "order_place_paid_all_proc.php",
data: dataString,
cache: false,
success: function(result){
document.getElementById('loader').style.display = 'none';
if(result !== 'Failed'){
document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;">Order Marked Paid Successfully. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';   
window.location.href='orders_processed.php?a=14';
}else{
 document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;">Failed To Mark Order As Paid, Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';  
}
}
});
return false;
});


function closep(){
document.getElementById('alert2').style.display='none';
}
</script>     
<?php 
require("../includes/footer.php");
