<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PROCESSED ORDERS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                                
                            <div class="row clearfix">
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                    <button class="btn btn-success btn-lg btn-block waves-effect" type="button">Today's Processed Orders<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(proceessed_orders($today,3)); ?></span></button>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                    <button class="btn bg-black btn-lg btn-block waves-effect" type="button">Today's Unpaid Orders<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(proceessed_orders_pay($today,3,'No')); ?></span></button>
                                </div>
                                    
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                    <button class="btn bg-purple btn-lg btn-block waves-effect" type="button">Today's Paid Orders<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(proceessed_orders_pay($today,3,'Yes')); ?></span></button>
                                </div>
                              
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                    <button class="btn bg-red btn-lg btn-block waves-effect" type="button">Total Unpaid Orders<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(total_proceessed_orders_unpaid(3)); ?></span></button>
                                </div>
                                
                            </div>
                            <hr/>
                            <div class="table-responsive">
                              
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th class="th">Order Date</th>
                                            <th class="th">Invoice No</th>
                                            <th class="th">Customer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>Paid</th>
                                            <th>Phone</th>
                                            <th>Address</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th style="min-width:80px">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th class="th">Order Date</th>
                                            <th class="th">Invoice No</th>
                                            <th class="th">Customer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>Paid</th>
                                            <th>Phone</th>
                                            <th>Address</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                                        
                                        if (isset($_GET["paged"])) {
                                            $paged = $_GET["paged"];
                                        }else{
                                            $paged = 1;
                                        }                        
                                        $num_of_rows = processed_orders2();
                                        $rows_per_page = 100;
                                        $num_of_pages = ceil($num_of_rows/$rows_per_page);
                                        //ensure that $pageno is within the page
                                        $paged = (int)$paged;
                                        if ($paged > $num_of_pages) {
                                            $paged = $num_of_pages;
                                        } 
                                        if ($paged < 1) {
                                            $paged = 1;
                                        }
                                        //Construct limit clause
                                        $limit = 'limit ' .($paged - 1) * $rows_per_page .',' .$rows_per_page;

                                        $orders = processed_orders($limit);
                                          
                                        foreach ($orders as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.$lst['sales_invoice'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'.$lst['paid'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_address').'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'; if($lst['paid'] == 'No'){echo '<button class="btn-sm btn btn-success" onclick="processOrder('.$lst['id'].')" title="Mark Paid"><i class="fa fa-money"></i></button> ';} if($lst['paid'] == 'Yes'){echo '<a class="btn-sm btn btn-success" href="orders_receipt.php?inv='.$lst['sales_invoice'].'&a=14" title="Print Receipt"><i class="fa fa-print"></i></a> ';} echo'&nbsp; <a class="btn-sm btn btn-success" href="orders_details.php?inv='.$lst['sales_invoice'].'&a=14" title="View Order Details"><i class="fa fa-eye"></i></a></td>
                                        </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                                                  
                                <p align="center">
                                    <?php
                                    //links for the following pages
                                    if ($paged == 1) {

                                        } else {
                                        echo " <a href='?a=14&paged=1'><button>First Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       $prevpage = $paged-1;
                                        echo " <a href='?a=14&paged=$prevpage'><button>Previous Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       }
                                       //inform the user of his current position
                                      if ($num_of_pages == 0) {

                                       }
                                       elseif ($paged == $num_of_pages) {

                                       } else {
                                       $nextpage = $paged+1;
                                      echo " <a href='?a=14&paged=$nextpage'><button>Next Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";
                                       echo " <a href='?a=14&paged=$num_of_pages'><button>Last Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";

                                     }
                                     ?>
        
                                </p>
                            <p style="text-align:center" id="alert"></p><br/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px; 
    }
</style>  
<script>
function processOrder(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "order_place_paid_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                    if(result !== 'Failed'){
                    window.location.href='orders_processed.php?a=14';  
                    }else{
                     document.getElementById('alert').innerHTML = result;   
                    }
                    
                }
            });
}
</script>
<?php
require("../includes/footer_table.php"); 
