<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$inv = $_GET['inv']; 
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card"  id="receipt">
                        <div class="header" style="border-bottom: solid">
                            <h2 style=" text-align: center; border-bottom: solid">
                                <img src="../images/<?php echo config_info('company_logo'); ?>" height="100px" alt="Logo" /><br/>
                                <?php echo strtoupper(config_info('business_name')); ?><br/>
                                 <small>
                                     <?php echo config_info('motto'); ?> <br/>
                                      <?php echo config_info('contact_address'); ?> <br/>
                                      <?php echo config_info('phone_number').', '.config_info('email_address'); ?>
                                 </small>
                            </h2>
                                                        
                            <h3>
                                <small><strong>ORDER RECEIPT</strong> <span style="float:right">
                                    <?php
                                    echo '<strong>'.$inv.'</strong>'; 
                                    ?>
                                </span>
                                </small>
                            </h3>
                        </div>
                        
                           
                        <div class="body">
                            <div class="row" style="border-bottom: solid">
                                <div class="col-sm-12">
                                     <table  style="width:100%;">
                                        <tr>
                                            <td>
                                            <?php echo customer_info(order_info2($inv,'customer_id'),'customer_name'); ?>   
                                            </td>
                                            <td style="text-align:right">
                                                 <?php echo order_info2($inv,'sales_date'); ?>  
                                            </td>
                                        </tr>
                                    </table>
                                    
                                </div> 
                                
                            </div>
                            <br/>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <table style="width:100%; border:solid; padding: 5px">
                                        <tr style="font-weight:bold; border-bottom:solid">
                                            <td style="border-right:solid; padding:5px">S/N</td>
                                            <td style="border-right:solid; padding:5px">Item Description</td>
                                            <td style="border-right:solid; padding:5px">Qtty</td>
                                            <td style="border-right:solid; padding:5px">Amount</td>
                                            <td style="border-right:solid; padding:5px">Status</td>
                                            <td style="border-right:solid; padding:5px;min-width:20px">Bill</td>
                                        </tr>
                                 
                                            <?php          
                                            $orders = order_inv3($inv);
                                            $sn = 0;
                                            $total = 0;
                                          foreach ($orders as $lst) {
                                              $sn++;
                                              $total = $total + $lst['total_amount'];
                                              echo '<tr style="border-bottom:solid">
                                                  <td style="width:50px;border-right:solid; padding:5px">'.$sn.'</td>
                                                  <td style="border-right:solid; padding:5px">'.product_info($lst['product_id'],'product_name').'</td>
                                                  <td style="width:50px;border-right:solid; padding:5px">'.$lst['product_qtty'].'</td>
                                                  <td style="width:100px;border-right:solid; padding:5px">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                                  
                                                  <td style="width:50px;border-right:solid; padding:5px">';
                                                  if($lst['status'] == 1){ echo 'Pending';}
                                                  
                                                  if($lst['status'] == 2){ echo 'Processing';}
                                                  
                                                  if($lst['status'] == 3){ echo 'Processed';}
                                                  echo'</td>
                                                  <td style="width:70px;border-right:solid; padding:5px">';
                                                          if($lst['status'] == 1){ 
                                                              echo ' <button class="btn-sm btn btn-danger" onclick="cancelOrder('.$lst['id'].')" title="Cancel Order"><i class="fa fa-trash"></i></button> &nbsp;';
                                                          }
                                                          if($lst['status'] == 1){ 
                                                              echo ' <button class="btn-sm btn btn-success" onclick="processOrder('.$lst['id'].')" title="Process Order"><i class="fa fa-check"></i></button> &nbsp;';
                                                          }
                                                          if($lst['status'] == 2){ 
                                                              echo '<button class="btn-sm btn btn-warning" onclick="markProcessed('.$lst['id'].')" title="Mark Processed"><i class="fa fa-thumbs-up"></i></button> &nbsp;';
                                                          }
                                                          if($lst['paid'] == 'No'){ 
                                                              echo '<button class="btn-sm btn btn-purple" onclick="markPaid('.$lst['id'].')" title="Mark Paid"><i class="fa fa-money"></i></button>';
                                                          }
                                                          if($lst['paid'] == 'Yes'){ 
                                                              echo 'Paid';
                                                          }
                                                          echo'</td>
                                              </tr>';
                                        }
                                        ?>
                                    </table>
                                    
                                </div>
                            </div>
                            <table style="width:100%;">
                                <tr style="border-bottom: solid">
                                    <td>
                                      <strong>Cashier:</strong> <?php echo user_info(sales_info2($inv,'created_by'),'first_name').' '.user_info(sales_info2($inv,'created_by'),'last_name'); ?>
                                
                                    </td>
                                    <td style="text-align:right">
                                             <strong>Total Amount: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format($total); ?>
                                        
                                    </td>
                                </tr>
                                
                                <tr style="border-bottom: solid">
                                    <td>
                                         <strong>Comment:</strong> <?php echo added_info($inv,'comment'); ?>
                                        
                                       
                                    </td>
                                    <td style="text-align:right">
                                         <strong>Payment Type:</strong> <?php echo added_info($inv,'payment_type'); ?>
                                         
                                    </td>
                                </tr>
                            </table>
                            <p  style=" text-align: center;">
                            <?php echo config_info('receipt_note'); ?>  
                            </p>
                        </div>
                      
                    </div> 
                    <p style="float: right">
                                     <button name="submit" id="submit" class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                 </p>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>     
<?php 
require("../includes/footer.php");
