<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                RECORD SUPPLIERS PAYMENTS
                                <small>enter supplier payment details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="payments_add_dealers_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-4"><label>Company Name <i style="color:red" title="Required">*</i></label>
                                   <select class="js-example-basic-single" required name="supplier_id" id="supplier_id" style="width:100%">
                                       <option value="" selected="">-- Please Select Company --</option>
                                        <?php
                                        $suppliers = suppliers();
                                        foreach ($suppliers as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.supplier_info($lst['id'],'company_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Amount Paid (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="amount" id="amount" required class="form-control" placeholder="Amount Paid" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Payment Date <i style="color:red" title="Required">*</i></label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date" id="payment_date" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                            </div>
                               <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Bank Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="bank_name" id="bank_name" required class="form-control" placeholder="Receiver Bank Name" />
                                        </div>
                                    </div>
                                </div>
                                   
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Account Number <i style="color:red" title="Required">*</i></label>
                                            <input type="text" maxlength="10" required name="bank_account" id="bank_account" class="form-control" placeholder="Receiver Account Number" />
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Depositor Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="depositor_name" id="depositor_name" required class="form-control" placeholder="Depositor Name" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});
</script>    
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;   
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var supplier_id = $("#supplier_id").val();
    if(supplier_id === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "payments_add_companies_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("form1").reset();
    document.getElementById("submit").disabled = false;
    }
    });
    }
    return false;
});
function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
