<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SUPPLIERS PAYMENTS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">Company Name</th>
                                            <th class="th">Bank Name</th>
                                            <th class="th">Account Number</th>
                                            <th class="th">Amount Paid</th>
                                            <th class="th">Depositor Name</th>
                                            <th class="th">Payment Date</th>
                                            <th class="th">Date Created</th>
                                            <th style="min-width:130px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">Company Name</th>
                                            <th class="th">Bank Name</th>
                                            <th class="th">Account Number</th>
                                            <th class="th">Amount Paid</th>
                                            <th class="th">Depositor Name</th>
                                            <th class="th">Payment Date</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $payments = supplier_payments();
                                        foreach ($payments as $lst) {
                                            echo '<tr>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.$lst['bank_name'].'</td>
                                            <td>'.$lst['bank_account'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['depositor_name'].'</td>
                                            <td>'.$lst['payment_date'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'; 
                                            echo '<a class="btn-sm btn btn-success" href="payments_companies_edit.php?a=7&id='.$lst['id'].'" title="Edit Payment Details"><i class="fa fa-edit"></i> Edit</a> ';
                                            echo ' <button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Payment"><i class="fa fa-trash"></i> Delete</button>';
                                            echo'</td></tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px; 
        }
    </style>
<script>
function deleteP(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "payments_companies_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='payments_companies_review.php?a=7';
                }
            });
}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php");
