<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EDIT PRODUCT
                                <small>edit product details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <?php $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); ?>
                            <form name="form1" id="form1" action="products_edit_proc.php" method="post">
                                <input type="hidden" name="product_id" id="product_id" value="<?php echo $id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text"  name="product_name" id="product_name" value="<?php echo product_info($id,'product_name'); ?>" class="form-control" placeholder="Product Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Cost Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="cost_price" id="cost_price" value="<?php echo product_info($id,'cost_price'); ?>" class="form-control" placeholder="Cost Price"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Selling Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="selling_price" id="selling_price" value="<?php echo product_info($id,'selling_price'); ?>" class="form-control" placeholder="Selling Price"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                    <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Description</label>
                                            <input type="text" name="product_description" id="product_description" value="<?php echo product_info($id,'product_description'); ?>" class="form-control" placeholder="Product Description" />
                                        </div>
                                    </div>
                                </div>
                                       
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Category <i style="color:red" title="Required">*</i></label>
                                            <input type="text"  name="product_category" id="product_category" value="<?php echo product_info($id,'product_category'); ?>" class="form-control" placeholder="Product Category" required/>
                                        </div>
                                    </div>
                                </div>
                                       
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Product Barcode</label>
                                            <input type="text"  name="product_barcode" id="product_barcode" value="<?php echo product_info($id,'barcode'); ?>" class="form-control" placeholder="Product Barcode"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Manufacture Date</label>
                                            <input type="date" max="<?php echo date('Y-m-d'); ?>" name="manufacture_date" id="manufacture_date" value="<?php echo product_info($id,'manufacture_date'); ?>" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Expiry Date</label>
                                            <input type="date" min="<?php echo date('Y-m-d'); ?>" name="expiring_date" id="expiring_date" value="<?php echo product_info($id,'expiring_date'); ?>" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                                 
                            </div>                             
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {    
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var product_name = $("#product_name").val();
    if(product_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "products_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>       
<?php 
require("../includes/footer.php");
