<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PRODUCTS LIST UPDATE
                                <small>synchronize product details</small>
                            </h2>
                        </div>
                        <div class="body">
                    
                                <div class="row clearfix">
                                
                                    <div class="col-sm-12">
                                    
                                        <p>This process when completed, will update the products list on this software with all your online platform products details.  </p>                                 
                                        <p style="color: red">Note: if your network is not strong, it is recommended that your range should not be up to 500 products</p>
                                    </div>
                                   
                            
                                </div>
                            <hr/>
                             <div class="row clearfix">
                                
                                 <div class="col-sm-6">
                                     <label>Product ID From <i style="color:red" title="Required">*</i></label>
                                     <input type="number" name="from" id="from" min="1" class="form-control" placeholder="Range From" oninput="checkRange()" required/>
                                          
                                 </div>
                                 <div class="col-sm-6">
                                      <label>Product ID To <i style="color:red" title="Required">*</i></label>
                                      <input type="number" name="to" id="to" min="1" class="form-control" placeholder="Range To" oninput="checkRange()"  required/>
                                      
                                 </div>
                                 
                             </div>
         
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                        
                                    <button onclick="updateProducts();"  name="submit" id="submit" class="btn btn-success waves-effect" disabled>Update Now</button>
                                                                      
                                </div>
                                                                
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>

                                
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
function checkRange(){
    var from = document.getElementById('from').value;
    var to = document.getElementById('to').value; 
    if(from === '' || to === ''){
        document.getElementById('submit').disabled = true;
    }else{
        document.getElementById('submit').disabled = false;
    }
}    
function updateProducts(){
document.getElementById('loader').style.display = 'block';
var from = document.getElementById('from').value;
var to = document.getElementById('to').value;
    $.ajax({
    type: "POST",
    url: "products_add_proc.php?from=" + from + "&to=" + to,
    cache: false,
    success: function(result){
        document.getElementById('alert').innerHTML = result;
        document.getElementById('loader').style.display = 'none';    
    }       
    });
}    

function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
    
<?php 
require("../includes/footer.php");
