<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    


?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PRODUCTS RECEIVING COUNT
                            </h2>
                           
                        </div>
                        <div class="body">
                                                            
                            <form name="form1" id="form1" action="receivings_count_filter.php" method="GET">
                                    <input type="hidden" value="6" name="a">
                                    <div class="row clearfix">
                                
                                    
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received1" id="date_received1" class="form-control"/>
                                         </div>
                                    </div>
                                </div>
                                                                        
                                        <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received2" id="date_received2" class="form-control"/>
                                         </div>
                                    </div>
                                </div>
                                        <div class="col-sm-2">
                                <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                                <hr/>
                           <!-- Button Examples -->
     
                               
                                <?php
                                $date_received1 =  filter_input(INPUT_GET, 'date_received1', FILTER_SANITIZE_STRING);
                                $date_received2 =  filter_input(INPUT_GET, 'date_received2', FILTER_SANITIZE_STRING);
                                ?>
            <!-- #END# Button Examples -->
                            <div class="table-responsive">
                              
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th>Product Name</th>
                                            <th>Qtty Received</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th>Product Name</th>
                                            <th>Qtty Received</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $receivings = receiving_cnt_filter($date_received1, $date_received2);
                                          
                                        foreach ($receivings as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['product_id'].'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.receiving_cnt_filter_sum('product_qtty', $lst['product_id'], $date_received1, $date_received2).'</td>';
                                            echo'</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
      
<?php
require("../includes/footer_table.php"); 
