<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");   

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PRODUCTS RECEIVING LIST
                            </h2>
                           
                        </div>
                        <div class="body">  
                                                        
                            <form name="form1" id="form1" action="receivings_list_filter.php" method="GET">
                                    <input type="hidden" value="6" name="a">
                                    <div class="row clearfix">
                                
                                    
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received1" id="date_received1" class="form-control" />
                                         </div>
                                    </div>
                                </div>
                                                                        
                                        <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received2" id="date_received2" class="form-control" />
                                         </div>
                                    </div>
                                </div>
                                        <div class="col-sm-2">
                                <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                            <hr/>
                               
                                <?php
                                $date_received1 =  filter_input(INPUT_GET, 'date_received1', FILTER_SANITIZE_STRING);
                                $date_received2 =  filter_input(INPUT_GET, 'date_received2', FILTER_SANITIZE_STRING);
                                ?>    
                            <div class="table-responsive">  
                                <span style="text-align:center" id="alert"></span>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Date Received</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Batch No/Comment</th>
                                            <th class="th">Driver Name</th>
                                            <th class="th">Driver Phone</th>
                                            <th class="th">Vehicle Number</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Date Received</th>
                                            <th>Company Name</th>
                                            <th>Product Name</th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Batch No/Comment</th>
                                            <th class="th">Driver Name</th>
                                            <th class="th">Driver Phone</th>
                                            <th class="th">Vehicle Number</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th class="th">Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php 
                                        $receiving = receiving_filter($date_received1, $date_received2); 
                                        $num = 0;
                                        foreach ($receiving as $lst) {
                                            $num ++;
                                            echo '<tr id="p'.$lst['id'].'">
                                            <td>'.$num.'</td>
                                            <td>'.$lst['date_received'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'.$lst['batch_number'].'</td>
                                            <td>'.$lst['driver_name'].'</td>
                                            <td>'.$lst['driver_phone'].'</td>
                                            <td>'.$lst['vehicle_number'].'</td>';
                                            if(user_info($username,'user_level') == 1){ 
                                                echo '<td><button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Receiving"><i class="fa fa-trash"></i></button> &nbsp;&nbsp; <a title="Edit Receivings Details" href="receivings_edit.php?id='.$lst['id'].'&a=6" class="btn btn-success"/><i class="fa fa-edit"></i></a></td>';
                                                
                                            }
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px;
        }
    </style>
<script>
function deleteP(id){
    if (confirm('Details Will Be Deleted!') === true) {
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "receivings_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert2').delay(3000).fadeOut(500);
                document.getElementById('p'+id).style.display = 'none';
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';

}

}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php");
