<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                CUSTOMERS PRODUCTS RETURNED LIST
                            </h2>
                           
                        </div>
                        <div class="body"> 
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th class="th">Customer Name</th>
                                            <th>Gender</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Date Returned</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th class="th">Customer Name</th>
                                            <th>Gender</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Date Returned</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php   
                                        $returned = creturned();
                                        $num = 0;
                                        foreach ($returned as $lst) {
                                            $num++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.customer_info($lst['customer_id'],'gender').'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.$lst['date_returned'].'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width: 120px;
        }
    </style>
<?php
require("../includes/footer_table.php"); 
