<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SALES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                                                            
                            <form name="form1" id="form1" action="sales_filter.php" method="GET">
                                    <input type="hidden" value="8" name="a">
                                              <div class="row clearfix">
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date1" id="payment_date1" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                                                                        
                                        <div class="col-sm-3">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date2" id="payment_date2" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                                                                           
                                        <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Employee</label>
                                            <select class="form-control" id="employee" name="employee" required="">
                                                <option selected="" value="All">All Employees</option>
                                                <?php
                                                $employees = employees();
                                                foreach ($employees as $lst) {
                                                    echo '<option value="'.$lst['username'].'">'.$lst['first_name'].' '.$lst['last_name'].'</option>';
                                                }
                                                ?>
                                            </select>
                                             
                                        </div>
                                    </div>
                                </div>
                                        
                                        <div class="col-sm-2">
                                
                                            <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                    </div>
                                
                                </form>
                                
                           <!-- Button Examples -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">
                            <div class="row clearfix">
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn btn-success btn-lg btn-block waves-effect" type="button">TODAY's SALES<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format(today_sales($today)); ?></span></button>
                                </div>
                                
                                <?php
                                 if(user_info($username,'user_level') == 1){ 
                                     echo '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn bg-black btn-lg btn-block waves-effect" type="button">TOTAL SALES<br/> <span class="badge">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format(total_sales()).'</span></button>
                                </div>
                                         <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn btn-primary btn-lg btn-block waves-effect" type="button">TODAY PROFIT<br/> <span class="badge">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(today_sprofit($today)).'</span></button>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn bg-purple btn-lg btn-block waves-effect" type="button">TOTAL PROFIT<br/> <span class="badge">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(total_sprofit()).'</span></button>
                                </div>';
                                  
                                     
                                 }               
                                 ?>
                                
                            </div>
                            
                           
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Button Examples -->
             <p style="text-align:center" id="alert"></p>
                            <div class="table-responsive" style="border-top: groove" id="rfresh">
                                <br/>
                             
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th class="th">Sales Date</th>
                                            <th>Invoice</th>
                                            <th class="th">Customer Name</th>
                                            <th>Gender</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>PayType</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Profit</th>';} ?>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th>Phone</th>
                                            <th>Email</th>
                                            <th>Address</th>
                                            <th style="min-width:80px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th class="th">Sales Date</th>
                                            <th>Invoice</th>
                                            <th class="th">Customer Name</th>
                                            <th>Gender</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>PayType</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Profit</th>';} ?>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th>Phone</th>
                                            <th>Email</th>
                                            <th>Address</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                                        
                                        if (isset($_GET["paged"])) {
                                            $paged = $_GET["paged"];
                                        }else{
                                            $paged = 1;
                                        }                        
                                        $num_of_rows = sales2();
                                        $rows_per_page = 100;
                                        $num_of_pages = ceil($num_of_rows/$rows_per_page);
                                        //ensure that $pageno is within the page
                                        $paged = (int)$paged;
                                        if ($paged > $num_of_pages) {
                                            $paged = $num_of_pages;
                                        } 
                                        if ($paged < 1) {
                                            $paged = 1;
                                        }
                                        //Construct limit clause
                                        $limit = 'limit ' .($paged - 1) * $rows_per_page .',' .$rows_per_page;

                                        $sales = sales($limit);
                                          
                                        foreach ($sales as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.$lst['sales_invoice'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.customer_info($lst['customer_id'],'gender').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>'; 
                                             echo '<td>'.added_info($lst['sales_invoice'],'payment_type').'</td>';
                                            if(user_info($username,'user_level') == 1){ echo '<td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} if($lst['profit'] < 1){ echo 0;}else{echo number_format($lst['profit']);} echo'</td>';} echo'
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_email').'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_address').'</td>
                                            <td><a class="btn-sm btn btn-success" href="sales_print.php?inv='.$lst['sales_invoice'].'&a=8" title="Print Receipt"><i class="fa fa-print"></i></a>'; 
                                               if(user_info($username,'user_level') == 1){ echo ' <button class="btn-sm btn btn-danger"  onclick="deleteP('.$lst['id'].')" title="Delete Transaction"><i class="fa fa-trash"></i></button>';} echo '</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                                 
                                <p align="center">
                                    <?php
                                    //links for the following pages
                                    if ($paged == 1) {

                                        } else {
                                        echo " <a href='?a=8&paged=1'><button>First Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       $prevpage = $paged-1;
                                        echo " <a href='?a=8&paged=$prevpage'><button>Previous Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       }
                                       //inform the user of his current position
                                      if ($num_of_pages == 0) {

                                       }
                                       elseif ($paged == $num_of_pages) {

                                       } else {
                                       $nextpage = $paged+1;
                                      echo " <a href='?a=8&paged=$nextpage'><button>Next Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";
                                       echo " <a href='?a=8&paged=$num_of_pages'><button>Last Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";

                                     }
                                     ?>
        
                                </p> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px; 
    }
</style> 
<script>
function deleteP(id){
    if (confirm('Details Will Be Deleted!') === true) {
        $('#alert').delay(300).fadeIn(500);
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "sales_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                $( "#rfresh" ).load(window.location.href + " #rfresh" );
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';
    $('#alert').delay(3000).fadeOut(500);

}

}
</script> 
<?php
require("../includes/footer_table.php"); 
