<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");   
$supplier_id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); 

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EDIT PRODUCTS SUPPLIER
                                <small>update products supplier details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="supplies_details_edit_proc.php" method="post">
                                <input name="supplier_id" id="supplier_id" type="hidden" value="<?php echo $supplier_id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>First Name</label>
                                            <input type="text" name="first_name" id="first_name"  value="<?php echo supplier_info($supplier_id,'first_name'); ?>" class="form-control" placeholder="First Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Last Name</label>
                                            <input type="text" name="last_name" id="last_name" value="<?php echo supplier_info($supplier_id,'last_name'); ?>" class="form-control" placeholder="Last Name"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Phone Number</label>
                                            <input type="tel" name="supplier_phone" id="supplier_phone" value="<?php echo supplier_info($supplier_id,'supplier_phone'); ?>" class="form-control" placeholder="Phone Number"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Supplier Address</label>
                                            <input type="text" name="supplier_address" id="supplier_address" value="<?php echo supplier_info($supplier_id,'supplier_address'); ?>" class="form-control" placeholder="Supplier Address"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Company Name</label>
                                            <input type="text" name="company_name" id="company_name" value="<?php echo supplier_info($supplier_id,'company_name'); ?>" class="form-control" placeholder="Company Name"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Email Address</label>
                                            <input type="email" name="supplier_email" id="supplier_email" value="<?php echo supplier_info($supplier_id,'supplier_email'); ?>" class="form-control" placeholder="Email Address" />
                                        </div>
                                    </div>
                                </div>
                            </div>                                 
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var first_name = $("#first_name").val();
    if(first_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "supplies_details_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
