<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");   

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SUPPLIERS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">First Name</th>
                                            <th class="th">Last Name</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Email Address</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Contact Address</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">First Name</th>
                                            <th class="th">Last Name</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Email Address</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Contact Address</th>
                                            <th >Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $suppliers = suppliers();
                                        foreach ($suppliers as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['first_name'].'</td>
                                            <td>'.$lst['last_name'].'</td>
                                            <td>'.$lst['supplier_phone'].'</td>
                                            <td>'.$lst['supplier_email'].'</td>
                                            <td>'.$lst['company_name'].'</td>
                                            <td>'.$lst['supplier_address'].'</td>
                                            <td><a href="supplies_details_edit.php?a=5&id='.$lst['id'].'" class="btn-sm btn btn-success" title="Edit Details"><i class="fa fa-edit"></i> Edit</a> </td>
                                            </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px;
    }
</style> 

<?php 
require("../includes/footer_table.php");
