<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php"); 

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SALES REPRESENTATIVES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th class="th">First Name</th>
                                            <th class="th">Last Name</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Email Address</th>
                                            <th>Status</th>
                                            <th class="th">Last Seen</th>
                                            <th class="th">Date Created</th>
                                            <th style="min-width:120px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>First Name</th>
                                            <th>Last Name</th>
                                            <th>Phone Number</th>
                                            <th>Email Address</th>
                                            <th>Status</th>
                                            <th>Last Seen</th>
                                            <th>Date Created</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $users_list = users_list(2);
                                        foreach ($users_list as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['first_name'].'</td>
                                            <td>'.$lst['last_name'].'</td>
                                            <td>'.$lst['phone_number'].'</td>
                                            <td>'.$lst['username'].'</td>
                                            <td>'; if($lst['status'] == 1){echo 'Active';}else{echo 'Deactivated';} echo '</td>
                                            <td>'.$lst['last_seen'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'; 
                                            if($lst['status'] == 1){
                                                if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'SuspendActivateUser') !== false){
                                                    echo '<button class="btn-sm btn btn-danger" onclick="suspend('.$lst['id'].')" title="Suspend User"><i class="fa fa-ban"></i></button>&nbsp;';
                                                }
                                                if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'UpdateUserPrivilege') !== false){
                                                    echo '<a class="btn-sm btn btn-success" href="users_staff_privileges.php?id='.$lst['username'].'&a=3"  title="User Privileges"><i class="fa fa-cogs"></i></a>&nbsp;';
                                                }
                                                if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Create_User_Account') !== false){
                                                    echo '<a class="btn-sm btn btn-success" href="users_staff_edit.php?id='.$lst['username'].'&a=3"  title="Update User Details"><i class="fa fa-edit"></i></a>&nbsp;';
                                                }
                                            }else{
                                                if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'SuspendActivateUser') !== false){
                                                    echo '<button class="btn-sm btn btn-success" onclick="activate('.$lst['id'].')" title="Activate User"><i class="fa fa-check"></i></button>';
                                                }
                                            }  
                                            echo '</td> </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px; 
        }
    </style>      
<script>
function suspend(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "users_staff_suspend.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='users_staff_list.php?a=3';
                }
            });
}
function activate(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "users_staff_activate.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='users_staff_list.php?a=3';
                }
            });
}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php"); 
