<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php"); 

require("../includes/menu.php");    

$staff = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Users Account Privileges
                                <small>add staff account privileges</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="users_staff_privileges_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>First Name</label>
                                            <input type="text" class="form-control" value="<?php echo user_info($staff, 'first_name'); ?>" readonly/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Last Name</label>
                                            <input type="text"  class="form-control"  value="<?php echo user_info($staff, 'last_name'); ?>" readonly/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                         <div class="form-line"><label>Email Address</label>
                                             <input type="email"  class="form-control" name="staff_username" id="staff_username" value="<?php echo user_info($staff, 'username'); ?>" readonly/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                               <hr/>
                                <label>Users Module</label><br/><br/>
                                
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="checkbox" name="Create_User_Account" id="Create_User_Account" value="Create_User_Account" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Create_User_Account') !== false){ echo 'checked';} ?> />
                                            
                                                <label for="Create_User_Account">Create User Account</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="checkbox" name="SuspendActivateUser" id="SuspendActivateUser" value="SuspendActivateUser" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'SuspendActivateUser') !== false){ echo 'checked';} ?> />
                                            
                                                <label for="SuspendActivateUser">Suspend/Activate User Account</label>
                                            </div>
                                        </div>
                                    </div>                                    
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="checkbox" name="UpdateUserPrivilege" id="UpdateUserPrivilege" value="UpdateUserPrivilege" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'UpdateUserPrivilege') !== false){ echo 'checked';} ?> />
                                            
                                                <label for="UpdateUserPrivilege">Update User Privilege</label>
                                            </div>
                                        </div>
                                    </div>                                    
                                </div>
                                <hr/>
                                
                                <label>Products Orders Module</label><br/><br/>
                                <div class="row clearfix">
                                                                    
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Place_Order" id="Place_Order" value="Place_Order" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Place_Order') !== false){ echo 'checked';} ?> />
                                            <label for="Place_Order">Place Order</label>
                                        </div>
                                    </div>
                                </div>
                                     
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Pending_Orders" id="Pending_Orders" value="Pending_Orders" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Pending_Orders') !== false){ echo 'checked';} ?> />
                                            <label for="Pending_Orders">View Pending Orders</label>
                                        </div>
                                    </div>
                                </div>
                                     
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Process_Orders" id="Process_Orders" value="Process_Orders" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Process_Orders') !== false){ echo 'checked';} ?> />
                                            <label for="Process_Orders">Process Orders</label>
                                        </div>
                                    </div>
                                </div>
                                                                 
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Orders_Payment" id="Orders_Payment" value="Orders_Payment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Orders_Payment') !== false){ echo 'checked';} ?> />
                                            <label for="Orders_Payment">Accept Orders Payment</label>
                                        </div>
                                    </div>
                                </div>
                                     
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Cancelled_Orders" id="Cancelled_Orders" value="Cancelled_Orders" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Cancelled_Orders') !== false){ echo 'checked';} ?> />
                                            <label for="Cancelled_Orders">View Cancelled Orders</label>
                                        </div>
                                    </div>
                                </div>   
                                </div>
                                <hr/>
                                
                                <label>Dealers Module</label><br/><br/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealer_Registration" id="Dealer_Registration" value="Dealer_Registration" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealer_Registration') !== false){ echo 'checked';} ?> />
                                            <label for="Dealer_Registration">Dealer Registration</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealers_List" id="Dealers_List" value="Dealers_List" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealers_List') !== false){ echo 'checked';} ?> />
                                            <label for="Dealers_List">Dealers List</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealer_Product_Supply" id="Dealer_Product_Supply" value="Dealer_Product_Supply" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealer_Product_Supply') !== false){ echo 'checked';} ?> />
                                            <label for="Dealer_Product_Supply">Dealer  Product Supply</label>
                                        </div>
                                    </div>
                                </div>
                            </div> 
                                                            
                                <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealers_Supplies_Records" id="Dealers_Supplies_Records" value="Dealers_Supplies_Records" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealers_Supplies_Records') !== false){ echo 'checked';} ?> />
                                            <label for="Dealers_Supplies_Records">Dealers Supplies Records</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Receive_Dealer_Payment" id="Receive_Dealer_Payment" value="Receive_Dealer_Payment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Receive_Dealer_Payment') !== false){ echo 'checked';} ?> />
                                            <label for="Receive_Dealer_Payment">Receive Dealer Payment</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealer_Payment_History" id="Dealer_Payment_History" value="Dealer_Payment_History" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealer_Payment_History') !== false){ echo 'checked';} ?> />
                                            <label for="Dealer_Payment_History">Dealer Payment History</label>
                                        </div>
                                    </div>
                                </div>
                                                               
                                                             
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealer_Products_Return" id="Dealer_Products_Return" value="Dealer_Products_Return" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealer_Products_Return') !== false){ echo 'checked';} ?> />
                                            <label for="Dealer_Products_Return">Dealer Products Return</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Dealer_Products_Return_List" id="Dealer_Products_Return_List" value="Dealer_Products_Return_List" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Dealer_Products_Return_List') !== false){ echo 'checked';} ?> />
                                            <label for="Dealer_Products_Return_List">Dealer Products Return List</label>
                                        </div>
                                    </div>
                                </div>                                   
                            </div>
                                <hr/>
                                
                                <label>Suppliers Module</label><br/><br/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Add_Suppliers" id="Add_Suppliers" value="Add_Suppliers" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Add_Suppliers') !== false){ echo 'checked';} ?> />
                                            <label for="Add_Suppliers">Add Suppliers</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Suppliers" id="View_Suppliers" value="View_Suppliers" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Suppliers') !== false){ echo 'checked';} ?> />
                                            <label for="View_Suppliers">View Suppliers</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Edit_Suppliers" id="Edit_Suppliers" value="Edit_Suppliers" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Edit_Suppliers') !== false){ echo 'checked';} ?> />
                                            <label for="Edit_Suppliers">Edit Supplier</label>
                                        </div>
                                    </div>
                                </div>
                            </div>                                
                                <hr/>
                                
                                <label>Products & Services Module</label><br/><br/>
                                                                
                                <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Add_Product" id="Add_Product" value="Add_Product" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Add_Product') !== false){ echo 'checked';} ?> />
                                            <label for="Add_Product">Add Product</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Products" id="View_Products" value="View_Products" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Products') !== false){ echo 'checked';} ?> />
                                            <label for="View_Products">View Products</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Edit_Product" id="Edit_Product" value="Edit_Product" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Edit_Product') !== false){ echo 'checked';} ?> />
                                            <label for="Edit_Product">Edit Product</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                <hr/>
                                
                                <label>Receivings Module</label><br/><br/>
                                                            
                                <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Receive_from_Company" id="Receive_from_Company" value="Receive_from_Company" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Receive_from_Company') !== false){ echo 'checked';} ?> />
                                            <label for="Receive_from_Company">Receive Products</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="EditProductReceivings" id="EditProductReceivings" value="EditProductReceivings" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'EditProductReceivings') !== false){ echo 'checked';} ?> />
                                            <label for="EditProductReceivings">Edit Product Receivings</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="StockAdjustment" id="StockAdjustment" value="StockAdjustment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'StockAdjustment') !== false){ echo 'checked';} ?> />
                                            <label for="StockAdjustment">Stock Adjustment</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                <hr/>
                                
                                <label>Suppliers Payments Module</label><br/><br/>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Add_Company_Payment" id="Add_Company_Payment" value="Add_Company_Payment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Add_Company_Payment') !== false){ echo 'checked';} ?> />
                                            <label for="Add_Company_Payment">Add Suppliers Payment</label>
                                        </div>
                                    </div>
                                    </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Company_Payment" id="View_Company_Payment" value="View_Company_Payment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Company_Payment') !== false){ echo 'checked';} ?> />
                                            <label for="View_Company_Payment">View Suppliers Payment</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="ReviewSuppliersPayment" id="ReviewSuppliersPayment" value="ReviewSuppliersPayment" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'ReviewSuppliersPayment') !== false){ echo 'checked';} ?> />
                                            <label for="ReviewSuppliersPayment">Review Suppliers Payment</label>
                                        </div>
                                    </div>
                                </div>
                                </div>
                                <hr/>
                                
                                <label>Cash Sales Module</label><br/><br/>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Add_Daily_Sales" id="Add_Daily_Sales" value="Add_Daily_Sales" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Add_Daily_Sales') !== false){ echo 'checked';} ?> />
                                            <label for="Add_Daily_Sales">Add Sales</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Daily_Sales" id="View_Daily_Sales" value="View_Daily_Sales" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Daily_Sales') !== false){ echo 'checked';} ?> />
                                            <label for="View_Daily_Sales">View Sales</label>
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Customers" id="View_Customers" value="View_Customers" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Customers') !== false){ echo 'checked';} ?> />
                                            <label for="View_Customers">View Customers</label>
                                        </div>
                                    </div>
                                </div>
                                                                 
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Customer_Product_Return" id="Customer_Product_Return" value="Customer_Product_Return" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Customer_Product_Return') !== false){ echo 'checked';} ?> />
                                            <label for="Customer_Product_Return">Customer Product Return</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Customer_Product_Return_List" id="Customer_Product_Return_List" value="Customer_Product_Return_List" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Customer_Product_Return_List') !== false){ echo 'checked';} ?> />
                                            <label for="Customer_Product_Return_List">Customer Product Return List</label>
                                        </div>
                                    </div>
                                </div>   
                                </div>
                                <hr/>
                                
                                <label>Expenses Module</label><br/><br/>
                                <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Add_Expenses" id="Add_Expenses" value="Add_Expenses" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'Add_Expenses') !== false){ echo 'checked';} ?> />
                                            <label for="Add_Expenses">Add Expenses</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Expenses" id="View_Expenses" value="View_Expenses" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Expenses') !== false){ echo 'checked';} ?> />
                                            <label for="View_Expenses">View Expenses</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="ApproveExpenses" id="ApproveExpenses" value="ApproveExpenses" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'ApproveExpenses') !== false){ echo 'checked';} ?> />
                                            <label for="ApproveExpenses">Approve Expenses</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="ReviewExpenses" id="ReviewExpenses" value="ReviewExpenses" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'ReviewExpenses') !== false){ echo 'checked';} ?> />
                                            <label for="ReviewExpenses">Review Expenses</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                </div>
                                <hr/>
                                
                                <label>Finance/Account Module</label><br/><br/>
                                <div class="row clearfix">
                                                                    
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Cost_Price" id="View_Cost_Price" value="View_Cost_Price" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Cost_Price') !== false){ echo 'checked';} ?> />
                                            <label for="View_Cost_Price">View Cost Price</label>
                                        </div>
                                    </div>
                                </div>
                                
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Cash_Flow" id="View_Cash_Flow" value="View_Cash_Flow" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Cash_Flow') !== false){ echo 'checked';} ?> />
                                            <label for="View_Cash_Flow">View Cash Flow</label>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Transaction_Analysis" id="View_Transaction_Analysis" value="View_Transaction_Analysis" class="form-control"  <?php if(strpos(user_info($staff, 'privileges'), 'View_Transaction_Analysis') !== false){ echo 'checked';} ?> />
                                            <label for="View_Transaction_Analysis">View Transaction Analysis</label>
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="View_Products_Worth" id="View_Products_Worth" value="View_Products_Worth" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'View_Products_Worth') !== false){ echo 'checked';} ?> />
                                            <label for="View_Products_Worth">View Products Worth</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="SupplierReport" id="SupplierReport" value="SupplierReport" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'SupplierReport') !== false){ echo 'checked';} ?> />
                                            <label for="SupplierReport">Supplier Report</label>
                                        </div>
                                    </div>
                                </div>
                                    
                                </div>
                                <hr/>
                                
                                <label>Warehouse Module</label><br/><br/>
                                <div class="row clearfix">
                                                                    
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Receiving" id="Warehouse_Receiving" value="Warehouse_Receiving" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Receiving') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Receiving">Warehouse Receiving</label>
                                        </div>
                                    </div>
                                </div>
                                                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Receiving_List" id="Warehouse_Receiving_List" value="Warehouse_Receiving_List" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Receiving_List') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Receiving_List">Warehouse Receiving List</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Inventories" id="Warehouse_Inventories" value="Warehouse_Inventories" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Inventories') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Inventories">Warehouse Inventories</label>
                                        </div>
                                    </div>
                                </div>
                                                                  
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Stock_Adjustment" id="Warehouse_Stock_Adjustment" value="Warehouse_Stock_Adjustment" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Stock_Adjustment') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Stock_Adjustment">Warehouse Stock Adjustment</label>
                                        </div>
                                    </div>
                                </div>                                
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Requisition" id="Warehouse_Requisition" value="Warehouse_Requisition" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Requisition') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Requisition">Warehouse Requisition</label>
                                        </div>
                                    </div>
                                </div>
                                                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Warehouse_Requisition_List" id="Warehouse_Requisition_List" value="Warehouse_Requisition_List" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Warehouse_Requisition_List') !== false){ echo 'checked';} ?> />
                                            <label for="Warehouse_Requisition_List">Warehouse Requisition List</label>
                                        </div>
                                    </div>
                                </div>
                                 <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Deleted_Warehouse_Receivings" id="Deleted_Warehouse_Receivings" value="Deleted_Warehouse_Receivings" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Deleted_Warehouse_Receivings') !== false){ echo 'checked';} ?> />
                                            <label for="Deleted_Warehouse_Receivings">Deleted Warehouse Receivings</label>
                                        </div>
                                    </div>
                                </div>
                                                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="checkbox" name="Deleted_Warehouse_Requisition" id="Deleted_Warehouse_Requisition" value="Deleted_Warehouse_Requisition" class="form-control" <?php if(strpos(user_info($staff, 'privileges'), 'Deleted_Warehouse_Requisition') !== false){ echo 'checked';} ?> />
                                            <label for="Deleted_Warehouse_Requisition">Deleted Warehouse Requisition</label>
                                        </div>
                                    </div>
                                </div>   
                                    
                                </div>
                  
                                <hr/>

                                
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                   
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                
                                </div>
                                
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                          
                                </div>
                            </div>                                
                                
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;   
    event.preventDefault();
    var dataString = $("#form1").serialize();
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "users_staff_privileges_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("submit").disabled = false;
    $('#alert2').delay(3000).fadeOut(500);
    }
    });
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
