<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");   
}
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                    
                                WAREHOUSE STOCK ADJUSTMENT
                                <small>product adjustment (for damaged, expired or missing products in warehouse)</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="receivings_stock_adjustment_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-lg-4 col-md-4"><label>Product Supplier <i style="color:red" title="Required"> * </i></label><br/>
                                   <select class="js-example-basic-single" required name="supplier_id" id="supplier_id" style="width:300px">
                                       <option value="" selected="">-- Please Select Supplier --</option>
                                        <?php
                                          $suppliers = suppliers();
                                        foreach ($suppliers as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.supplier_info($lst['id'],'company_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4"><label>Product to remove <i style="color:red" title="Required"> * </i></label>
                                   <select class="js-example-basic-single" required name="product_id" id="product_id" style="width:300px" onchange="productPrice()">
                                       <option value="" selected="">-- Please Select A Product --</option>
                                       
                                        <?php
                                          $products = products();  
                                        foreach ($products as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.product_info($lst['id'],'product_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4">
                                   <label>Product Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required"> * </i></label>
                                            
                                   <input type="text" name="product_price" id="product_price" required class="form-control" placeholder="Product Price" readonly />
                                       
                                </div>
                            </div>
                               <div class="row clearfix">
                                <div class="col-sm-4">
                                    <label>Quantity to remove <i style="color:red" title="Required"> * </i></label>
                                    <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_qtty" id="product_qtty" required class="form-control" placeholder="Product Quantity" />
                                       
                                </div>
                                   
                                <div class="col-sm-4">
                                    <label>Adjustment Date <i style="color:red" title="Required"> * </i></label>
                                    <input type="date" max="<?php echo date('Y-m-d'); ?>" value="<?php echo date('Y-m-d'); ?>" required name="date_received" id="date_received" class="form-control" placeholder="Date Received" />
                                        
                                </div> 
                                   
                                <div class="col-sm-4">
                                   <label>Comment</label>
                                            
                                   <input type="text" value="Stock Adjustment" name="batch_number" id="batch_number" class="form-control" placeholder="Comment" />
                                       
                                </div>                                 
                            </div>
                            <hr/>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div>  
                                    
                                    <div class="col-sm-8"> 
                                        <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                        <p id="alert"></p>
                                    </div>  
                                </div>
                               
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});
function productPrice(){
        var id =  $("#product_id").val();
        var dataString = 'ID='+ id;
        $.ajax({
            type: "POST",
            url: "product_price.php",
            data: dataString,
            cache: false,
            success: function(result){
                document.getElementById('product_price').value = result;
    }    
        });
}
</script>    
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;   
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var product_id = $("#product_id").val();
    if(product_id === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "receivings_stock_adjustment_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("form1").reset();
    document.getElementById("submit").disabled = false;
    $('#alert2').delay(3000).fadeOut(500);
    }
    });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
        
<?php 
require("../includes/footer.php");
