<?php
session_start();
include 'includes/functions.php';
//checking for inputs from user
if(isset($_POST['submit'])){
    if (empty($_POST['username']) OR empty($_POST['password'])){
        header('location:index.php?err=Please, fill your details'); 	
	exit();
    }   
    $username = testInput(filter_input(INPUT_POST, 'username', FILTER_SANITIZE_STRING));
    $password = testInput(filter_input(INPUT_POST, 'password', FILTER_SANITIZE_STRING));
        
    if (!preg_match("/^[a-z,0-9,.]+@[a-z]+(\.[a-z]+)+$/",$username)){
        header('location:index.php?err=Sorry, Please enter a valid email address');
        exit();
    
    }
    
    $hash = pickPassword($username);
    $status = userStatus($username);
    if (password_verify($password, $hash)){
        if($status == 0){
            header('location:index.php?err=Sorry, Account not Active'); 
            exit();
 
        }
    $_SESSION['username'] = $username;
    
    //first login
    $sql = "UPDATE subscription SET first_login='No'";
    $mysqli->query($sql);
    
    header("location:dashboard/index.php");
    exit();
    
    } else {   
        header('location:index.php?err=Sorry, Username or Password is Wrong');
          
        exit();
        
    }
} else {
           
    header('location:index.php?err=Please, fill your details'); 	
           
    exit();    

}