<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red" onload="transAnalysis()">
<style>   
.sub {
    position:fixed;
    bottom:40px;
    background-color: orange;
    color: black;
    padding:10px;
    border-radius:15px;
}
</style>    
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->

    
<?php 
require("../includes/top.php");

require("../includes/menu.php");   

?>

    <section class="content">
        <div class="container-fluid">
            
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Welcome to <?php echo config_info('business_name'); ?>
                                <small><i><?php echo config_info('motto'); ?></i></small>
                            </h2>
                        </div>
                        <div class="body"> 
                            <div id="admin">
                            <div class="row clearfix">
                                <div class="col-sm-2" title="Today's Records - Services Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color: purple">
                                    <strong>Services: </strong> <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(serviceDay('0 DAY'));  ?>
                                </div>
                                <div class="col-sm-3" title="Today's Records - Products Sales Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color:green">
                                    <strong>Products Sales: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(saleDay('0 DAY'));  ?>
                                </div>
                                
                                <div class="col-sm-3" title="Today's Records - Dealers Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color:blue">
                                    <strong>Dealers Payment: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(dPayDay('0 DAY'));  ?>
                                </div>
                                
                                <div class="col-sm-2" title="Today's Records - Expenses Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color:red">
                                   <strong>Expenses: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(expensDay('0 DAY'));  ?>
                                </div>
                                
                                <div class="col-sm-2" title="Today's Records - Total Balance" style="cursor:pointer; border:groove; height:70px; padding:5px; color:yellowgreen">
                                   <strong>Total: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(serviceDay('0 DAY') + dPayDay('0 DAY') + saleDay('0 DAY') - expensDay('0 DAY'));  ?>
                                </div>                                
                            </div>
                            <hr/>

                            <div class="row clearfix" style="overflow:auto">
                                        
                                <div id="chart1" class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="min-width:450px">
                                            
                                          
                                </div>
                                    
                            </div>
                            </div>  
                                                        
                            <div id="users" style="text-align:center">
                                <hr/>
                                <img src="../images/welcome.jpg" />  
                                <hr/>
                            </div>
                        </div>
                    </div>
                </div>
                                
                <div class="sub" id="alert">
                    Dear User, your current subscription will expire on 
                    <strong> <?php echo date_format(date_create(config_info('end_date')),"D, j M Y, h:i:s a"); ?> </strong>
                </div>
            </div>
            <!-- #END# Input -->
            
        </div>
    </section>
<?php
if (strpos(user_info($username, 'privileges'), 'View_Transaction_Analysis') !== false OR user_info($username,'user_level') == 1 ) {
   $allowed = 1; 
} else {
    $allowed = 0;    
}
?>    
<script>
     $('#alert').delay(5000).fadeOut(500);
     function transAnalysis(){
      var  allowed = '<?php echo $allowed; ?>';
      if(allowed == 1){
       document.getElementById('admin').style.display='block';
       document.getElementById('users').style.display='none';
      }else{
       document.getElementById('admin').style.display='none';
       document.getElementById('users').style.display='block'; 
      }
     }
</script>    
<?php 
require("../includes/footer.php");
include ("chartplotter.php");
