<?php
require("../includes/functions.php");
require("../includes/common.php"); 
//declear variables
$business_name = filter_input(INPUT_POST, 'business_name', FILTER_SANITIZE_STRING);
$motto = filter_input(INPUT_POST, 'motto', FILTER_SANITIZE_STRING);
$phone_number = filter_input(INPUT_POST, 'phone_number', FILTER_SANITIZE_STRING);
$email_address = filter_input(INPUT_POST, 'email_address', FILTER_SANITIZE_STRING);
$contact_address = filter_input(INPUT_POST, 'contact_address', FILTER_SANITIZE_STRING);
$phone_number2 = filter_input(INPUT_POST, 'phone_number2', FILTER_SANITIZE_STRING);
$receipt_note = filter_input(INPUT_POST, 'receipt_note', FILTER_SANITIZE_STRING);
$currency = filter_input(INPUT_POST, 'currency', FILTER_SANITIZE_STRING);
$updated_by = $username;
date_default_timezone_set("Africa/Lagos");
$date_updated = date("j-M-Y h:i:s a");
//
$uploadDir = '../images/';
$fileName = $_FILES['company_logo']['name'];
$tmpName  = $_FILES['company_logo']['tmp_name'];
$image_extensions_allowed = array('jpg', 'jpeg', 'png', 'gif','bmp');
$ext = strtolower(substr(strrchr($fileName, "."), 1));
if(!empty($fileName)){// if file not attached
    if(!in_array($ext, $image_extensions_allowed)){        
        echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Allowed format: JPG, PNG, GIF. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>'; 
        exit();
    }
    // upload the file if valid
    $filePath =$uploadDir.$fileName; 
    $resultUpload = move_uploaded_file($tmpName, $filePath);
    //Check if upload was successful due to size set to 2048000 in the upload form
    if(!$resultUpload){
        echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Allowed Image Size is 2MB. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>'; 
        exit();
    }    
}

if (!preg_match("/^[0-9]{11}$/",$phone_number)){
    echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Please enter Correct GSM Number! 08087968778. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();   
}
if(!empty($email_address)){
    if (!preg_match("/^[a-z,0-9,.]+@[a-z]+(\.[a-z]+)+$/",$email_address)){
    echo '<span id="alert2" style="background-color:orange;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Please enter Correct Correct E-Mail Address. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();        
}
}
     
//Update Platform Settings
$sql = "UPDATE config SET company_logo='$fileName', currency='$currency', email_address='$email_address', contact_address='$contact_address', motto='$motto', business_name='$business_name', receipt_note='$receipt_note', phone_number2='$phone_number2', phone_number='$phone_number', date_updated='$date_updated', updated_by='$updated_by'";
    if (!$result = $mysqli->query($sql)) {
    echo '<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Settings Update Failed, Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();
} else {
    echo '<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;"><strong>Good!</strong> Settings Update Successful. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();    
} 
