<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                DEBTORS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>S/N</th>
                                            <th class="th">First Name</th>
                                            <th class="th">Last Name</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Email Address</th>
                                            <th>Gender</th>
                                            <th class="th">Contact Address</th>
                                            <th style="min-width:60px">Supplies</th>
                                            <th style="min-width:60px">Payment</th>
                                            <th style="min-width:60px">Returned</th>
                                            <th style="min-width:60px">Debts</th>
                                            <th class="th">Date Created</th>
                                            <th style=" min-width:470px">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>S/N</th>
                                            <th>First Name</th>
                                            <th>Last Name</th>
                                            <th>Phone Number</th>
                                            <th>Email Address</th>
                                            <th>Gender</th>
                                            <th>Contact Address</th>
                                            <th>Supplies</th>
                                            <th>Payment</th>
                                            <th>Returned</th>
                                            <th>Debts</th>
                                            <th>Date Created</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $dealers = dealers();
                                        foreach ($dealers as $lst) {
                                            $debt = (dsupplies_sum($lst['id']) - dpayments_sum($lst['id']) - dreturned_sum($lst['id']));
                                            if($debt > 0){
                                             echo '<tr style="color:red">
                                            <td>'.$lst['id'].'</td>
                                            <td>'.$lst['first_name'].'</td>
                                            <td>'.$lst['last_name'].'</td>
                                            <td>'.$lst['phone_number'].'</td>
                                            <td>'.$lst['email_address'].'</td>
                                            <td>'.$lst['gender'].'</td>
                                            <td>'.$lst['contact_address'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dsupplies_sum($lst['id'])).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dpayments_sum($lst['id'])).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dreturned_sum($lst['id'])).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dsupplies_sum($lst['id']) - dpayments_sum($lst['id']) - dreturned_sum($lst['id'])).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td><a href="dealer_details_edit.php?a=9&id='.$lst['id'].'" class="btn-sm btn btn-success" title="Edit Details"><i class="fa fa-edit"></i> Edit</a> <a href="dealer_payment_history.php?a=9&id='.$lst['id'].'" class="btn-sm btn btn-success" title="View Payments"><i class="fa fa-eye"></i> Payments</a> <a href="dealer_supplies_list.php?a=9&id='.$lst['id'].'" class="btn-sm btn btn-success" title="View Supplies"><i class="fa fa-eye"></i> Supplies</a> <a href="dealer_product_return_list.php?a=9&id='.$lst['id'].'" class="btn-sm btn btn-success" title="View Products Returned"><i class="fa fa-eye"></i> Returned</a> <a href="dealer_account_statement.php?a=9&id='.$lst['id'].'" class="btn-sm btn btn-success" title="View Statement of Account"><i class="fa fa-eye"></i> Statement</a></td>
                                        </tr>';   
                                            }
                                            
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>      
<script>
function suspend(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "users_staff_suspend.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='users_staff_list.php?a=3';
                }
            });
}
function activate(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "users_staff_activate.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='users_staff_list.php?a=3';
                }
            });
}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>     
<style>
        .th{
            min-width:120px; 
        }
    
</style>   
<?php
require("../includes/footer_table.php"); 
