<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                RECEIVE DEALER PAYMENTS
                                <small>enter dealers payment</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="dealer_payment_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-5"><label>Dealer Full Name <i style="color:red" title="Required">*</i></label><br/>
                                   <select class="js-example-basic-single" required name="dealer_id" id="dealer_id" style="width:100%">
                                       <option value="" selected="">-- Please Select Dealer --</option>
                                        <?php
                                        $dealers = dealers();
                                        foreach ($dealers as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.$lst['first_name'].' '.$lst['last_name'].' ID:'.$lst['id'].'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Amount Paid (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="amount" id="amount" required class="form-control" placeholder="Amount Paid" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <div class="form-line"><label>Payment Date <i style="color:red" title="Required">*</i></label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date" id="payment_date" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                            </div>
                               <div class="row clearfix">
                                   
                                    <div class="col-sm-3">
                                        <div class="form-group">
                                           
                                            <label>Payment Method <i style="color:red" title="Required">*</i></label>
                                                <select class="js-example-basic-single" required name="paytype" id="paytype" onchange="Pmethod()" style="width:100%">
                                                    <option value="" selected="">-- Select Method --</option>
                                                    <option value="Cash">Cash</option>
                                                    <option value="Transfer">Transfer</option>
                                                    <option value="Bank">Bank Deposit</option>
                                                    <option value="POS">POS</option>
                                                </select>
                                        
                                          
                                    
                                        </div>
                                
                                    </div>
                                   <div class="col-sm-3" id="bkn" style="display:none">
                                    <div class="form-group">
                                        <div class="form-line"><label>Bank Name</label>
                                            <input type="text" name="bank_name" id="bank_name" class="form-control" placeholder="Receiver Bank Name" />
                                        </div>
                                    </div>
                                </div>
                                   
                                   <div class="col-sm-3" id="acn" style="display:none">
                                    <div class="form-group">
                                        <div class="form-line"><label>Account Number</label>
                                            <input type="text" maxlength="10" name="bank_account" id="bank_account" class="form-control" placeholder="Account Number" />
                                        </div>
                                    </div>
                                </div>
                                                                      
                                   <div class="col-sm-3" id="dpn" style="display:none">
                                    <div class="form-group">
                                        <div class="form-line"><label>Depositor Name</label>
                                            <input type="text" name="depositor_name" id="depositor_name" class="form-control" placeholder="Depositor Name" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});
function Pmethod(){
    var paytype = $("#paytype").val();
    if(paytype === 'Cash'){
     document.getElementById('bkn').style.display = 'none';
     document.getElementById('acn').style.display = 'none'; 
     document.getElementById('dpn').style.display = 'none'; 
    }else{
     document.getElementById('bkn').style.display = 'inline';
     document.getElementById('acn').style.display = 'inline'; 
     document.getElementById('dpn').style.display = 'inline';   
    }
}
</script>    
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;    
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var email_address = $("#email_address").val();
    if(email_address === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "dealer_payment_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("form1").reset();
    document.getElementById("submit").disabled = false;
    }
    });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
