<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                DEALERS PRODUCTS RETURNED LIST
                            </h2>
                           
                        </div>
                        <div class="body">                                                            
                            <p style="display:flex; text-align: center">
                                <span  style="flex:25%;"><strong>Supplies: </strong>
                                    <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}
                                    if(empty($_GET['id']) AND empty($_GET['from']) AND empty($_GET['to'])){ echo number_format(supplies_sum());}
                                    elseif(!empty($_GET['id']) AND !empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dsupplies_sum2($_GET['id'], $_GET['from'], $_GET['to']));}
                                    elseif(!empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dsupplies_sum3($_GET['from'], $_GET['to']));}
                                    else{echo number_format(dsupplies_sum($_GET['id']));}  
                                    ?>
                                </span> 
                                <span  style="flex:25%;"><strong>Payments: </strong>
                                    <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}
                                    if(empty($_GET['id']) AND empty($_GET['from']) AND empty($_GET['to'])){ echo number_format(payments_sum());}
                                    elseif(!empty($_GET['id']) AND !empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dpayments_sum2($_GET['id'], $_GET['from'], $_GET['to']));}
                                    elseif(!empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dpayments_sum3($_GET['from'], $_GET['to']));}                                                                        
                                    else{echo number_format(dpayments_sum($_GET['id']));}  
                                    ?>
                                </span> 
                                <span  style="flex:25%;"><strong>Returned: </strong>
                                    <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}
                                    if(empty($_GET['id']) AND empty($_GET['from']) AND empty($_GET['to'])){ echo number_format(returned_sum());}
                                    elseif(!empty($_GET['id']) AND !empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dreturned_sum2($_GET['id'], $_GET['from'], $_GET['to']));}
                                    elseif(!empty($_GET['from']) AND !empty($_GET['to'])){echo number_format(dreturned_sum3($_GET['from'], $_GET['to']));}                                                                        
                                    else{echo number_format(dreturned_sum($_GET['id']));}  
                                    ?>
                                </span>  
                                <span  style="flex:25%;"><strong>Debts: </strong>
                                    <?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}
                                    if(empty($_GET['id'])){ echo number_format(supplies_sum() - payments_sum() - returned_sum());}else{echo number_format(dsupplies_sum($_GET['id']) - dpayments_sum($_GET['id']) - dreturned_sum($_GET['id'])); }  ?></span> 
                            </p>
                                <hr/>
                                <form name="form1" id="form1" action="dealer_supplies_list.php" method="GET">
                                    <input type="hidden" value="9" name="a">
                                    <input type="hidden" value="<?php if(!empty($_GET['id'])){ echo $_GET['id'];} ?>" name="id" id="id">
                                    
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <div class="form-line"><label>From</label>
                                                     <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="from" id="from" class="form-control"/>
                                                 </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <div class="form-line"><label>To</label>
                                                     <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="to" id="to" class="form-control" />
                                                 </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-sm-4">
                                
                                            <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                                <div class="table-responsive" style="border-top: groove"><br/>
                                    
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th class="th">Dealer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Date Returned</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th class="th">Dealer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Date Returned</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php   
                                        
                                         if(empty($_GET['id']) AND empty($_GET['from']) AND empty($_GET['to'])){
                                             $returned = dreturned();
                                         } 
                                         elseif(!empty($_GET['id']) AND !empty($_GET['from']) AND !empty($_GET['to'])){
                                             $returned = dreturned3($_GET['id'], $_GET['from'], $_GET['to']);
                                         }
                                         elseif(!empty($_GET['from']) AND !empty($_GET['to'])){
                                             $returned = dreturned4($_GET['from'], $_GET['to']);
                                         }else {
                                             $returned = dreturned2($_GET['id']); 
                                         }
                                            
                                          $num = 0;
                                        foreach ($returned as $lst) {
                                            $num++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.dealer_info($lst['dealer_id'],'first_name').' '.dealer_info($lst['dealer_id'],'last_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.$lst['date_returned'].'</td>';
                                            if(user_info($username,'user_level') == 1){ echo '<td><button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Entery"><i class="fa fa-trash"></i> Delete</button></td>';}
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width: 120px;
        }
    </style>
<script>
function deleteP(id){
    if (confirm('Details Will Be Deleted!') === true) {
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "dealer_product_return_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='dealer_product_return_list.php?a=9';
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';

}

}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>      
<?php
require("../includes/footer_table.php");
