<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                ADD EXPENSES
                                <small>enter expenses details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="expenses_add_proc.php" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-4"><label>Category Name <i style="color:red" title="Required">*</i></label>
                                    <select class="js-example-basic-single" required name="category_id" id="category_id" style="width:100%">
                                       <option value="" selected="">-- Please Select Category --</option>
                                        <?php
                                        $categories = exp_categories();
                                        foreach ($categories as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.exp_category_info($lst['id'],'category_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                 <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Expenses Amount (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="amount" id="amount" class="form-control" placeholder="Expenses Amount"  required/>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Expenses Date <i style="color:red" title="Required">*</i></label>
                                            <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="expenses_date" id="expenses_date" class="form-control" placeholder="Expenses Date" />
                                        </div>
                                    </div>
                                </div>
                               
                            </div>
                                         
                            <div class="row clearfix">
                                 <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line"><label>Expenses Description</label>
                                            <input type="text" name="expenses_description" id="expenses_description" class="form-control" placeholder="Expenses Description" />
                                        </div>
                                    </div>
                                </div>
                                
                                                               
                            </div>
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});
</script>     
<script>
$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;    
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var category_id = $("#category_id").val();
    if(category_id === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "expenses_add_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("submit").disabled = false;
    }
    });
    }
    return false;
});
function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>       
<?php 
require("../includes/footer.php");
