<?php
require("../includes/functions.php");
require("../includes/common.php");
//declear variables
$category_id = filter_input(INPUT_POST, 'category_id', FILTER_SANITIZE_STRING);
$expenses_description = filter_input(INPUT_POST, 'expenses_description', FILTER_SANITIZE_STRING);
$amount = filter_input(INPUT_POST, 'amount', FILTER_SANITIZE_STRING);
$expenses_date = filter_input(INPUT_POST, 'expenses_date', FILTER_SANITIZE_STRING);
$created_by = $username;
date_default_timezone_set("Africa/Lagos");
$date_created = date("j-M-Y h:i:s a");

if(!is_numeric($amount)){         
    echo '<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Operation Failed, Enter Real Number in Amount. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>'; 
    exit();   
}
     
$sql = "INSERT INTO expenses (category_id, expenses_description, amount, expenses_date, date_created, created_by) VALUES ('$category_id', '$expenses_description', '$amount', '$expenses_date', '$date_created', '$created_by')";
if (!$result = $mysqli->query($sql)) {
    echo '<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Expenses Creation Failed, Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();
} else {
    echo '<span id="alert2" style="background-color:green;color:white;padding:10px;border-radius:15px;"><strong>Good!</strong> Expenses Creation Successful. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>'; 
    exit();    
}    
