<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PENDING EXPENSES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th class="th">Category Name</th>
                                            <th style="min-width:140px;">Description</th>
                                            <th class="th">Amount</th>
                                            <th class="th">Expenses Date</th>
                                            <th class="th">Date Created</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>#</th>
                                            <th>Category Name</th>
                                            <th>Description</th>
                                            <th>Amount</th>
                                            <th>Expenses Date</th>
                                            <th>Date Created</th>
                                            <th>Status</th>
                                            <th style="min-width:200px;">Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php     
                                        $num = 0;
                                        $expenses = expenses_pending(); 
                                        foreach ($expenses as $lst) {
                                            $num ++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.exp_category_info($lst['category_id'],'category_name').'</td>
                                            <td>'.$lst['expenses_description'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['expenses_date'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'; if($lst['approved'] == 1){echo 'Approved';}else{echo 'Pending';} echo'</td>
                                            <td><button class="btn-sm btn btn-success" onclick="approve('.$lst['id'].')" title="Approve this Expenses"><i class="fa fa-check"></i> Approve</button>  <button class="btn-sm btn btn-danger" onclick="deleteT('.$lst['id'].')" title="Reject this Expenses"><i class="fa fa-trash"></i> Reject</button></td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section> 
    <style>
        .th{
            min-width:120px; 
        }
    </style>
<script>
function approve(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_approve_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='expenses_approve.php?a=10';
                }
            });
}
function deleteT(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='expenses_approve.php?a=10';
                }
            });
}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php");
