<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                REVIEW EXPENSES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <span style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="40px;" alt="Processing, please wait"/> Please wait, Synchronizing data...</span>
                            <p style="text-align:center; font-weight:bold" id="alert"></p>
                            <div class="table-responsive">
                                <hr/>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>ID</th>
                                            <th class="th">Category Name</th>
                                            <th style="min-width:140px;">Description</th>
                                            <th class="th">Amount</th>
                                            <th class="th">Expenses Date</th>
                                            <th class="th">Date Created</th>
                                            <th>Status</th>
                                            <th>Synched</th>
                                            <th style="min-width:180px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>ID</th>
                                            <th>Category Name</th>
                                            <th>Description</th>
                                            <th>Amount</th>
                                            <th>Expenses Date</th>
                                            <th>Date Created</th>
                                            <th>Status</th>
                                            <th>Synched</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php     
                                        $expenses = expenses(); 
                                        foreach ($expenses as $lst) {
                                            echo '<tr><td>'.$lst['id'].'</td>
                                            <td>'.exp_category_info($lst['category_id'],'category_name').'</td>
                                            <td>'.$lst['expenses_description'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['expenses_date'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'; if($lst['approved'] == 1){echo 'Approved';}else{echo 'Pending';} echo'</td>
                                            <td>'; if($lst['synched'] == 'Yes'){echo 'Yes';}else{echo 'No';} echo'</td>
                                            <td>'; 
                                            if($lst['approved'] == 0){echo '<button class="btn-sm btn btn-success" onclick="approve('.$lst['id'].')" title="Approve this payment"><i class="fa fa-check"></i> Approve</button>';} 
                                            if($lst['approved'] == 1){echo ' <button class="btn-sm btn btn-success" onclick="reverseP('.$lst['id'].')" title="Reverse this Approval"><i class="fa fa-refresh"></i> Reverse</button>';} 
                                            echo ' <button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Expenses"><i class="fa fa-trash"></i></button> ';
                                            if($lst['synched'] == 'Yes'){}else{echo ' <button class="btn-sm btn btn-warning" onclick="synchExp('.$lst['id'].')" title="Synch this Expenses"><i class="fa fa-upload"></i></button>';}
                                            echo'</td></tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section> 
    <style>
        .th{
            min-width:120px; 
        }
    </style>
<script>
function synchExp(id){
    document.getElementById('loader').style.display='block';
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_synch_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('loader').style.display='none';
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(80000).fadeOut(500);
                location.reload();
                }
            });
}    
function approve(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_approve_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='expenses_review.php?a=10';
                }
            });
}
function reverseP(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_reverse_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='expenses_review.php?a=10';
                }
            });
}
function deleteP(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "expenses_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='expenses_review.php?a=10';
                }
            });
}

</script>    
<?php
require("../includes/footer_table.php"); 
