<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>BusiBox : digitizing enterprises | Sign In </title>
    <meta name="keywords" content="BusiBox - Business Management Software" />
    <meta name="description" content="BusiBox - Business Management Software" />
    <!-- Favicon-->
    <link rel="icon" href="images/busibox.ico" type="image/x-icon">
    <link href="fontawesome/css/all.css" rel="stylesheet">
    <!-- Bootstrap Core Css -->
    <link href="bower_components/font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Custom Css -->
    <link href="css/style.css" rel="stylesheet">
    <script src="plugins/jquery/jquery.min.js"></script>
    <link href="dashboard/select2/css/select2.min.css" rel="stylesheet" />
    <script src="dashboard/select2/js/select2.min.js"></script>
</head>

<body class="login-page" style="background-color:green">
    <div class="login-box">
        <div class="logo">
            <small><img src="images/BusiBoxLogo.png" alt="" style="height:100px" /></small>
            <a href="javascript:void(0);">Busi<b>Box</b></a>
        </div>
        <div class="card">
            <div class="body">
                <form id="sign_in" method="POST" action="firstsetup_proc.php">
                    <div class="msg">Synchronization Setting</div>
                    <hr/>
                          <?php
                          if(!empty($_GET['err'])){
                              echo '<div class="msg" style="color:red; font-weight:bold;">'.$_GET['err'].'</div>';
                          }
                          if(!empty($_GET['alert'])){
                              echo '<div class="msg"  style="color:green; font-weight:bold;">'.$_GET['alert'].'</div>';
                          }
                          ?>
                    <div class="input-group">
                        <div class="form-line">
                            <label>Your Account URL</label>
                            <input type="url" class="form-control" id="account_url" name="account_url" placeholder="https://eibs.com.ng/uniquename" required />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-8">
                            &nbsp;
                        </div>
                        <div class="col-xs-4">
                            <button class="btn btn-block bg-green waves-effect" name="submit" type="submit" onclick="notifyStatus()">SUBMIT</button>
                        </div>
                    </div>
                       
                  <hr/>                 
                    <div class="row">
                        &nbsp;
                    </div>
                    <div class="row">
                        <p style="display:none; font-weight: bold;" id="loader"> <img src="images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Jquery Core Js -->

    <!-- Bootstrap Core Js -->
    <script src="plugins/bootstrap/js/bootstrap.js"></script>

    <!-- Waves Effect Plugin Js -->
    <script src="plugins/node-waves/waves.js"></script>

    <!-- Validation Plugin Js -->
    <script src="plugins/jquery-validation/jquery.validate.js"></script>

    <!-- Custom Js -->
    <script src="js/admin.js"></script>
    <script src="js/pages/examples/sign-in.js"></script>
<script>
function notifyStatus(){
            document.getElementById('loader').style.display = 'inline';
    }
</script>

</body>
</html>