<?php
set_time_limit(0);//infinite time
error_reporting(0);//hide all error message
require("database.php");
?>
<?php
function testInput($dataInput){
    $data1 = addslashes($dataInput);
    $data2 = trim($data1);
    $data3 = htmlspecialchars($data2);                    
    return $data3;    
}

function validatePhoneNumber($phoneNumber){
    if (!preg_match("/^[0-9]{11}$/",$phoneNumber)){
        echo 'Please enter Correct GSM Number!';
        exit();
    }   
}

function validateEmailAddress($emailAddress){
    if (!preg_match("/^[a-z,0-9,.]+@[a-z]+(\.[a-z]+)+$/",$emailAddress)){
        echo 'Please enter Correct E-Mail Address!';
        exit();
    }   
}

function pickPassword($username){//outside
    $mysqli = db(); 
    $sql = "SELECT password FROM users WHERE username='$username'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $harshPassword = $row[0];
    return $harshPassword;
}
function pickPassword2($username){//inside
    $mysqli = db();
    $sql = "SELECT password FROM users WHERE username='$username'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $harshPassword = $row[0];
    return $harshPassword;
}

function userStatus($username){
    $mysqli = db();
    $sql = "SELECT status FROM  users WHERE username='$username' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $userStatus = $row[0];
    return $userStatus;
}
function user_info($username,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM  users WHERE username='$username' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function users_list($user_level){
    $mysqli = db(); 
    $sql = "SELECT * FROM  users WHERE user_level='$user_level'";
    $result = $mysqli->query($sql);
    return $result;
}
function employees(){
    $mysqli = db(); 
    $sql = "SELECT * FROM users WHERE username !='jvnnamani@yahoo.com'";
    $result = $mysqli->query($sql);
    return $result;
}
function supplier_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM suppliers WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function last_seen($username){
    $mysqli = db();
    $IPaddress = $_SERVER['REMOTE_ADDR'];
    date_default_timezone_set("Africa/Lagos");
    $dateTime = date("j-M-Y h:i:s a");
    $sql = "UPDATE users SET ip_address='$IPaddress', last_seen='$dateTime' WHERE username='$username'";
    $mysqli->query($sql);
}
function last_history($username, $pageViewed){
    $mysqli = db();
    $IPaddress = $_SERVER['REMOTE_ADDR'];
    date_default_timezone_set("Africa/Lagos");
    $dateTime = date("j-M-Y h:i:s a");
    $sql = "INSERT INTO users_viewed_pages (username, page_url, date_time, ip_address) VALUES('$username','$pageViewed', '$dateTime', '$IPaddress')";
    $mysqli->query($sql);
}
function products(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  products WHERE deleted=0";
    $result = $mysqli->query($sql);
    return $result;
}
function services(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  services WHERE deleted=0";
    $result = $mysqli->query($sql);
    return $result;
}

function service_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM services WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function suppliers(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  suppliers WHERE deleted=0";
    $result = $mysqli->query($sql);
    return $result;
}

function product_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM products WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function receiving(){
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM receivings WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row['count'];
    return $num_of_rows;
}
function receiving2($limit){
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=0 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_filter($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=0 AND (date_received BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_cnt($limit){//Receivings count pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=0 GROUP BY product_id $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_cnt2(){//rows of Receivings count
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM receivings WHERE deleted=0 GROUP BY product_id";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}
function receiving_cnt_filter($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=0 AND (date_received BETWEEN '$from' AND '$to') GROUP BY product_id";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_cnt_filter_sum($field, $product, $from, $to){
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM receivings WHERE deleted=0 AND product_id='$product' AND (date_received BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function receiving_cnt_sum($field, $product){
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM receivings WHERE deleted=0 AND product_id='$product'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function receiving_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM receivings WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}


function pro_qtty($pro_id){
    //total receivings from a supplier
    $mysqli = db(); 
    $sql = "SELECT SUM(product_qtty) AS sumTotal FROM receivings WHERE deleted=0 AND product_id='$pro_id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $rqtty = $row['sumTotal'];
    //sales
    $sql2 = "SELECT SUM(product_qtty) AS sumTotal FROM sales WHERE deleted=0 AND product_id='$pro_id'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];
    //supplies
    $sql3 = "SELECT SUM(product_qtty) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND product_id='$pro_id'";
    $result3 = $mysqli->query($sql3);
    $row3 = $result3->fetch_assoc();
    $ssqtty = $row3['sumTotal'];
    //dealers returned
    $sql4 = "SELECT SUM(product_qtty) AS sumTotal FROM dealers_returned_products WHERE deleted=0 AND product_id='$pro_id'";
    $result4 = $mysqli->query($sql4);
    $row4 = $result4->fetch_assoc();
    $drqtty = $row4['sumTotal'];
    //customers returned
    $sql5 = "SELECT SUM(product_qtty) AS sumTotal FROM customers_returned_products WHERE deleted=0 AND product_id='$pro_id'";
    $result5 = $mysqli->query($sql5);
    $row5 = $result5->fetch_assoc();
    $crqtty = $row5['sumTotal'];    
    
    return ($rqtty - $sqtty - $ssqtty + $drqtty + $crqtty);
}

function pro_qtty_all(){
    //total receivings from a supplier
    $mysqli = db(); 
    $sql = "SELECT SUM(product_qtty) AS sumTotal FROM receivings WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $rqtty = $row['sumTotal'];
    //sales
    $sql2 = "SELECT SUM(product_qtty) AS sumTotal FROM sales WHERE deleted=0";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];
    return ($rqtty - $sqtty);
}


function sales_cart(){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales_cart WHERE deleted=0";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_cart_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales_cart WHERE deleted=0 AND sales_invoice='$inv' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_cart_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales_cart WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function sales_cart_info($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM sales_cart WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function sales_cart_info2($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM sales_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function sales2(){//rows of sales
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM sales WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}
function services_billing2(){//rows of sales
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM services_billing WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}
function sales($limit){//sales pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function services_billing($limit){//sales pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM services_billing WHERE deleted=0 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    return $result;
}
function services_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM services_billing WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function sales_range($day1, $day2){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2' OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_range2($day1, $day2, $employee){// by employee
    $mysqli = db(); 
    if($employee == 'All'){
        $sql = "SELECT * FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2')";
        $result = $mysqli->query($sql); 
    } else {
        $sql = "SELECT * FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2') AND created_by='$employee'";
        $result = $mysqli->query($sql);   
    }
    return $result;
}
function services_billing_range($day1, $day2){
    $mysqli = db(); 
    $sql = "SELECT * FROM services_billing WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2' OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_today(){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0 AND sales_date = CURDATE()";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_week(){    
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0 AND (sales_date BETWEEN CURDATE()-7 AND CURDATE())";
    $result = $mysqli->query($sql);
    return $result;
}

function sales_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM sales WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function sales_info2($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM sales WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}


function services_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM services_billing WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function services_info2($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM services_billing WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}


function customers(){
    $mysqli = db(); 
    $sql = "SELECT * FROM customers WHERE deleted=0 GROUP BY phone_number";
    $result = $mysqli->query($sql);
    return $result;
}
function customer_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM customers WHERE _id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function total_sales(){//daily total sales
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function total_sales3($employee){//daily total sales by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];        
    } else {
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0 AND created_by = '$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];  
    }
            
    return $total;  
}
function total_sales4($employee){//daily total services by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];   
    } else {
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0 AND created_by='$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];       
    }
            
    return $total;  
}
function total_sales2(){//daily total services
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function today_sales($today){//daily sales
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0 AND sales_date='$today'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}

function today_sales2($today){//daily sales services
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0 AND sales_date='$today'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function dated_sales($day1, $day2){//daily sales by date range
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0  AND ((sales_date BETWEEN '$day1' AND '$day2') OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function dated_sales2($day1, $day2){//daily services by date range
    $mysqli = db();
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0  AND ((sales_date BETWEEN '$day1' AND '$day2') OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function dated_sales3($day1, $day2, $employee){//daily sales by date range and employee    
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2')";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];    
    } else {
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2') AND created_by='$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];   
    }
 
    return $total;  
}

function dated_sales4($day1, $day2, $employee){//daily services by date range by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2')";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];   
    } else {
        $sql = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2') AND created_by='$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumTotal'];     
    }
            
    return $total;  
}
function total_sprofit(){//total sales profit
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0  AND profit >0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}

function total_sprofit2(){//total services profit
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0  AND profit >0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}

function total_sprofit3($employee){//total sales profit by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0  AND profit >0";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumProfit'];   
    } else {
        $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0  AND profit >0 AND created_by='$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumProfit'];   
    }            
    return $total;  
}
function total_sprofit4($employee){//total services profit by employee
    $mysqli = db();
    if($employee == 'All'){
    $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0  AND profit >0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];    
    } else {
    $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0  AND profit >0 AND created_by='$employee'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];   
    }
            
    return $total;  
}
function today_sprofit($today){//daily sales
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0 AND sales_date='$today'  AND profit >0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}

function today_sprofit2($today){//daily services
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0 AND sales_date='$today'  AND profit >0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}
function dated_sprofit($day1, $day2){//daily sales by date range
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0 AND profit >0  AND ((sales_date BETWEEN '$day1' AND '$day2') OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}
function dated_sprofit2($day1, $day2){//daily services by date range
    $mysqli = db();
    $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0 AND profit >0  AND ((sales_date BETWEEN '$day1' AND '$day2') OR sales_date='$day1' OR sales_date='$day2')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];            
    return $total;  
}
function dated_sprofit3($day1, $day2, $employee){//daily sales by date range by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$day1' AND '$day2') ";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumProfit'];   
    } else {
    $sql = "SELECT SUM(profit) AS sumProfit FROM sales WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$day1' AND '$day2') AND created_by='$employee'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumProfit'];  
    }
            
    return $total;  
}
function dated_sprofit4($day1, $day2, $employee){//daily services by date range by employee
    $mysqli = db();
    if($employee == 'All'){
        $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$day1' AND '$day2')";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumProfit'];    
    } else {
        $sql = "SELECT SUM(profit) AS sumProfit FROM services_billing WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$day1' AND '$day2') AND created_by='$employee'";
        $result = $mysqli->query($sql);
        $row = $result->fetch_assoc();
        $total = $row['sumProfit'];   
    }
           
    return $total;  
}
function exp_categories(){
    $mysqli = db(); 
    $sql = "SELECT * FROM expenses_categories WHERE deleted=0";
    $result = $mysqli->query($sql);
    return $result;
}
function exp_category_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM expenses_categories WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function expenses(){
    $mysqli = db(); 
    $sql = "SELECT * FROM expenses WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function expenses_range($from, $to){//dated
    $mysqli = db(); 
    $sql = "SELECT * FROM expenses WHERE deleted=0 AND expenses_date BETWEEN '$from' AND '$to' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function expenses_pending(){
    $mysqli = db(); 
    $sql = "SELECT * FROM expenses WHERE deleted=0 AND approved=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function total_expenses(){//total sales payment
    $mysqli = db();
    $sql = "SELECT SUM(amount) AS sumExpenses FROM expenses WHERE deleted=0 AND approved=1";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumExpenses'];            
    return $total;  
}

function today_expenses($today){//daily expenses
    $mysqli = db();
    $sql = "SELECT SUM(amount) AS sumExpenses FROM expenses WHERE deleted=0 AND expenses_date='$today' AND approved=1";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumExpenses'];            
    return $total;  
}


function dated_expenses($day1, $day2){//daily Expenses by date range
    $mysqli = db();
    $sql = "SELECT SUM(amount) AS sumExpenses FROM expenses WHERE deleted=0 AND ((expenses_date BETWEEN '$day1' AND '$day2') OR expenses_date='$day1' OR expenses_date='$day2') AND approved=1 ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumExpenses'];            
    return $total;  
}

//summary
function qtty_sold($prod_id){//total Product sold
    $mysqli = db();
    $sql = "SELECT SUM(product_qtty) AS qtty_sold FROM sales WHERE product_id=$prod_id AND deleted=0 ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['qtty_sold'];            
    return $total;  
}

function qtty_received($prod_id){//total Product received
    $mysqli = db();
    $sql = "SELECT SUM(product_qtty) AS qtty_received FROM receivings WHERE product_id=$prod_id AND deleted=0 ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['qtty_received'];            
    return $total;  
}


function receiving_deleted(){
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=1";
    $result = $mysqli->query($sql);
    return $result;
}

function supplies_deleted(){
    $mysqli = db(); 
    $sql = "SELECT * FROM supplies_dealers WHERE deleted=1";
    $result = $mysqli->query($sql);
    return $result;
}

function sales_deleted(){
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=1";
    $result = $mysqli->query($sql);
    return $result;
}
function dealers(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dealer_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function payments(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_payment WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function payments_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers_payment WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function payments2($id){//dealer id
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_payment WHERE dealer_id='$id' AND deleted=0  ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function payments3($id, $from, $to){//dealer id and payment date
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_payment WHERE deleted=0 AND dealer_id='$id' AND (payment_date BETWEEN '$from' AND '$to' )  ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}

function payments4($from, $to){//dealer payment date
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_payment  WHERE deleted=0 AND (payment_date BETWEEN '$from' AND '$to' )  ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dpayments_sum($id){//dealer total payment
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) AS sumTotal FROM dealers_payment  WHERE deleted=0 AND dealer_id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dpayments_sum2($id, $from, $to){//dealer total payment
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) AS sumTotal FROM dealers_payment WHERE deleted=0 AND dealer_id='$id' AND (payment_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dpayments_sum3($from, $to){//dealer total payment
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) AS sumTotal FROM dealers_payment  WHERE deleted=0 AND (payment_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function payments_sum(){//all dealer total payment
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) AS sumTotal FROM dealers_payment WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dsupplies_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers_supplies WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function dsupplies_info2($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers_supplies WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function dsupplies_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_supplies WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    return $result;
}
function dsupplies_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dsupplies_sum($id){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND dealer_id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dsupplies_sum2($id, $from, $to){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND dealer_id='$id' AND (sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dsupplies_sum3($from, $to){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND (sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function supplies_sum(){//all dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dsupplies(){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_supplies WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dsupplies2($id){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_supplies WHERE deleted=0 AND dealer_id='$id' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dsupplies3($id, $from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_supplies WHERE deleted=0 AND dealer_id='$id' AND (sales_date BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dsupplies4($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_supplies WHERE deleted=0 AND sales_date BETWEEN '$from' AND '$to' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function config_info($field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM config";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function supply_cart_info($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM supply_cart WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function supply_cart_info2($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM supply_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function supply_cart_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM supply_cart WHERE deleted=0 AND sales_invoice='$inv' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function supply_cart_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM supply_cart WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function saleDay($day){
    $mysqli = db(); 
    date_default_timezone_set("Africa/Lagos");
    $todayDate1 = date("Y-m-j")." 00:00:00";
    $todayDate2 = date("Y-m-j")." 23:59:57";
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM  sales WHERE deleted=0 AND sales_date BETWEEN DATE_ADD('$todayDate1', INTERVAL $day) AND DATE_ADD('$todayDate2', INTERVAL $day)";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){
      $total = 0;  
    } else {
      $total =  $row['sumTotal']; 
    }            
    return $total;
}
function serviceDay($day){//services billing
    $mysqli = db(); 
    date_default_timezone_set("Africa/Lagos");
    $todayDate1 = date("Y-m-j")." 00:00:00";
    $todayDate2 = date("Y-m-j")." 23:59:57";
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM  services_billing WHERE deleted=0 AND sales_date BETWEEN DATE_ADD('$todayDate1', INTERVAL $day) AND DATE_ADD('$todayDate2', INTERVAL $day)";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){
      $total = 0;  
    } else {
      $total =  $row['sumTotal']; 
    }            
    return $total;
}
function supplyDay($day){
    $mysqli = db(); 
    date_default_timezone_set("Africa/Lagos");
    $todayDate1 = date("Y-m-j")." 00:00:00";
    $todayDate2 = date("Y-m-j")." 23:59:57";
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_supplies WHERE deleted=0 AND sales_date BETWEEN DATE_ADD('$todayDate1', INTERVAL $day) AND DATE_ADD('$todayDate2', INTERVAL $day)";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){
      $total = 0;  
    } else {
      $total =  $row['sumTotal']; 
    }            
    return $total;
}
function dPayDay($day){//dealers payments
    $mysqli = db(); 
    date_default_timezone_set("Africa/Lagos");
    $todayDate1 = date("Y-m-j")." 00:00:00";
    $todayDate2 = date("Y-m-j")." 23:59:57";
    $sql = "SELECT SUM(amount) AS sumTotal FROM dealers_payment  WHERE deleted=0 AND payment_date BETWEEN DATE_ADD('$todayDate1', INTERVAL $day) AND DATE_ADD('$todayDate2', INTERVAL $day)";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){
      $total = 0;  
    } else {
      $total =  $row['sumTotal']; 
    }            
    return $total;
}
function expensDay($day){//Expenses
    $mysqli = db(); 
    date_default_timezone_set("Africa/Lagos");
    $todayDate1 = date("Y-m-j")." 00:00:00";
    $todayDate2 = date("Y-m-j")." 23:59:57";
    $sql = "SELECT SUM(amount) AS sumTotal FROM expenses WHERE deleted=0 AND expenses_date BETWEEN DATE_ADD('$todayDate1', INTERVAL $day) AND DATE_ADD('$todayDate2', INTERVAL $day) AND approved=1";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){
      $total = 0;  
    } else {
      $total =  $row['sumTotal']; 
    }            
    return $total;
}
function dreturned(){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_returned_products WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dreturned2($id){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_returned_products WHERE deleted=0 AND dealer_id='$id' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dreturned3($id, $from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_returned_products WHERE deleted=0 AND dealer_id='$id' AND (date_returned BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dreturned4($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM  dealers_returned_products WHERE deleted=0 AND (date_returned BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dreturned_sum($id){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_returned_products WHERE deleted=0 AND dealer_id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dreturned_sum2($id, $from, $to){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_returned_products WHERE deleted=0 AND dealer_id='$id' AND (date_returned BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dreturned_sum3($from, $to){//dealer total supplies
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_returned_products WHERE deleted=0 AND (date_returned BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function returned_sum(){//all dealer total returned products
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_returned_products WHERE deleted=0";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function creturned(){//all customer returned products
    $mysqli = db(); 
    $sql = "SELECT * FROM customers_returned_products WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function supplier_payments(){
    $mysqli = db(); 
    $sql = "SELECT * FROM suppliers_payments WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function supplier_payments_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM suppliers_payments WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function added_info($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM added_info WHERE invoice_number='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

//orders
function order_info2($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM orders WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function orders_rows($inv,$status){
    $mysqli = db(); 
    $sql = "SELECT COUNT(id) AS NumberOfOrders FROM orders WHERE sales_invoice='$inv' AND status='$status'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row['NumberOfOrders'];
    return $details;
}
function orders_rows2($inv,$paid){
    $mysqli = db(); 
    $sql = "SELECT COUNT(id) AS NumberOfOrders FROM orders WHERE sales_invoice='$inv' AND paid='$paid'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row['NumberOfOrders'];
    return $details;
}
function order_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM orders WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    return $result;
}

function order_inv2($inv){//not cancelled
    $mysqli = db(); 
    $sql = "SELECT * FROM orders WHERE sales_invoice='$inv' AND status!=4";
    $result = $mysqli->query($sql);
    return $result;
}

function order_inv3($inv){//paid orders
    $mysqli = db(); 
    $sql = "SELECT * FROM orders WHERE sales_invoice='$inv' AND status!=4 AND paid='Yes'";
    $result = $mysqli->query($sql);
    return $result;
}
function order_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM orders WHERE deleted=0 AND sales_invoice='$inv' AND status !=4";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function order_cart_info($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM orders_cart WHERE sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function order_cart_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM orders_cart WHERE deleted=0 AND sales_invoice='$inv' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function order_cart_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM orders_cart WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function order_cart_info2($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM orders_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function orders($status){
    $mysqli = db(); 
    $sql = "SELECT * FROM orders WHERE deleted=0 AND status='$status' ORDER BY sales_date ASC";
    $result = $mysqli->query($sql);
    return $result;
}

function orders_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM orders WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function amountInWords($number){
$hyphen = ' ';
$conjunction = ' and ';
$separator = ',';
$negative = 'negative';
$decimal = 'point';
$dictionary = array(
    0 => " zero ",	1 => " one ",	2 => " two ",	3 => " three ",	4 => " four ",	5 => " five ",	6 => " six ",
    7 => " seven ",	8 => " eight ",	9 => " nine ",	10 => " ten ",	11 => " eleven ",	12 => " twelve ",	13 => " thirteen ",
    14 => " fourteen ",	15 => " fifteen ",	16 => " sixteen ",	17 => " seventeen ",	18 => " eighteen ",	19 => " nineteen ",
    20 => " twenty ",30 => " thirty ",40 => " forty ",50 => " fifty ",60 => " sixty ",70 => " seventy ",80 => " eighty ",90 => " ninety ",
    100 => " hundred ",1000 =>" thousand ",1000000 =>" million ",1000000000 =>" billion ",1000000000000 =>" trillion ",1000000000000000 =>" quadrillion ",1000000000000000000 =>" quintillion ",
);
if(!is_numeric($number)){
	return false;
}
if(($number >=0 && (int)$number <0) || (int)$number <0 -PHP_INT_MAX){
	//overflow
	trigger_error('amountInWords'.PHP_INT_MAX.PHP_INT_MAX,E_USER_WARNING);
return false;
}
if($number <0){
	return $negative.amountInWords(abs($number));
}
$string = $fraction = null;
if(strpos($number,'.')!==false){
	list($number, $fraction)=explode('.',$number);
}
switch(true){
	case $number<21:
	$string=$dictionary[$number];
	break;
	case $number<100: $tens=((int)($number / 10)) * 10;
	$units=$number % 10;
	$string= $dictionary[$tens];
	if($units){
		$string .=$hyphen .$dictionary[$units];
	}
	break;
	case $number <1000: $hundreds = $number/100;
	$remainder = $number % 100;
	$string= $dictionary[$hundreds].''.$dictionary[100];
	if($remainder){
		$string.= $conjunction. amountInWords($remainder);
	}
	break;
	default:
	$baseunit= pow(1000,floor(log($number, 1000)));
	$numbaseunits= (int)($number/$baseunit);
	$remainder =$number % $baseunit;
	$string= amountInWords($numbaseunits).''.$dictionary[$baseunit];
	if($remainder){
		$string.=$remainder< 100 ? $conjunction: $separator;
		$string.=amountInWords($remainder);
	}
	break;
}
if(null !==$fraction && is_numeric($fraction)){
	$string .=$decimal;
	$words =array();
	foreach(str_split((string)$fraction) as $number){
		$words[] = $dictionary[$number];
	}
	$string .=implode('',$words);
}
return $string;
}
//23rd April 2023
function sales_c($limit){//sales count pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0 GROUP BY product_id $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_c2(){//rows of sales count
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM sales WHERE deleted=0 GROUP BY product_id";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}
function sales_c_sum($field, $product){
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM sales WHERE deleted=0 AND product_id='$product'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function sales_range_c($day1, $day2){//count sales in a given period
    $mysqli = db(); 
    $sql = "SELECT * FROM sales WHERE deleted=0  AND (sales_date BETWEEN '$day1' AND '$day2') GROUP BY product_id";
    $result = $mysqli->query($sql);
    return $result;
}
function sales_c_sum2($field, $product, $day1, $day2){//sum with given period
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM sales WHERE deleted=0 AND product_id='$product' AND (sales_date BETWEEN '$day1' AND '$day2')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
//23rd May 2023
function dservice_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers_service_billing WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function dservice_info2($inv,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM dealers_service_billing WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function dservice_inv($inv){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_service_billing WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    return $result;
}
function dservice_total($inv){
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_service_billing WHERE deleted=0 AND sales_invoice='$inv'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dservice_sum($id){//dealer total service
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_service_billing WHERE deleted=0 AND dealer_id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function service_sum(){//all dealer total service
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_service_billing WHERE deleted=0 ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dservice_sum2($id, $from, $to){//dealer total service
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_service_billing WHERE deleted=0 AND dealer_id='$id' AND (sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dservice_sum3($from, $to){//dealer total service
    $mysqli = db(); 
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM dealers_service_billing WHERE deleted=0 AND (sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function dservice(){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_service_billing WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dservice3($id, $from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_service_billing WHERE deleted=0 AND dealer_id='$id' AND (sales_date BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dservice4($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_service_billing WHERE deleted=0 AND sales_date BETWEEN '$from' AND '$to' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function dservice2($id){
    $mysqli = db(); 
    $sql = "SELECT * FROM dealers_service_billing WHERE deleted=0 AND dealer_id='$id' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}

//financial analysis 10th July 2023
function fa_income($day1, $day2, $mnt, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt."-".$day1;
    $lastDate  = $yr."-".$mnt."-".$day2;
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM  sales WHERE deleted=0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
    
    $sql2 = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    if($row2['sumTotal'] == ''){$total2 = 0;  } else {$total2 =  $row2['sumTotal']; }
            
    $sql3 = "SELECT SUM(amount) AS sumTotal FROM dealers_payment WHERE deleted=0 AND payment_date BETWEEN '$firstDate' AND '$lastDate'";
    $result3 = $mysqli->query($sql3);
    $row3 = $result3->fetch_assoc();
    if($row3['sumTotal'] == ''){$total3 = 0;  } else {$total3 =  $row3['sumTotal']; }
    
    return ($total + $total2 + $total3);
}

function fa_expenses($day1, $day2, $mnt, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt."-".$day1;
    $lastDate  = $yr."-".$mnt."-".$day2;
    $sql = "SELECT SUM(amount) AS sumTotal FROM expenses WHERE deleted=0 AND expenses_date BETWEEN '$firstDate' AND '$lastDate'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
    
    return $total;
}

function fa_profit($day1, $day2, $mnt, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt."-".$day1;
    $lastDate  = $yr."-".$mnt."-".$day2;
    $sql = "SELECT SUM(profit) AS sumTotal FROM sales WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$firstDate' AND '$lastDate')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
 
    $sql2 = "SELECT SUM(profit) AS sumTotal FROM services_billing WHERE deleted=0 AND profit >0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    if($row2['sumTotal'] == ''){$total2 = 0;  } else {$total2 =  $row2['sumTotal']; }
         
    return ($total + $total2);
}

function fa_income2($day1, $day2, $mnt1, $mnt2, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt1."-".$day1;
    $lastDate  = $yr."-".$mnt2."-".$day2;
    $sql = "SELECT SUM(total_amount) AS sumTotal FROM  sales WHERE deleted=0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
    
    $sql2 = "SELECT SUM(total_amount) AS sumTotal FROM services_billing WHERE deleted=0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    if($row2['sumTotal'] == ''){$total2 = 0;  } else {$total2 =  $row2['sumTotal']; }
            
    $sql3 = "SELECT SUM(amount) AS sumTotal FROM dealers_payment WHERE deleted=0 AND payment_date BETWEEN '$firstDate' AND '$lastDate'";
    $result3 = $mysqli->query($sql3);
    $row3 = $result3->fetch_assoc();
    if($row3['sumTotal'] == ''){$total3 = 0;  } else {$total3 =  $row3['sumTotal']; }
    
    return ($total + $total2 + $total3);
}

function fa_expenses2($day1, $day2, $mnt1, $mnt2, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt1."-".$day1;
    $lastDate  = $yr."-".$mnt2."-".$day2;
    $sql = "SELECT SUM(amount) AS sumTotal FROM expenses WHERE deleted=0 AND expenses_date BETWEEN '$firstDate' AND '$lastDate'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
    
    return $total;
}

function fa_profit2($day1, $day2, $mnt1, $mnt2, $yr){
    $mysqli = db(); 
    $firstDate = $yr."-".$mnt1."-".$day1;
    $lastDate  = $yr."-".$mnt2."-".$day2;
    $sql = "SELECT SUM(profit) AS sumTotal FROM sales WHERE deleted=0 AND profit >0  AND (sales_date BETWEEN '$firstDate' AND '$lastDate')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    if($row['sumTotal'] == ''){ $total = 0;  } else {$total =  $row['sumTotal']; }
 
    $sql2 = "SELECT SUM(profit) AS sumTotal FROM services_billing WHERE deleted=0 AND profit >0 AND sales_date BETWEEN '$firstDate' AND '$lastDate'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    if($row2['sumTotal'] == ''){$total2 = 0;  } else {$total2 =  $row2['sumTotal']; }
         
    return ($total + $total2);
}
//28th July 2023
function expiredProducts(){
    $mysqli = db(); 
    $todayDate = date("Y-m-d");
    $sql = "SELECT * FROM products WHERE deleted=0 AND expiring_date < '$todayDate' ORDER BY expiring_date ASC";
    $result = $mysqli->query($sql);
    return $result;
}
function outOfStockProducts(){
    $mysqli = db(); 
    $sql = "SELECT * FROM products WHERE deleted=0 AND product_qtty < 1 ORDER BY product_qtty ASC";
    $result = $mysqli->query($sql);
    return $result;
}
function productQttyUpdate($prdt, $qtty){
    $mysqli = db(); 
    $sql = "UPDATE products SET product_qtty='$qtty' WHERE id='$prdt'";
    $mysqli->query($sql);
}
//28th August 2023
function receiving_cart($rcvnum){
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings_cart WHERE deleted=0 AND receivings_number='$rcvnum' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_cart_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM receivings_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
//8th Sept 2023
function suspended(){//rows of suspended sales count
    $mysqli = db(); 
    $sql = "SELECT * FROM sales_cart WHERE deleted=0 AND suspended=1 GROUP BY sales_invoice ORDER BY id DESC";
    $result = $mysqli->query($sql);
    $num_of_rows = $result->num_rows;
    return $num_of_rows;
}
function suspended_list(){//List of suspended sales
    $mysqli = db(); 
    $sql = "SELECT * FROM sales_cart WHERE deleted=0 AND suspended=1 GROUP BY sales_invoice";
    $result = $mysqli->query($sql);
    return $result;
}
//10th Sept 2023
function supplier_payments_sid($sId, $from, $to){//supplier payment list filtered by supplier ID
    $mysqli = db(); 
    $sql = "SELECT * FROM suppliers_payments WHERE deleted=0 AND supplier_id='$sId' AND (payment_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    return $result;
}
function receiving_sid($sId, $from, $to){//supplies list filtered by supplier ID
    $mysqli = db(); 
    $sql = "SELECT * FROM receivings WHERE deleted=0 AND supplier_id='$sId' AND (date_received BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    return $result;
}
function dated_supplier_payments_sid($sId, $from, $to){//payment filtered supplier ID by date range
    $mysqli = db();
    $sql = "SELECT SUM(amount) AS sumTotal FROM suppliers_payments WHERE deleted=0 AND supplier_id='$sId' AND (payment_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function dated_receivings_sid($sId, $from, $to){//receivings filtered supplier ID by date range
    $mysqli = db();
    $sql = "SELECT SUM(amount) AS sumTotal FROM receivings WHERE deleted=0 AND supplier_id='$sId' AND (date_received BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function supplier_total_sales($sId, $from, $to){//total supplier product sales 
    $mysqli = db();
    $sql = "SELECT SUM(sales.total_amount) AS sumTotal FROM sales INNER JOIN receivings ON sales.product_id=receivings.product_id WHERE sales.deleted=0 AND receivings.supplier_id='$sId' AND (sales.sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;  
}
function supplier_sales_sid($sId, $from, $to){//supplies list filtered by supplier ID
    $mysqli = db(); 
    $sql = "SELECT sales.product_id, sales.product_price, sales.product_qtty, sales.sales_date, sales.total_amount, receivings.supplier_id FROM sales INNER JOIN receivings ON sales.product_id=receivings.product_id WHERE sales.deleted=0 AND receivings.supplier_id='$sId' AND (sales.sales_date BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    return $result;
}
function products_sid($sId){//available products filtered by supplier ID
    $mysqli = db(); 
    $sql = "SELECT products.id, products.product_name, products.cost_price, products.selling_price, receivings.supplier_id  FROM products LEFT JOIN receivings ON products.id=receivings.product_id WHERE products.deleted=0 AND receivings.supplier_id='$sId' GROUP BY products.product_name ";
    $result = $mysqli->query($sql);
    return $result;
}
//3rd October
function receiving_cart_total($rcvnum){
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) as amount FROM receivings_cart WHERE deleted=0 AND receivings_number='$rcvnum'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['amount'];            
    return $total; 
}

//23rd November 2023
function warehouse_cart($rcvnum){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse_cart WHERE deleted=0 AND receivings_number='$rcvnum' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function warehouse_cart_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM warehouse_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function warehouse_cart_total($rcvnum){
    $mysqli = db(); 
    $sql = "SELECT SUM(amount) as amount FROM warehouse_cart WHERE deleted=0 AND receivings_number='$rcvnum'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['amount'];            
    return $total; 
}

function warehouse(){
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM warehouse WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row['count'];
    return $num_of_rows;
}
function warehouse2($limit){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse WHERE deleted=0 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function warehouse_filter($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse WHERE deleted=0 AND (date_received BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}

function warehouse_cnt($limit){//warehouse count pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse WHERE deleted=0 GROUP BY product_id $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function warehouse_cnt2(){//rows of warehouse count
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM warehouse WHERE deleted=0 GROUP BY product_id";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}
function warehouse_cnt_filter($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse WHERE deleted=0 AND (date_received BETWEEN '$from' AND '$to') GROUP BY product_id";
    $result = $mysqli->query($sql);
    return $result;
}
function warehouse_cnt_filter_sum($field, $product, $from, $to){
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM warehouse WHERE deleted=0 AND product_id='$product' AND (date_received BETWEEN '$from' AND '$to')";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function warehouse_cnt_sum($field, $product){
    $mysqli = db(); 
    $sql = "SELECT SUM($field) AS sumTotal FROM warehouse WHERE deleted=0 AND product_id='$product'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $total = $row['sumTotal'];            
    return $total;
}
function warehouse_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM warehouse WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function warehouse_qtty($pro_id){   
    //total receivings from a supplier
    $mysqli = db(); 
    $sql = "SELECT SUM(product_qtty) AS sumTotal FROM warehouse WHERE deleted=0 AND product_id='$pro_id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_assoc();
    $rqtty = $row['sumTotal'];
    //requisition
    $sql2 = "SELECT SUM(product_qtty) AS sumTotal FROM warehouse_requisition WHERE deleted=0 AND product_id='$pro_id'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];
       
    return ($rqtty - $sqtty);

}
function warehouse_deleted(){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse WHERE deleted=1";
    $result = $mysqli->query($sql);
    return $result;
}
function requisition_deleted(){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse_requisition WHERE deleted=1";
    $result = $mysqli->query($sql);
    return $result;
}

function requisition_cart($rcvnum){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse_requisition_cart WHERE deleted=0 AND receivings_number='$rcvnum' ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}
function requisition_cart_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM warehouse_requisition_cart WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function requisition(){
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM warehouse_requisition WHERE deleted=0 ORDER BY id DESC";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row['count'];
    return $num_of_rows;
}
function requisition2($limit){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse_requisition WHERE deleted=0 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function requisition_filter($from, $to){
    $mysqli = db(); 
    $sql = "SELECT * FROM warehouse_requisition WHERE deleted=0 AND (date_received BETWEEN '$from' AND '$to') ORDER BY id DESC";
    $result = $mysqli->query($sql);
    return $result;
}

function requisition_info($id,$field){
    $mysqli = db(); 
    $sql = "SELECT $field FROM warehouse_requisition WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function requisition_qtty($pro_id){  
    $mysqli = db(); 
    //requisition
    $sql2 = "SELECT SUM(product_qtty) AS sumTotal FROM warehouse_requisition WHERE deleted=0 AND product_id='$pro_id'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];
       
    return ($sqtty);

}
//13th Dec, 2023
function proceessed_orders($proc_date, $status){  
    $mysqli = db(); 
    $sql2 = "SELECT SUM(total_amount) AS sumTotal FROM orders WHERE deleted=0 AND sales_date='$proc_date' AND status='$status'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];       
    return ($sqtty);
}
function proceessed_orders_pay($proc_date, $status, $pay){  
    $mysqli = db(); 
    $sql2 = "SELECT SUM(total_amount) AS sumTotal FROM orders WHERE deleted=0 AND sales_date='$proc_date' AND status='$status' AND paid='$pay'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];       
    return ($sqtty);
}
function total_proceessed_orders_unpaid($status){  
    $mysqli = db(); 
    $sql2 = "SELECT SUM(total_amount) AS sumTotal FROM orders WHERE deleted=0 AND status='$status' AND paid='No'";
    $result2 = $mysqli->query($sql2);
    $row2 = $result2->fetch_assoc();
    $sqtty = $row2['sumTotal'];       
    return ($sqtty);
}

function processed_orders($limit){//sales pagination
    $mysqli = db(); 
    $sql = "SELECT * FROM orders WHERE deleted=0 AND status=3 ORDER BY id DESC $limit";
    $result = $mysqli->query($sql);
    return $result;
}
function processed_orders2(){//rows of sales
    $mysqli = db(); 
    $sql = "SELECT count(*) as count FROM orders WHERE deleted=0 AND status=3";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}


function sub_info($field){//subscription
    $mysqli = db();
    $sql = "SELECT $field FROM subscription";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
//Synch counts
function unsynched_records($table_name){
    $mysqli = db();
    if($table_name === 'added_info'){
           $sql = "SELECT count(*) as count FROM $table_name WHERE synched='No'"; 
    } else {
        $sql = "SELECT count(*) as count FROM $table_name WHERE synched='No' AND deleted=0";

    }
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $num_of_rows = $row[0];
    return $num_of_rows;
}

function subscription_info($field){
    $mysqli = db();
    $sql = "SELECT $field FROM subscription WHERE id=1";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}

function subscription_info2($field){//outside folders
    $mysqli = db();
    $sql = "SELECT $field FROM subscription WHERE id=1";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function creturned_info($id,$field){
    $mysqli = db();
    $sql = "SELECT $field FROM customers_returned_products WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function dreturned_info($id,$field){
    $mysqli = db();
    $sql = "SELECT $field FROM dealers_returned_products WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function expenses_info($id,$field){
    $mysqli = db();
    $sql = "SELECT $field FROM expenses WHERE id='$id' ";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
function sbilling_info($id,$field){//services_billing
    $mysqli = db(); 
    $sql = "SELECT $field FROM services_billing WHERE id='$id'";
    $result = $mysqli->query($sql);
    $row = $result->fetch_array();
    $details = $row[0];
    return $details;
}
 //https://php-minify.com/php-obfuscator/  $result->num_rows
?>
