<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$inv = $_GET['inv'];
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    
                    
                    <div class="card" id="receipt">
                        <div class="header" style="border-bottom:solid">
                            <div style=" text-align: center; border-bottom: solid">
                                <span <?php if(config_info('company_logo') == ""){echo 'style="display:none"';} ?> >
                                    <img src="../images/<?php echo config_info('company_logo'); ?>" style="max-height:60px;" alt="Logo" />
                                </span>
                                <br/>
                             <strong>   <?php echo strtoupper(config_info('business_name')); ?> </strong><br/>
                                 <small>
                                     <?php echo config_info('motto'); ?> <br/>
                                      <?php echo config_info('contact_address'); ?> <br/>
                                      <?php echo config_info('phone_number').', '.config_info('email_address'); ?>
                                 </small>
                            </div>
                                                        
                            <div>
                                <small><strong>INVOICE</strong> <span style="float:right">
                                    <?php
                                    echo '<strong>'.$inv.'</strong>'; 
                                    ?>
                                </span>
                                </small>
                            </div>
                        </div>
                        <div class="body">
                            
                            <div class="row" style="border-bottom: solid">
                                <div class="col-sm-12">
                                     <table  style="width:100%;">
                                        <tr>
                                            <td>
                                           <?php echo customer_info(order_info2($inv,'customer_id'),'customer_name'); ?>   
                                            </td>
                                            <td style="text-align:right">
                                                 <?php echo order_info2($inv,'sales_date'); ?>   
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                
                            </div>
                            <br/>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <table style="width:100%; border:solid; padding:1px">
                                        <tr style="font-weight:bold; border-bottom:solid">
                                            <td style="border-right:solid; padding:1px">Item Description</td>
                                            <td style="border-right:solid; padding:1px">Qtty</td>
                                            <td style="border-right:solid; padding:1px">Amount</td>
                                        </tr>
                                 
                                        <?php          
                                          $orders = order_inv($inv);
                                          foreach ($orders as $lst) {
                                              echo '<tr style="border-bottom:solid">
                                            <td style="border-right:solid; padding:1px">'.product_info($lst['product_id'],'product_name').'</td>
                                            <td style="width:50px;border-right:solid; padding:1px">'.$lst['product_qtty'].'</td>
                                            <td style="width:100px;border-right:solid; padding:1px">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            </tr>';
                                        }
                                        ?>
                                    </table>

                                </div>
                                
                            </div>
                            <table style="width:100%;">
                                <tr style="border-bottom: solid">
                                    <td>
                                      <strong>Sales Attendant:</strong> <?php echo user_info(order_info2($inv,'created_by'),'first_name').' '.user_info(order_info2($inv,'created_by'),'last_name'); ?>
                                
                                    </td>
                                    <td style="text-align:right">
                                           <strong>Total Amount: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(order_total($inv)); ?> 
                                
                                    </td>
                                </tr>
                                
                                <tr style="border-bottom: solid">
                                    <td>
                                         <strong>Comment:</strong> <?php echo added_info($inv,'comment'); ?>
                                        
                                       
                                    </td>
                                    <td style="text-align:right">
                                         <strong>Payment Type:</strong> <?php echo added_info($inv,'payment_type'); ?>
                                         
                                    </td>
                                </tr>
                            </table>   
                                <p>
                                    <i>Be patient while we process your order. Thanks for your patronage</i>
                                </p> 
                        </div>
                    </div>
                    
                        <p style="float: right">
                                     
                            <button name="submit" id="submit" class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                
                        </p>
                    
                    
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>     
<?php 
require("../includes/footer.php");
