<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                CANCELLED ORDERS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                              
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th class="th">Order Date</th>
                                            <th class="th">Invoice No</th>
                                            <th class="th">Customer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>Phone</th>
                                            <th>Address</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th class="th">Order Date</th>
                                            <th class="th">Invoice No</th>
                                            <th class="th">Customer Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Amount</th>
                                            <th>Phone</th>
                                            <th>Address</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                       
                                        $orders = orders(4);
                                          
                                        foreach ($orders as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.$lst['sales_invoice'].'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            <td>'.customer_info($lst['customer_id'],'phone_number').'</td>
                                            <td>'.customer_info($lst['customer_id'],'customer_address').'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                        </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                  
                            <p style="text-align:center" id="alert"></p><br/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px; 
    }
</style>  

<?php
require("../includes/footer_table.php"); 
