<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EDIT SUPPLIERS PAYMENTS
                                <small>edit suppliers payments details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <?php $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); ?>
                            <form name="form1" id="form1" action="payments_companies_edit_proc.php" method="post">
                                <input type="hidden" name="payment_id" id="payment_id" value="<?php echo $id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Company Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="supplier_id" id="supplier_id" readonly class="form-control" value="<?php echo supplier_info(supplier_payments_info($id, 'supplier_id'),'company_name'); ?>" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Amount Paid (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="number" min="5" name="amount" id="amount" required class="form-control" value="<?php echo supplier_payments_info($id,'amount'); ?>" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Payment Date <i style="color:red" title="Required">*</i></label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date" id="payment_date" class="form-control" value="<?php echo supplier_payments_info($id,'payment_date'); ?>" />
                                         </div>
                                    </div>
                                </div>
                            </div>
                               <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Bank Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="bank_name" id="bank_name" required class="form-control"  value="<?php echo supplier_payments_info($id,'bank_name'); ?>" />
                                        </div>
                                    </div>
                                </div>
                                   
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Account Number <i style="color:red" title="Required">*</i></label>
                                            <input type="text" maxlength="10" required name="bank_account" id="bank_account" class="form-control" value="<?php echo supplier_payments_info($id,'bank_account'); ?>" />
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Depositor Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="depositor_name" id="depositor_name" required class="form-control" value="<?php echo supplier_payments_info($id,'depositor_name'); ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var amount = $("#amount").val();
    if(amount === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="fa fa-times" onclick="closep()" title="dismiss"></i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "payments_companies_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});
function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
