<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");     

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SUPPLIERS PAYMENTS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <div class="table-responsive">
                                
                                <hr/>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">Payment Date</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Bank Name</th>
                                            <th class="th">Account Number</th>
                                            <th class="th">Amount Paid</th>
                                            <th class="th">Depositor Name</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th class="th">Payment Date</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Bank Name</th>
                                            <th class="th">Account Number</th>
                                            <th class="th">Amount Paid</th>
                                            <th class="th">Depositor Name</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $payments = supplier_payments();
                                        foreach ($payments as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['payment_date'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.$lst['bank_name'].'</td>
                                            <td>'.$lst['bank_account'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['depositor_name'].'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px; 
        }
    </style>    
<?php
require("../includes/footer_table.php"); 
