<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red" onload="worth()">

    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                PRODUCTS LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                                
                               <!-- Button Examples -->
            <div class="row clearfix" <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Products_Worth') !== false){}else{ echo 'style="display:none"';} ?> >
                                    
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">
                            <div class="row clearfix">
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
                                    Products Worth: <strong> <i id="worth">Calculating...</i> </strong>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Button Examples -->
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr style="background-color:green; color:white;">
                                            <th>ID</th>
                                            <th class="th">Product Name</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ echo '<th class="th">Cost Price</th>';} ?>
                                            <th class="th">Selling Price</th>
                                            <th>Quantity</th>
                                            <th>Worth</th>
                                            <th class="th">Expiry Date</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr style="background-color:green; color:white;">
                                            <th>ID</th>
                                            <th class="th">Product Name</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ echo '<th class="th">Cost Price</th>';} ?>
                                            <th class="th">Selling Price</th>
                                            <th>Quantity</th>
                                            <th>Worth</th>
                                            <th class="th">Expiry Date</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $worth = 0;
                                        $products = products();
                                        foreach ($products as $lst) {
                                             if((pro_qtty($lst['id']) * $lst['cost_price']) < 1){
                                                $worth = $worth + 0;
                                            } else {
                                                $worth = $worth + (pro_qtty($lst['id']) * $lst['cost_price']);
                                            }
                                            echo '<tr>
                                            <td>'.$lst['id'].'</td>
                                            <td>'.$lst['product_name'].'</td>'; 
                                            if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ 
                                                echo '<td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['cost_price']).'</td>';} 
                                                echo'<td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['selling_price']).'</td>
                                            <td>'.(pro_qtty($lst['id'])).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format((pro_qtty($lst['id']) * $lst['cost_price'])).'</td>
                                            <td>'.$lst['expiring_date'].'</td>';
                                            if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<td><a title="Edit Product Details" href="product_edit.php?id='.$lst['id'].'&a=4" class="btn btn-success"/><i class="fa fa-edit"></i></a></td>';}
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px;
    }
</style>  
<script>
function worth(){
    document.getElementById('worth').innerHTML = '<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($worth);?>';
}
</script>    
<?php
require("../includes/footer_table.php"); 
