<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EDIT SERVICES
                                <small>edit service details</small>
                            </h2>
                        </div>
                        <div class="body">
                            <?php $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); ?>
                            <form name="form1" id="form1" action="services_edit_proc.php" method="post">
                                <input type="hidden" name="service_id" id="service_id" value="<?php echo $id; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Service Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text"  name="service_name" id="service_name" value="<?php echo service_info($id,'service_name'); ?>" class="form-control" placeholder="Service Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Cost Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="number" min="5" name="cost_price" id="cost_price" value="<?php echo service_info($id,'cost_price'); ?>" class="form-control" placeholder="Cost Price"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Selling Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required">*</i></label>
                                            <input type="number" min="5" name="selling_price" id="selling_price" value="<?php echo service_info($id,'selling_price'); ?>" class="form-control" placeholder="Selling Price"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                   <div class="row clearfix">
                                <div class="col-sm-8">
                                    <div class="form-group">
                                        <div class="form-line"><label>Service Description</label>
                                            <input type="text" name="service_description" id="service_description" value="<?php echo service_info($id,'service_description'); ?>" class="form-control" placeholder="Service Description" />
                                        </div>
                                    </div>
                                </div>
                                       
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Service Category <i style="color:red" title="Required">*</i></label>
                                            <input type="text"  name="service_category" id="service_category" value="<?php echo service_info($id,'service_category'); ?>" class="form-control" placeholder="Service Category" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                                                           
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                               
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var service_name = $("#service_name").val();
    if(service_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "services_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
    
<?php 
require("../includes/footer.php");
