<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">

    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SERVICES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                               
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc"  style="background-color:green; color:white;">
                                            <th class="th">Service Name</th>
                                            <th>ID</th>
                                            <th class="th">Description</th>
                                            <th>Category</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ echo '<th class="th">Cost Price</th>';} ?>
                                            <th class="th">Selling Price</th>
                                            <th class="th">Date Created</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc"  style="background-color:green; color:white;">
                                            <th class="th">Service Name</th>
                                            <th>ID</th>
                                            <th>Description</th>
                                            <th>Category</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ echo '<th class="th">Cost Price</th>';} ?>
                                            <th class="th">Selling Price</th>
                                            <th class="th">Date Created</th>
                                            <?php if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $services = services();
                                        foreach ($services as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['service_name'].'</td>
                                            <td>'.$lst['id'].'</td>
                                            <td>'.$lst['service_description'].'</td> 
                                            <td>'.$lst['service_category'].'</td>'; 
                                            if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'View_Cost_Price') !== false){ 
                                                echo '<td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['cost_price']).'</td>';} 
                                                echo'<td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['selling_price']).'</td>
                                            <td>'.$lst['date_created'].'</td>';
                                            if(user_info($username,'user_level') == 1 OR strpos(user_info($username, 'privileges'), 'Edit_Product') !== false){ echo '<td><a title="Edit Service Details" href="services_edit.php?id='.$lst['id'].'&a=4" class="btn btn-success"/><i class="fa fa-edit"></i></a></td>';}
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px;
    }
</style>  
   
<?php
require("../includes/footer_table.php"); 
