<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");   

$receiving_num = $_GET['inv']; 
?>
    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                ADD RECEIVINGS
                                <small>enter products received</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="receivings_add_proc.php" method="post">                                
                                <input type="hidden" name="receiving_number" id="receiving_number" required value="<?php echo $receiving_num; ?>" />
                                <fieldset style="border:groove; padding:5px;">
                      
                                    <legend class="form-section">Products Addition</legend>
           
                                    <div class="row clearfix">
                                        <div class="col-sm-12">
                                           <label>Select/Scan Product <i style="color:red" title="Required"> * </i></label><br/>
                                            <select class="js-example-basic-single" required name="product_id" id="product_id" onchange="shoppingCart()" style="width:100%">
                                               <option value="" selected="">-- Please Select/Scan Product --</option>
                                                <?php          
                                                  $products = products();
                                                  foreach ($products as $lst) {
                                                     echo '<option value="'.$lst['id'].'">'.product_info($lst['id'],'product_name').' '.product_info($lst['id'],'barcode').'</option>';
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>                    
                                </fieldset>
                                   
                                <br/>
                                   
                                <fieldset style="border:groove; padding:5px;">
                                    <legend class="form-section">Receiving Cart <i style="color:red" title="Required"> * </i></legend>
                                       
                                    <div id="scart">
                                           
                                        <?php    
                                             
                                           
                                        $receiving_cart = receiving_cart($receiving_num);
                                        
                                        foreach ($receiving_cart as $lst) {
                                        echo '<fieldset style="border:groove; padding:5px;"><div class="row clearfix">
                                        <div class="col-sm-6">
                                           <label>Product Name</label><br/>
                                           <input type="text" name="product'.$lst['id'].'" id="product'.$lst['id'].'" required class="form-control" value="'.product_info($lst['product_id'],'product_name').'" readonly/>
                                        </div>
                                        <div class="col-sm-6"><label>Product Supplier <i style="color:red" title="Required"> * </i></label><br/>
                                        <select class="form-control" required name="supplier_id'.$lst['id'].'" id="supplier_id'.$lst['id'].'" onchange="prdSupCart('.$lst['id'].')">
                                            <option value="'.$lst['supplier_id'].'" selected="">'.supplier_info($lst['supplier_id'],'company_name').'</option>';
                                            $suppliers = suppliers();
                                            foreach ($suppliers as $lst2) {
                                                echo '<option value="'.$lst2['id'].'">'.supplier_info($lst2['id'],'company_name').'</option>';
                                            }
                                            echo '</select>
                                        </div>
                                        <div class="col-sm-3">
                                            <label title="New Product Cost Price">New Cost Price <i style="color:red" title="Required"> * </i></label>
                                            <input value="'.$lst['product_price'].'"  type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_price'.$lst['id'].'" id="product_price'.$lst['id'].'" required class="form-control" placeholder="New Cost Price"  oninput="itemPrice('.$lst['id'].')"/>

                                        </div>
                                        <div class="col-sm-3">
                                            <label title="New Product Selling Price">New Selling Price <i style="color:red" title="Required"> * </i></label>
                                            <input value="'.$lst['selling_price'].'"  type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="selling_price'.$lst['id'].'" id="selling_price'.$lst['id'].'" required class="form-control" placeholder="New Selling Price" oninput="itemPriceS('.$lst['id'].')"/>

                                        </div>
                                        <div class="col-sm-3">
                                            <label>Batch Number</label>
                                            <input type="text" value="'.$lst['batch_number'].'" name="batch_number'.$lst['id'].'" id="batch_number'.$lst['id'].'" class="form-control" placeholder="Batch Number" oninput="batchNum('.$lst['id'].')"/>
                                       
                                        </div> 
                                        <div class="col-sm-2">
                                            <label>Qtty <i style="color:red" title="Required"> * </i></label>
                                            <input value="'.$lst['product_qtty'].'" type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_qtty'.$lst['id'].'" id="product_qtty'.$lst['id'].'" required class="form-control" placeholder="Qtty" oninput="itemQtty('.$lst['id'].')" />

                                        </div> 

                                              <div class="col-sm-1"><br/>
                                               <a class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Remove this Item"><i class="fa fa-trash"></i></a>
                                            </div>     
                                       </div>
                                       </fieldset><p>&nbsp;</p>';
                                        }
                                           ?>
                                       </div>
                                </fieldset>
                                 <br/>                                
                                
                                
                        
                                
                                <fieldset style="border:groove; padding:5px;">
                                     
                                     <legend class="form-section">Additional Info</legend> 
                                    <div class="row clearfix">


                                     <div class="col-sm-3">
                                         <label>Receiving Date <i style="color:red" title="Required"> * </i></label>
                                         <input type="date" max="<?php echo date('Y-m-d'); ?>" value="<?php echo date('Y-m-d'); ?>" required name="date_received" id="date_received" class="form-control" placeholder="Date Received" />

                                     </div> 


                                     <div class="col-sm-3">
                                        <label>Comment/Note</label>
                                                 <input type="text" name="vehicle_number" id="vehicle_number" class="form-control" placeholder="Comment/Note" />

                                     </div>

                                     <div class="col-sm-3">
                                        <label>Delivery Person</label>
                                                 <input type="text" name="driver_name" id="driver_name" class="form-control" placeholder="Delivery Person Name" />

                                     </div>
                                     <div class="col-sm-3">
                                        <label>Phone Number</label>
                                                 <input type="tel" name="driver_phone" id="driver_phone" class="form-control" placeholder="Delivery Person Phone Number" />

                                     </div>                                   
                                 </div>
                                </fieldset>
                            <hr/>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div>  
                                    
                                    <div class="col-sm-8"> 
                                        <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                        <p id="alert"></p>
                                        <span style="float:right; font-weight: bold" id="rtotal">Total: <?php echo number_format(receiving_cart_total($receiving_num)); ?> </span>
                                    </div>  
                                </div>
                               
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
    $(document).ready(function() {
    $('.js-example-basic-single').select2();
});

function shoppingCart(){
    var id =  $("#product_id").val();
    var receivingNumber =  $("#receiving_number").val();
    var dataString = 'ID='+ id + '&receiving_number='+ receivingNumber;
    $.ajax({
        type: "POST",
        url: "receivings_cart_proc.php",
        data: dataString,
        cache: false,
        success: function(){
        $( "#scart" ).load(window.location.href + " #scart" );
        $( "#rtotal" ).load(window.location.href + " #rtotal" );
      
    }    

    });
}

function deleteP(id){
    document.getElementById("submit").disabled = true;
    var dataString = 'ID='+ id;
    $.ajax({
        type: "POST",
        url: "receivings_cart_delete_proc.php",
        data: dataString,
        cache: false,
        success: function(){                   
            $( "#scart" ).load(window.location.href + " #scart" );
            $( "#rtotal" ).load(window.location.href + " #rtotal" );
            document.getElementById("submit").disabled = false;

        }
    });
}

function itemPrice(id){
    document.getElementById("submit").disabled = true;
    var product_price =  $("#product_price"+id).val();
    var dataString = 'ID='+ id + '&product_price='+ product_price;
    $.ajax({
        type: "POST",
        url: "item_price_proc.php",
        data: dataString,
        cache: false,
        success: function(){ 
        $( "#rtotal" ).load(window.location.href + " #rtotal" );
        document.getElementById("submit").disabled = false;
        }
    });
}
function itemPriceS(id){//selling Price
    document.getElementById("submit").disabled = true;
    var selling_price =  $("#selling_price"+id).val();
    var dataString = 'ID='+ id + '&selling_price='+ selling_price;
    $.ajax({
        type: "POST",
        url: "item_selling_price_proc.php",
        data: dataString,
        cache: false,
        success: function(){ 
        document.getElementById("submit").disabled = false;
        }
    });
}


function itemQtty(id){
    document.getElementById("submit").disabled = true;
    var product_qtty =  $("#product_qtty"+id).val();
    var dataString = 'ID='+ id + '&product_qtty='+ product_qtty;
    $.ajax({
        type: "POST",
        url: "item_qtty_proc.php",
        data: dataString,
        cache: false,
        success: function(){
            $( "#rtotal" ).load(window.location.href + " #rtotal" ); 
            document.getElementById("submit").disabled = false; 
        }
    });
}
function batchNum(id){
    document.getElementById("submit").disabled = true;
    var batch_number =  $("#batch_number"+id).val();
    var dataString = 'ID='+ id + '&batch_number='+ batch_number;
    $.ajax({
        type: "POST",
        url: "batch_num_proc.php",
        data: dataString,
        cache: false,
        success: function(){
        document.getElementById("submit").disabled = false;

        }
    });
}

function prdSupCart(id){
    document.getElementById("submit").disabled = true;
    var supplier_id =  $("#supplier_id"+id).val();
    var dataString = 'ID='+ id + '&supplier_id='+ supplier_id;
    $.ajax({
        type: "POST",
        url: "receivings_supplier_proc.php",
        data: dataString,
        cache: false,
        success: function(){
            document.getElementById("submit").disabled = false;
        }
    });
}

$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;   
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var date_received = $("#date_received").val();
    if(date_received === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }else{
        document.getElementById('loader').style.display = 'inline';
        $.ajax({
        type: "POST",
        url: "receivings_add_proc.php",
        data: dataString,
        cache: false,
        success: function(result){
        document.getElementById('loader').style.display = 'none';
        document.getElementById('alert').innerHTML=result;
        $('#alert2').delay(3000).fadeOut(500);
        }
        });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
        
<?php 
require("../includes/footer.php");
