<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">

    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SALES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                                                            
                            <form name="form1" id="form1" action="sales_count_filter.php" method="GET">
                                    <input type="hidden" value="8" name="a">
                                    <div class="row clearfix">
                                
                                    
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date1" id="payment_date1" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                                                                        
                                        <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="payment_date2" id="payment_date2" class="form-control" placeholder="Payment Date" />
                                         </div>
                                    </div>
                                </div>
                                        <div class="col-sm-2">
                                <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                              
                                    <?php
                                    $payment_date1 =  filter_input(INPUT_GET, 'payment_date1', FILTER_SANITIZE_STRING);
                                    $payment_date2 =  filter_input(INPUT_GET, 'payment_date2', FILTER_SANITIZE_STRING);

                                    ?>    
                           <!-- Button Examples -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">
                            <div class="row clearfix">
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn btn-success btn-lg btn-block waves-effect" type="button">DATED SALES<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(dated_sales($payment_date1, $payment_date2)); ?></span></button>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                    <button class="btn bg-black btn-lg btn-block waves-effect" type="button">TOTAL SALES<br/> <span class="badge"><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(total_sales()); ?></span></button>
                                </div>
                                <?php
                                 if(user_info($username,'user_level') == 1){
                                echo'<div class="col-xs-12 col-sm-6 col-md-2 col-lg-2">
                                    <button class="btn btn-primary btn-lg btn-block waves-effect" type="button">DATED PROFIT<br/> <span class="badge">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(dated_sprofit($payment_date1, $payment_date2)).'</span></button>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-2 col-lg-2">
                                    <button class="btn bg-purple btn-lg btn-block waves-effect" type="button">TOTAL PROFIT<br/> <span class="badge">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(total_sprofit()).'</span></button>
                                </div>';
                                 }
                                 ?>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Button Examples -->
                            <div class="table-responsive">
                              
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                   <thead>
                                        <tr class="trc">
                                            <th>Product Name</th>
                                            <th>Qtty Sold</th>
                                            <th>Amount</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Profit</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>Product Name</th>
                                            <th>Qtty Sold</th>
                                            <th>Amount</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Profit</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $sales = sales_range_c($payment_date1, $payment_date2);
                                        foreach ($sales as $lst) {
                                            echo '<tr>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.sales_c_sum2('product_qtty', $lst['product_id'], $payment_date1, $payment_date2).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(sales_c_sum2('total_amount', $lst['product_id'], $payment_date1, $payment_date2)).'</td>'; 
                                            if(user_info($username,'user_level') == 1){ echo '<td> '; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} if(sales_c_sum2('profit', $lst['product_id'], $payment_date1, $payment_date2) < 1){ echo 0;}else{echo number_format(sales_c_sum2('profit', $lst['product_id'], $payment_date1, $payment_date2));} echo'</td>';} 
                                            echo'</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px; 
    }
</style>      
<?php
require("../includes/footer_table.php"); 
