<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
$inv = $_GET['inv']; 
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    
                    
                    <div class="card" id="receipt">
                        <div class="header" style="border-bottom: solid">
                            
                            <h2 style=" text-align: center; border-bottom: solid">
                                <?php echo strtoupper(config_info('business_name')); ?><br/>
                                 <small>
                                     <?php echo config_info('motto'); ?> <br/>
                                      <?php echo config_info('contact_address'); ?> <br/>
                                      <?php echo config_info('phone_number').', '.config_info('email_address'); ?>
                                 </small>
                            </h2>
                                                        
                            <h3>
                                <small><strong>SALES RECEIPT</strong> <span style="float:right">
                                    <?php
                                    echo '<strong>'.$inv.'</strong>'; 
                                    ?>
                                </span>
                                </small>
                            </h3>

                        </div>
                        <div class="body">
                            
                            <div class="row" style="border-bottom: solid">
                                <div class="col-sm-12">
                                    <table  style="width:100%;">
                                        <tr>
                                            <td>
                                             <?php echo customer_info(sales_info2($inv,'customer_id'),'customer_name'); ?>    
                                            </td>
                                            <td style="text-align:right">
                                                <?php echo sales_info2($inv,'sales_date'); ?>  
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                
                            </div>
                            <br/>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <table style="width:100%; border:solid; padding:5px">
                                        <tr style="font-weight:bold; border-bottom:solid">
                                            <td style="border-right:solid; padding:5px">Item Description</td>
                                            <td style="border-right:solid; padding:5px">Qtty</td>
                                            <td style="border-right:solid; padding:5px">Amount</td>
                                        </tr>
                                 
                                            <?php          
                                          $sales = sales_inv($inv);
                                          foreach ($sales as $lst) {
                                              echo '<tr style="border-bottom:solid">
                                            <td style="border-right:solid; padding:5px">'.product_info($lst['product_id'],'product_name').'</td>
                                            <td style="width:50px;border-right:solid; padding:5px">'.$lst['product_qtty'].'</td>
                                            <td style="width:100px;border-right:solid; padding:5px">'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['total_amount']).'</td>
                                            </tr>';
                                        }
                                        ?>
                                    </table>
                                </div>
                            </div>
                            <table style="width:100%;">
                                <tr style="border-bottom: solid">
                                    <td>
                                       <strong>Cashier:</strong> <?php echo user_info(sales_info2($inv,'created_by'),'first_name').' '.user_info(sales_info2($inv,'created_by'),'last_name'); ?>
                                  
                                    </td>
                                    <td style="text-align:right">
                                        <strong>Total: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(sales_total($inv)); ?> 
                                  
                                    </td>
                                </tr>
                                
                                <tr style="border-bottom: solid">
                                    <td>
                                         <strong>Tendered:</strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(added_info($inv,'amount_tendered')); ?>
                                        
                                       
                                    </td>
                                    <td style="text-align:right">
                                         <strong>Balance:</strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php echo number_format(added_info($inv,'balance')); ?>
                                         
                                    </td>
                                </tr>
                                
                                <tr style="border-bottom: solid">
                                    <td>
                                         <strong>Comment:</strong> <?php echo added_info($inv,'comment'); ?>
                                        
                                       
                                    </td>
                                    <td style="text-align:right">
                                         <strong>Payment Type:</strong> <?php echo added_info($inv,'payment_type'); ?>
                                         
                                    </td>
                                </tr>                                
                            </table>
                                
                                    
                               <p>
                            
                                    <?php echo config_info('receipt_note'); ?>  
                            
                                </p>
                                 
                        </div>
                    </div>
                    
                        <p style="float:right">
                                     
                            <button name="submit" id="submit" class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                 
                        </p>
                    
                    
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>   
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>     
<?php 
require("../includes/footer.php");
