<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
$today = date('Y-m-d');
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SUSPENDED SALES LIST
                            </h2>
                           
                        </div>
                        <div class="body">
                            <p style="text-align:center" id="alert"></p>
                            <div class="table-responsive" id="rfresh">
                                <br/>
                             
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Invoice</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Created Date</th>
                                            <th style="min-width:80px;">Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Invoice</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Created Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php     
                                        $suspended = suspended_list();
                                        foreach ($suspended as $lst) {
                                            echo '<tr>
                                            <td>'.$lst['id'].'</td>
                                            <td>'.$lst['sales_invoice'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td><a class="btn-sm btn btn-success" href="sales_add.php?inv='.$lst['sales_invoice'].'&a=8" title="Process Sales"><i class="fa fa-money"></i></a>';
                                           echo ' <button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete Transaction"><i class="fa fa-trash"></i></button> </td>
                                        </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                                 
                          
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
<style>
    .th{
        min-width:120px; 
    }
</style> 
<script>
function deleteP(id){
    if (confirm('Details Will Be Deleted!') === true) {
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "sales_suspended_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                window.location.href='sales_suspended.php?a=8';
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';
    $('#alert').delay(3000).fadeOut(500);

}

}
</script> 
<?php
require("../includes/footer_table.php"); 
