<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SERVICES BILLING
                                <small>enter service billing details</small>
                                <span style="float:right">
                                    <?php
                                    $inv = $_GET['inv']; 
                                    echo $inv ;  
                                    ?>
                                </span>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="services_billing_proc.php" method="post">
                                <input type="hidden" name="sales_invoice" id="sales_invoice" required value="<?php echo $inv; ?>" />
                              
            
                                <fieldset style="border:groove; padding:5px;">
                      
                                    <legend class="form-section">Customer Information <i style="color:red" title="Required"> * </i></legend>
                                     <div class="row clearfix" id="ecus">
                                
                                         <div class="col-sm-10">
                                             <select class="js-example-basic-single" name="customer_id" id="customer_id" style="width:100%">
                                              <option value="" selected=""> Search existing customer by name or phone number... </option>
                                                  <?php
                                                  $customers = customers();
                                                  foreach ($customers as $lst) {
                                                      echo '<option value="'.$lst['_id'].'">'.$lst['customer_name'].' '.$lst['phone_number'].'</option>';
                                                  }
                                                  ?>
                                            </select> 
                                         </div>
                                         
                                         <div class="col-sm-2">
                                             <div class="button-demo">
                                                 <button  name="new_customer" type="button" id="new_customer" class="btn btn-success waves-effect" onclick="newCustomer();">New Customer</button>
                                             </div>   
                                         </div>
                                     </div>
                                    
                                    <div id="ncus" style="display:none">
                                    
                                        <div class="row clearfix">
                                
                                            <div class="col-sm-8">
                                                <label>Full Name <i style="color:red" title="Required"> * </i></label>
                                                <input type="text" name="customer_name" id="customer_name" class="form-control" placeholder="Full Name" />

                                            </div>

                                            <div class="col-sm-4">

                                                <label>Gender <i style="color:red" title="Required"> * </i></label><br/>
                                                <select class="js-example-basic-single" name="gender" id="gender" style="width:100%">
                                                  <option value="" selected=""> Select Gender </option>
                                                  <option value="Male">Male</option>
                                                  <option value="Female">Female</option>
                                                </select>

                                            </div>
                                    
                                        </div>
              
                                    <div class="row clearfix">
                                <div class="col-sm-4">
                                   
                                    <label>Phone Number</label>
                                            
                                    <input type="tel" name="phone_number" id="phone_number" class="form-control" placeholder="Phone Number" />
                                     
                                </div>
                                   
                                <div class="col-sm-4">
                                   <label>Email Address</label>
                                   <input type="text" name="customer_email" id="customer_email" class="form-control" placeholder="Email Address" />
                                   
                                </div>
                                    <div class="col-sm-4">
                                   <label>Contact Address</label>
                                            <input type="text" name="customer_address" id="customer_address" class="form-control" placeholder="Contact Address" />
                                      
                                </div>
                            </div> 
                                        <button  name="ex_customer" type="button" id="ex_customer" class="btn btn-danger waves-effect" onclick="exCustomer();">Cancel</button>
                                        
                                    
                                    
                                    </div>
                                </fieldset>
                                <br/>
                                
                                <fieldset style="border:groove; padding:5px;">
                      
                                    <legend class="form-section">Services Addition</legend>
           
                                    <div class="row clearfix">
                                <div class="col-sm-12">
                                   <label>Select Service <i style="color:red" title="Required"> * </i></label><br/>
                                    <select class="js-example-basic-single" required name="service_id" id="service_id" onchange="shoppingCart()" style="width:100%">
                                       <option value="" selected="">-- Please Select Service --</option>
                                       
                                        <?php          
                                          $services = services();
                                        
                                          foreach ($services as $lst) {
                                             echo '<option value="'.$lst['id'].'">'.service_info($lst['id'],'service_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                
                                
                                
                            </div>
                                 
                              
                                </fieldset>
                                
                                       <br/>
                                                                
                                       <fieldset style="border:groove; padding:5px;">
                                    <legend class="form-section">Shopping Cart <i style="color:red" title="Required"> * </i></legend>
                                       
                                    <div id="scart">
                                           
                                        <?php    
                                             
                                           
                                        $sales_cart = sales_cart_inv($inv);
                                        
                                           
                                        foreach ($sales_cart as $lst) {
                                               echo '<div class="row clearfix">
                                        <div class="col-sm-7">
                                           <label>Service Name</label><br/>
                                           <input type="text" name="product1" id="product1" required class="form-control" value="'.service_info($lst['product_id'],'service_name').'" readonly/>

                                        </div>

                                        <div class="col-sm-2">
                                            <label>Price</label>
                                                    <input value="'.$lst['product_price'].'" type="number" min="5" name="service_price'.$lst['id'].'" id="service_price'.$lst['id'].'" required class="form-control" placeholder="Price"  oninput="itemPrice('.$lst['id'].')"/>

                                        </div>

                                                   <div class="col-sm-2">
                                              <label>Quantity</label>
                                              <input value="'.$lst['product_qtty'].'"  type="number" min="1" name="service_qtty'.$lst['id'].'" id="service_qtty'.$lst['id'].'" required class="form-control" placeholder="Quantity" oninput="itemQtty('.$lst['id'].')" />

                                            </div> 

                                              <div class="col-sm-1"><br/>
                                               <a class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Remove this Item"><i class="fa fa-trash"></i></a>
                                            </div>     
                                       </div>
                                       <div style="border-bottom: solid">&nbsp;</div>';
                                        }
                                           ?>
                                       
                                    
                                       
                                       </div>
                                </fieldset>
                                       <br/>
                                
                                 <fieldset style="border:groove; padding:5px;">
                                     <legend class="form-section">Additional Info</legend>
                                     <div class="row clearfix">
                                         <div class="col-sm-6">
                                           <label>Payment Type <i style="color:red" title="Required"> * </i></label><br/>
                                           <select class="js-example-basic-single" required name="payment_type" id="payment_type" style="width:100%">
                                             <option value="" selected=""> Select Payment Type </option>
                                             <option value="Cash">Cash</option>
                                             <option value="Card">Card</option>
                                             <option value="Transfer">Transfer</option>
                                             <option value="Cheque">Cheque</option>
                                           </select>
                                         </div> 
                                    
                                         <div class="col-sm-6">
                                             <label>Sales Date <i style="color:red" title="Required"> * </i></label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" value="<?php echo date('Y-m-d'); ?>" required name="sales_date" id="sales_date" class="form-control" placeholder="Sales Date" />

                                         </div>
                                     </div> 
                                    
                            <div class="row clearfix">
                                 <div class="col-sm-12">
                                <div class="form-group">
                                    <div class="form-line"><label>Comment</label>
                                        <input type="text" name="comment" id="comment" class="form-control" placeholder="Any additional information"/>
                                    </div>
                                </div>
                            </div>
                            </div>
                                </fieldset>
                            <br/>                      
                              
                            <div class="row clearfix">
                                <div class="col-sm-6">
                                    <div class="button-demo" id="paybtn">
                                      <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">Accept Payment (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format(sales_cart_total($inv)); ?>)</button>
                                   </div>                                    
                                </div>
                                <div class="col-sm-6">
                                    <div class="button-demo">
                                         <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                      
                                    </div>                                    
                                </div>
                            </div>
                            </form>
                            <hr/>
                            <p style="text-align:center" id="alert"></p><br/>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>   
$(document).ready(function() {
        $('.js-example-basic-single').select2();
});

function shoppingCart(){
    var id =  $("#service_id").val();
    var salesInvoice =  $("#sales_invoice").val();
    var dataString = 'ID='+ id + '&sales_invoice='+ salesInvoice;
    $.ajax({
        type: "POST",
        url: "service_cart_proc.php",
        data: dataString,
        cache: false,
        success: function(result){
        $( "#scart" ).load(window.location.href + " #scart" );
        //document.getElementById('alert').innerHTML= result;
        $( "#paybtn" ).load(window.location.href + " #paybtn" ); 
        //document.getElementById('comment').reset();
    }    

    });
}

function newCustomer(){
        document.getElementById('ncus').style.display = 'block';
}
function exCustomer(){
        document.getElementById('ncus').style.display = 'none';
}

function itemPrice(id){
    var product_price =  $("#service_price"+id).val();
    var dataString = 'ID='+ id + '&product_price='+ product_price;
            $.ajax({
                type: "POST",
                url: "item_price_proc.php",
                data: dataString,
                cache: false,
                success: function(){ 
                    $( "#paybtn" ).load(window.location.href + " #paybtn" );
                    
                }
            });
}


function itemQtty(id){
    var product_qtty =  $("#service_qtty"+id).val();
    var dataString = 'ID='+ id + '&product_qtty='+ product_qtty;
            $.ajax({
                type: "POST",
                url: "item_qtty_proc.php",
                data: dataString,
                cache: false,
                success: function(){
                    $( "#paybtn" ).load(window.location.href + " #paybtn" );
                }
            });
}

function deleteP(id){
        var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "sales_checkout_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(){
                    $( "#paybtn" ).load(window.location.href + " #paybtn" );  
                   
                    $( "#scart" ).load(window.location.href + " #scart" );
                    
                }
            });
}



$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var customer_name = $("#customer_name").val();
    var customer_id = $("#customer_id").val();
    var sales_date = $("#sales_date").val();
if((customer_name === '' && customer_id === '')  || sales_date === ''){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> fill all required fields! Thanks. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
}
else
{
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "services_billing_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    if(result !== 'Failed'){
    window.location.href='services_print.php?inv='+result+'&a=8';   
    }else{
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> Product Sales Registration Failed, Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';   
    }
    }
    });
}
return false;
});


function closep(){
document.getElementById('alert2').style.display='none';
}
</script>
   
<?php 
require("../includes/footer.php");
