<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>BusiBox : digitizing enterprises | Subscription </title>
    <meta name="keywords" content="BusiBox - Business Management Software" />
    <meta name="description" content="BusiBox - Business Management Software" />
    <!-- Favicon-->
    <link rel="icon" href="images/busibox.ico" type="image/x-icon">
    <link href="fontawesome/css/all.css" rel="stylesheet">
    <!-- Bootstrap Core Css -->
    <link href="bower_components/font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Custom Css -->
    <link href="css/style.css" rel="stylesheet">
    <script src="plugins/jquery/jquery.min.js"></script>
    <link href="dashboard/select2/css/select2.min.css" rel="stylesheet" />
    <script src="dashboard/select2/js/select2.min.js"></script>
</head>

<body class="login-page" style="background-color:green">
<?php 
include 'includes/functions.php';
?>
    <div class="login-box">
        <div class="logo">
            <small><img src="images/BusiBoxLogo.png" alt="" style="height:100px" /></small>
              <a href="javascript:void(0);">Busi<b>Box</b></a>
        </div>
        <div class="card">
            <div class="body">
                <form  id="subscribe" name="subscribe" method="post">
                    <div class="msg">Please, enter the correct details</div>
                         <div  id="errmsg" align="center" style="color:red"></div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-key"></i>
                        </span>
                        <div class="form-line">
                        <input class="form-control" placeholder="Annual Subscription Key" name="subkey" id="subkey" type="text"  maxlength="15" minlength="15" autofocus />
                        </div>
                    </div>
                    <div class="input-group">
                        &nbsp;
                      
                    </div>
                    <div class="row">
                        <div class="col-xs-8">
                             <a href="https://flutterwave.com/store/emergingideasbusinessservices/chp5twiqcmuvos" title="Pay For Subscription Key">Don't Have Key?</a>
                      
                        </div>
                        <div class="col-xs-4">
                            <button class="btn btn-block bg-green waves-effect" name="activate" id="activate" onclick="notifyStatus()">ACTIVATE</button>
                        </div>
                    </div>
                           <hr/>             
                    <div class="row">
                        <div class="col-xs-12" style="text-align: center">
                            <strong>For Support</strong> 
                            <br/><a href="mailto:busibox@eibs.com.ng" style="color:green"  title="Send Mail For Inquiries">busibox@eibs.com.ng</a>,&nbsp;&nbsp;<a href="tel:08037434227" style="color:green"  title="Send WhatsApp Message">08037434227</a>
                        </div>
                    </div>
                    <div class="row">
                        <p style="display:none; font-weight: bold;" id="loader"> <img src="images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Jquery Core Js -->

    <!-- Bootstrap Core Js -->
    <script src="plugins/bootstrap/js/bootstrap.js"></script>

    <!-- Waves Effect Plugin Js -->
    <script src="plugins/node-waves/waves.js"></script>

    <!-- Validation Plugin Js -->
    <script src="plugins/jquery-validation/jquery.validate.js"></script>

    <!-- Custom Js -->
    <script src="js/admin.js"></script>
    <script src="js/pages/examples/sign-in.js"></script>
<script>
function notifyStatus(){
            document.getElementById('loader').style.display = 'inline';
    }
</script>
<script>
$( "#subscribe" ).on( "submit", function( event ) {
event.preventDefault();
var subkey = $("#subkey").val();
var dataString = 'subkey='+ $("#subkey").val();
document.getElementById('loader').style.display = 'inline';
$.ajax({
type: "POST",
url: "https://busibox.com.ng/subscription/authenticate.php",
data: dataString,
cache: false,
success: function(result){
    document.getElementById("subscribe").reset();
    document.getElementById('loader').style.display = 'none';
    if(result === 'success'){
        window.location.href='subscription_proc.php?subkey='+subkey;   
    }else{
        document.getElementById('errmsg').innerHTML=result;   
    }

    }
});
return false;
});   
</script>
</body>
</html>