<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
$staff = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Users Acoount Update
                                <small>update staff account</small>
                            </h2>
                        </div>
                        <div class="body">
                            <form name="form1" id="form1" action="users_staff_edit_proc.php" method="post">
                                <input type="hidden" name="staff_id" id="staff_id" value="<?php echo $staff; ?>" />
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>First Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="first_name" id="first_name" value="<?php echo user_info($staff, 'first_name'); ?>" class="form-control" placeholder="First Name" required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Last Name <i style="color:red" title="Required">*</i></label>
                                            <input type="text" name="last_name" id="last_name" value="<?php echo user_info($staff, 'last_name'); ?>" class="form-control" placeholder="Last Name"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Phone Number <i style="color:red" title="Required">*</i></label>
                                            <input type="tel" name="phone_number" id="phone_number" value="<?php echo user_info($staff, 'phone_number'); ?>" class="form-control" placeholder="Phone Number"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Email Address <i style="color:red" title="Required">*</i></label>
                                            <input type="email" name="email_address" id="email_address" value="<?php echo user_info($staff, 'username'); ?>" class="form-control" placeholder="Email Address"  readonly/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Password <i style="color:red" title="Required">*</i></label>
                                            <input type="password" name="password" id="password" class="form-control" placeholder="Password"  required/>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <div class="form-line"><label>Confirm Password <i style="color:red" title="Required">*</i></label>
                                            <input type="password" name="confirm_password" id="confirm_password" class="form-control" placeholder="Confirm Password"  required/>
                                        </div>
                                    </div>
                                </div>
                            </div>          
                                
                            <hr/>
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                                                       
                                </div>
                                <div class="col-sm-8">
                                    <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                    <p id="alert"></p>
                                </div>
                            </div>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$("#form1" ).on( "submit", function( event ) {
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var first_name = $("#first_name").val();
    if(first_name === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "users_staff_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    }
    });
    }
    return false;
});

function closep(){
    document.getElementById('alert2').style.display='none';
}
</script>    
<?php 
require("../includes/footer.php");
