<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">

    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");   
}
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                WAREHOUSE RECEIVING LIST
                            </h2>
                           
                        </div>
                        <div class="body">  
                                                        
                            <form name="form1" id="form1" action="receivings_list_filter.php" method="GET">
                                    <input type="hidden" value="15" name="a">
                                    <div class="row clearfix">
                                
                                    
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>From</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received1" id="date_received1" class="form-control" />
                                         </div>
                                    </div>
                                </div>
                                                                        
                                        <div class="col-sm-5">
                                    <div class="form-group">
                                        <div class="form-line"><label>To</label>
                                             <input type="date" max="<?php echo date('Y-m-d'); ?>" required name="date_received2" id="date_received2" class="form-control" />
                                         </div>
                                    </div>
                                </div>
                                        <div class="col-sm-2">
                                <br/>
                                            <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">FILTER</button>
                                    
                                        </div>
                                
                                    </div>
                                
                                </form>
                            <hr/>
                            <div class="table-responsive">  
                                <span style="text-align:center" id="alert"></span>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Date Received</th>
                                            <th class="th">Company Name</th>
                                            <th class="th">Product Name</th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Batch No</th>
                                            <th class="th">Delivery Person</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Comment</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Date Received</th>
                                            <th>Company Name</th>
                                            <th>Product Name</th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th class="th">Date Created</th>
                                            <th class="th">Created By</th>
                                            <th class="th">Batch No</th>
                                            <th class="th">Delivery Person</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Comment</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th class="th">Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php 
                                                        
                                        if (isset($_GET["paged"])) {
                                            $paged = $_GET["paged"];
                                        }else{
                                            $paged = 1;
                                        }                        
                                        $num_of_rows = warehouse();
                                        $rows_per_page = 100;
                                        $num_of_pages = ceil($num_of_rows/$rows_per_page);
                                        //ensure that $pageno is within the page
                                        $paged = (int)$paged;
                                        if ($paged > $num_of_pages) {
                                            $paged = $num_of_pages;
                                        } 
                                        if ($paged < 1) {
                                            $paged = 1;
                                        }
                                        //Construct limit clause
                                        $limit = 'limit ' .($paged - 1) * $rows_per_page .',' .$rows_per_page;

                                        $receiving = warehouse2($limit); 
                                        $num = 0;
                                        foreach ($receiving as $lst) {
                                            $num ++;
                                            echo '<tr id="p'.$lst['id'].'">
                                            <td>'.$num.'</td>
                                            <td>'.$lst['date_received'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['date_created'].'</td>
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>
                                            <td>'.$lst['batch_number'].'</td>
                                            <td>'.$lst['delivery_person_name'].'</td>
                                            <td>'.$lst['delivery_person_phone'].'</td>
                                            <td>'.$lst['comment'].'</td>';
                                            if(user_info($username,'user_level') == 1){ 
                                                echo '<td><button class="btn-sm btn btn-danger" onclick="deleteP('.$lst['id'].')" title="Delete this Receiving"><i class="fa fa-trash"></i></button> &nbsp;&nbsp; <a title="Edit Receivings Details" href="receivings_edit.php?id='.$lst['id'].'&a=6" class="btn btn-success"/><i class="fa fa-edit"></i></a></td>';
                                                
                                            }
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                                     <p align="center">
                                    <?php
                                    //links for the following pages
                                    if ($paged == 1) {

                                        } else {
                                        echo " <a href='?a=15&paged=1'><button>First Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       $prevpage = $paged-1;
                                        echo " <a href='?a=15&paged=$prevpage'><button>Previous Batch</button></a>&nbsp;&nbsp;&nbsp; ";
                                       }
                                       //inform the user of his current position
                                      if ($num_of_pages == 0) {

                                       }
                                       elseif ($paged == $num_of_pages) {

                                       } else {
                                       $nextpage = $paged+1;
                                      echo " <a href='?a=15&paged=$nextpage'><button>Next Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";
                                       echo " <a href='?a=15&paged=$num_of_pages'><button>Last Batch</button></a>&nbsp;&nbsp;&nbsp;&nbsp; ";

                                     }
                                     ?>
        
                                </p> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px;
        }
    </style>
<script>
function deleteP(id){
    if (confirm('Details Will Be Deleted!') === true) {
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "receivings_delete_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert2').delay(3000).fadeOut(500);
                document.getElementById('p'+id).style.display = 'none';
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';

}

}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php");
