<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");
?>
    <!-- #Top Bar -->
<?php
if(user_info($username,'user_level') == 1 OR user_info($username,'user_level') == 2){
require("../includes/menu.php");    
}
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                DELETED WAREHOUSE REQUISITION LIST
                            </h2>
                           
                        </div>
                        <div class="body">   
                            <div class="table-responsive">  
                            <p style="text-align:center" id="alert"></p>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Requisition Date</th>
                                            <th class="th">Product Name</th>
                                            <th>Qtty</th>
                                            <th class="th">Batch No</th>
                                            <th class="th">Receiver</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Comment</th>
                                            <th class="th">Date Deleted</th>
                                            <th class="th">Deleted By</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>#</th>
                                            <th class="th">Requisition Date</th>
                                            <th class="th">Product Name</th>
                                            <th>Qtty</th>
                                            <th class="th">Batch No</th>
                                            <th class="th">Receiver</th>
                                            <th class="th">Phone Number</th>
                                            <th class="th">Comment</th>
                                            <th class="th">Date Deleted</th>
                                            <th class="th">Deleted By</th>
                                            <?php if(user_info($username,'user_level') == 1){ echo '<th>Action</th>';} ?>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php                          
                                          
                                        $receiving = requisition_deleted(); 
                                        $num = 0;
                                        foreach ($receiving as $lst) {
                                            $num ++;
                                            echo '<tr>
                                            <td>'.$num.'</td>
                                            <td>'.$lst['date_received'].'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'.$lst['batch_number'].'</td>
                                            <td>'.$lst['receiver_name'].'</td>
                                            <td>'.$lst['receiver_phone'].'</td>
                                            <td>'.$lst['comment'].'</td>
                                            <td>'.$lst['date_deleted'].'</td>
                                            <td>'.user_info($lst['deleted_by'],'first_name').' '.user_info($lst['deleted_by'],'last_name').'</td>';
                                            if(user_info($username,'user_level') == 1){ echo '<td><button class="btn-sm btn btn-success" onclick="reverseP('.$lst['id'].')" title="Reverse this Requisition"><i class="fa fa-refresh"></i></button></td>';}
                                        echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section>
    <style>
        .th{
            min-width:120px;
        }
    </style>
<script>
function reverseP(id){
    if (confirm('Details Will Be Reversed!') === true) {
         var dataString = 'ID='+ id;
            $.ajax({
                type: "POST",
                url: "requisition_deleted_reverse_proc.php",
                data: dataString,
                cache: false,
                success: function(result){
                document.getElementById('alert').innerHTML = result;
                $('#alert').delay(3000).fadeOut(500);
                window.location.href='requisition_deleted.php?a=15';
                }
            });
} else {
    document.getElementById('alert').innerHTML = 'You canceled!';

}

}
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
<?php
require("../includes/footer_table.php"); 
